/***
*** Interface: ngspice 1.0.0.0
 *** created by: admsXml-2.3.7 ***/


#include "ngspice/ngspice.h"
#include "ngspice/cktdefs.h"
#include "ngspice/smpdefs.h"
#include "r2_cmcdefs.h"
#include "ngspice/const.h"
#include "ngspice/sperror.h"
#include "ngspice/ifsim.h"
#include "ngspice/suffix.h"

int r2_cmcsetup (SMPmatrix *matrix, GENmodel *inModel, CKTcircuit *ckt, int *states)
     /* load the r2_cmc device structure with those pointers needed later 
      * for fast matrix loading 
      */
{
  r2_cmcmodel *model = (r2_cmcmodel*)inModel;
  r2_cmcinstance *here;
  
  /*  loop through all the r2_cmc device models */
  for ( ;model != NULL ;model = r2_cmcnextModel(model) )
  {
    if(model->m_Given == FALSE) model->m=1;
    if(model->version_Given == FALSE) model->version=1.0;
    if(model->revision_Given == FALSE) model->revision=0.0;
    if(model->scale_Given == FALSE) model->scale=1.0;
    if(model->shrink_Given == FALSE) model->shrink=0.0;
    if(model->tmin_Given == FALSE) model->tmin=(-100.0);
    if(model->tmax_Given == FALSE) model->tmax=500.0;
    if(model->rthresh_Given == FALSE) model->rthresh=1.0e-03;
    if(model->level_Given == FALSE) model->level=1002;
    if(model->tnom_Given == FALSE) model->tnom=27.0;
    if(model->rsh_Given == FALSE) model->rsh=100.0;
    if(model->lmin_Given == FALSE) model->lmin=0.0;
    if(model->lmax_Given == FALSE) model->lmax=9.9e09;
    if(model->wmin_Given == FALSE) model->wmin=0.0;
    if(model->wmax_Given == FALSE) model->wmax=9.9e09;
    if(model->xw_Given == FALSE) model->xw=0.0;
    if(model->xl_Given == FALSE) model->xl=0.0;
    if(model->dxle_Given == FALSE) model->dxle=0.0;
    if(model->sw_efgeo_Given == FALSE) model->sw_efgeo=0;
    if(model->q3_Given == FALSE) model->q3=0.0;
    if(model->p3_Given == FALSE) model->p3=0.0;
    if(model->q2_Given == FALSE) model->q2=0.0;
    if(model->p2_Given == FALSE) model->p2=0.0;
    if(model->kfn_Given == FALSE) model->kfn=0.0;
    if(model->afn_Given == FALSE) model->afn=2.0;
    if(model->bfn_Given == FALSE) model->bfn=1.0;
    if(model->sw_fngeo_Given == FALSE) model->sw_fngeo=0;
    if(model->jmax_Given == FALSE) model->jmax=100.0;
    if(model->tminclip_Given == FALSE) model->tminclip=(-100.0);
    if(model->tmaxclip_Given == FALSE) model->tmaxclip=500.0;
    if(model->tc1_Given == FALSE) model->tc1=0.0;
    if(model->tc2_Given == FALSE) model->tc2=0.0;
    if(model->tc1l_Given == FALSE) model->tc1l=0.0;
    if(model->tc2l_Given == FALSE) model->tc2l=0.0;
    if(model->tc1w_Given == FALSE) model->tc1w=0.0;
    if(model->tc2w_Given == FALSE) model->tc2w=0.0;
    if(model->tc1kfn_Given == FALSE) model->tc1kfn=0.0;
    for ( here = r2_cmcinstances(model) ;here != NULL ; here = r2_cmcnextInstance(here) )
    {
    if(here->w_Given == FALSE) here->w=1.0e-06;
    if(here->l_Given == FALSE) here->l=1.0e-06;
    if(here->r_Given == FALSE) here->r=100.0;
    if(here->c1_Given == FALSE) here->c1=1;
    if(here->c2_Given == FALSE) here->c2=1;
    if(here->trise_Given == FALSE) here->trise=0.0;
    if(here->isnoisy_Given == FALSE) here->isnoisy=1;
      /* External Nodes, connected ? */
      here->n1Node_connected = (here->n1Node >= 0);
      here->n2Node_connected = (here->n2Node >= 0);
       ((GENinstance*)here)->GENstate = *states;
       *states += r2_cmcnumStates;
      /* set states */
      /* set Sparse Matrix Pointers */
      here->PTR_J_n1_n1_required=0;
      here->PTR_J_n1_n2_required=0;
      here->PTR_J_n2_n1_required=0;
      here->PTR_J_n2_n2_required=0;

      r2_cmcguesstopology(matrix,ckt,model,here);

      /* Internal Nodes */
      {
        int error;
        CKTnode *tmp;
        if(here->n1Node == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->r2_cmcname,"Xn1X");
          if(error) return(error);
          here->n1Node = tmp->number;
          here->n1Node_mine = 1;
        }
        if(here->n2Node == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->r2_cmcname,"Xn2X");
          if(error) return(error);
          here->n2Node = tmp->number;
          here->n2Node_mine = 1;
        }
      }
        if(here->PTR_J_n1_n1_required==1)
        {
          here->PTR_J_n1_n1=SMPmakeElt(matrix,here->n1Node,here->n1Node);
        }
        if(here->PTR_J_n1_n2_required==1)
        {
          here->PTR_J_n1_n2=SMPmakeElt(matrix,here->n1Node,here->n2Node);
        }
        if(here->PTR_J_n2_n1_required==1)
        {
          here->PTR_J_n2_n1=SMPmakeElt(matrix,here->n2Node,here->n1Node);
        }
        if(here->PTR_J_n2_n2_required==1)
        {
          here->PTR_J_n2_n2=SMPmakeElt(matrix,here->n2Node,here->n2Node);
        }

    }
  }
  return(OK);
}


int
r2_cmcunsetup(GENmodel *inModel, CKTcircuit *ckt)
{
  r2_cmcmodel *model = (r2_cmcmodel*)inModel;
  r2_cmcinstance *here;

  /*  loop through all the r2_cmc device models */
  for ( ;model != NULL ;model = r2_cmcnextModel(model) )
  {
    for ( here = r2_cmcinstances(model) ;here != NULL ; here = r2_cmcnextInstance(here) )
    {
        if (here->n1Node_mine) {
            if (here->n1Node > 0)
                CKTdltNNum(ckt, here->n1Node);
            here->n1Node_mine = 0;
        }
        if (!here->n1Node_connected)
            here->n1Node = -1;
        if (here->n2Node_mine) {
            if (here->n2Node > 0)
                CKTdltNNum(ckt, here->n2Node);
            here->n2Node_mine = 0;
        }
        if (!here->n2Node_connected)
            here->n2Node = -1;
    }
  }
  return OK;
}
