/*
 * bsimbulk.analogfunction.h - analog function header
 *
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 */

#ifndef __bsimbulk_ANALOGFUNCTION_H__
#define __bsimbulk_ANALOGFUNCTION_H__


/*
 * analog function: lexp
 */
double bsimbulk_lexp (
  double x
  );
double bsimbulk_d_lexp (
  double x,
  double d_x
  );

/*
 * analog function: lln
 */
double bsimbulk_lln (
  double x
  );
double bsimbulk_d_lln (
  double x,
  double d_x
  );

/*
 * analog function: hypsmooth
 */
double bsimbulk_hypsmooth (
  double x,
  double c
  );
double bsimbulk_d_hypsmooth (
  double x,
  double c,
  double d_x,
  double d_c
  );

#endif /* __bsimbulk_ANALOGFUNCTION_H__ */
