/***
*** Interface: ngspice 1.0.0.0
 *** created by: admsXml-2.3.7 ***/


#include "ngspice/ngspice.h"
#include "ngspice/cktdefs.h"
#include "ngspice/smpdefs.h"
#include "bsimbulkdefs.h"
#include "ngspice/const.h"
#include "ngspice/sperror.h"
#include "ngspice/ifsim.h"
#include "ngspice/suffix.h"

int bsimbulksetup (SMPmatrix *matrix, GENmodel *inModel, CKTcircuit *ckt, int *states)
     /* load the bsimbulk device structure with those pointers needed later 
      * for fast matrix loading 
      */
{
  bsimbulkmodel *model = (bsimbulkmodel*)inModel;
  bsimbulkinstance *here;
  
  /*  loop through all the bsimbulk device models */
  for ( ;model != NULL ;model = bsimbulknextModel(model) )
  {
    if(model->pmos_Given == FALSE) model->pmos=1;
    if(model->nmos_Given == FALSE) model->nmos=1;
    if(model->TYPE_Given == FALSE) model->TYPE=1;
    if(model->CVMOD_Given == FALSE) model->CVMOD=0;
    if(model->COVMOD_Given == FALSE) model->COVMOD=0;
    if(model->RDSMOD_Given == FALSE) model->RDSMOD=0;
    if(model->WPEMOD_Given == FALSE) model->WPEMOD=0;
    if(model->ASYMMOD_Given == FALSE) model->ASYMMOD=0;
    if(model->GIDLMOD_Given == FALSE) model->GIDLMOD=0;
    if(model->IGCMOD_Given == FALSE) model->IGCMOD=0;
    if(model->IGBMOD_Given == FALSE) model->IGBMOD=0;
    if(model->TNOIMOD_Given == FALSE) model->TNOIMOD=0;
    if(model->SHMOD_Given == FALSE) model->SHMOD=0;
    if(model->MOBSCALE_Given == FALSE) model->MOBSCALE=0;
    if(model->LLONG_Given == FALSE) model->LLONG=(10*1.0e-6);
    if(model->LMLT_Given == FALSE) model->LMLT=1.0;
    if(model->WMLT_Given == FALSE) model->WMLT=1.0;
    if(model->XL_Given == FALSE) model->XL=0.0;
    if(model->WWIDE_Given == FALSE) model->WWIDE=(10*1.0e-6);
    if(model->XW_Given == FALSE) model->XW=0.0;
    if(model->LINT_Given == FALSE) model->LINT=0.0;
    if(model->LL_Given == FALSE) model->LL=0.0;
    if(model->LW_Given == FALSE) model->LW=0.0;
    if(model->LWL_Given == FALSE) model->LWL=0.0;
    if(model->LLN_Given == FALSE) model->LLN=1.0;
    if(model->LWN_Given == FALSE) model->LWN=1.0;
    if(model->WINT_Given == FALSE) model->WINT=0.0;
    if(model->WL_Given == FALSE) model->WL=0.0;
    if(model->WW_Given == FALSE) model->WW=0.0;
    if(model->WWL_Given == FALSE) model->WWL=0.0;
    if(model->WLN_Given == FALSE) model->WLN=1.0;
    if(model->WWN_Given == FALSE) model->WWN=1.0;
    if(model->DLC_Given == FALSE) model->DLC=0.0;
    if(model->LLC_Given == FALSE) model->LLC=0.0;
    if(model->LWC_Given == FALSE) model->LWC=0.0;
    if(model->LWLC_Given == FALSE) model->LWLC=0.0;
    if(model->DWC_Given == FALSE) model->DWC=0.0;
    if(model->WLC_Given == FALSE) model->WLC=0.0;
    if(model->WWC_Given == FALSE) model->WWC=0.0;
    if(model->WWLC_Given == FALSE) model->WWLC=0.0;
    if(model->TOXE_Given == FALSE) model->TOXE=3.0e-9;
    if(model->TOXP_Given == FALSE) model->TOXP=model->TOXE;
    if(model->DTOX_Given == FALSE) model->DTOX=0.0;
    if(model->NDEP_Given == FALSE) model->NDEP=1e24;
    if(model->NDEPL1_Given == FALSE) model->NDEPL1=0.0;
    if(model->NDEPLEXP1_Given == FALSE) model->NDEPLEXP1=1.0;
    if(model->NDEPL2_Given == FALSE) model->NDEPL2=0.0;
    if(model->NDEPLEXP2_Given == FALSE) model->NDEPLEXP2=2.0;
    if(model->NDEPW_Given == FALSE) model->NDEPW=0.0;
    if(model->NDEPWEXP_Given == FALSE) model->NDEPWEXP=1.0;
    if(model->NDEPWL_Given == FALSE) model->NDEPWL=0.0;
    if(model->NDEPWLEXP_Given == FALSE) model->NDEPWLEXP=1.0;
    if(model->LNDEP_Given == FALSE) model->LNDEP=0.0;
    if(model->WNDEP_Given == FALSE) model->WNDEP=0.0;
    if(model->PNDEP_Given == FALSE) model->PNDEP=0.0;
    if(model->NDEPCV_Given == FALSE) model->NDEPCV=model->NDEP;
    if(model->NDEPCVL1_Given == FALSE) model->NDEPCVL1=model->NDEPL1;
    if(model->NDEPCVLEXP1_Given == FALSE) model->NDEPCVLEXP1=model->NDEPLEXP1;
    if(model->NDEPCVL2_Given == FALSE) model->NDEPCVL2=model->NDEPL2;
    if(model->NDEPCVLEXP2_Given == FALSE) model->NDEPCVLEXP2=model->NDEPLEXP2;
    if(model->NDEPCVW_Given == FALSE) model->NDEPCVW=model->NDEPW;
    if(model->NDEPCVWEXP_Given == FALSE) model->NDEPCVWEXP=model->NDEPWEXP;
    if(model->NDEPCVWL_Given == FALSE) model->NDEPCVWL=model->NDEPWL;
    if(model->NDEPCVWLEXP_Given == FALSE) model->NDEPCVWLEXP=model->NDEPWLEXP;
    if(model->LNDEPCV_Given == FALSE) model->LNDEPCV=model->LNDEP;
    if(model->WNDEPCV_Given == FALSE) model->WNDEPCV=model->WNDEP;
    if(model->PNDEPCV_Given == FALSE) model->PNDEPCV=model->PNDEP;
    if(model->NGATE_Given == FALSE) model->NGATE=5e25;
    if(model->LNGATE_Given == FALSE) model->LNGATE=0.0;
    if(model->WNGATE_Given == FALSE) model->WNGATE=0.0;
    if(model->PNGATE_Given == FALSE) model->PNGATE=0.0;
    if(model->EASUB_Given == FALSE) model->EASUB=4.05;
    if(model->NI0SUB_Given == FALSE) model->NI0SUB=1.1e16;
    if(model->BG0SUB_Given == FALSE) model->BG0SUB=1.17;
    if(model->EPSRSUB_Given == FALSE) model->EPSRSUB=11.9;
    if(model->EPSROX_Given == FALSE) model->EPSROX=3.9;
    if(model->XJ_Given == FALSE) model->XJ=1.5e-7;
    if(model->LXJ_Given == FALSE) model->LXJ=0.0;
    if(model->WXJ_Given == FALSE) model->WXJ=0.0;
    if(model->PXJ_Given == FALSE) model->PXJ=0.0;
    if(model->VFB_Given == FALSE) model->VFB=(-0.5);
    if(model->LVFB_Given == FALSE) model->LVFB=0.0;
    if(model->WVFB_Given == FALSE) model->WVFB=0.0;
    if(model->PVFB_Given == FALSE) model->PVFB=0.0;
    if(model->VFBCV_Given == FALSE) model->VFBCV=model->VFB;
    if(model->LVFBCV_Given == FALSE) model->LVFBCV=model->LVFB;
    if(model->WVFBCV_Given == FALSE) model->WVFBCV=model->WVFB;
    if(model->PVFBCV_Given == FALSE) model->PVFBCV=model->PVFB;
    if(model->VFBCVL_Given == FALSE) model->VFBCVL=0.0;
    if(model->VFBCVLEXP_Given == FALSE) model->VFBCVLEXP=1.0;
    if(model->VFBCVW_Given == FALSE) model->VFBCVW=0.0;
    if(model->VFBCVWEXP_Given == FALSE) model->VFBCVWEXP=1.0;
    if(model->VFBCVWL_Given == FALSE) model->VFBCVWL=0.0;
    if(model->VFBCVWLEXP_Given == FALSE) model->VFBCVWLEXP=1.0;
    if(model->PERMOD_Given == FALSE) model->PERMOD=1;
    if(model->DWJ_Given == FALSE) model->DWJ=model->DWC;
    if(model->NSD_Given == FALSE) model->NSD=1e26;
    if(model->LNSD_Given == FALSE) model->LNSD=0.0;
    if(model->WNSD_Given == FALSE) model->WNSD=0.0;
    if(model->PNSD_Given == FALSE) model->PNSD=0.0;
    if(model->DVTP0_Given == FALSE) model->DVTP0=0.0;
    if(model->LDVTP0_Given == FALSE) model->LDVTP0=0;
    if(model->WDVTP0_Given == FALSE) model->WDVTP0=0;
    if(model->PDVTP0_Given == FALSE) model->PDVTP0=0;
    if(model->DVTP1_Given == FALSE) model->DVTP1=0.0;
    if(model->LDVTP1_Given == FALSE) model->LDVTP1=0;
    if(model->WDVTP1_Given == FALSE) model->WDVTP1=0;
    if(model->PDVTP1_Given == FALSE) model->PDVTP1=0;
    if(model->DVTP2_Given == FALSE) model->DVTP2=0.0;
    if(model->LDVTP2_Given == FALSE) model->LDVTP2=0;
    if(model->WDVTP2_Given == FALSE) model->WDVTP2=0;
    if(model->PDVTP2_Given == FALSE) model->PDVTP2=0;
    if(model->DVTP3_Given == FALSE) model->DVTP3=0.0;
    if(model->LDVTP3_Given == FALSE) model->LDVTP3=0;
    if(model->WDVTP3_Given == FALSE) model->WDVTP3=0;
    if(model->PDVTP3_Given == FALSE) model->PDVTP3=0;
    if(model->DVTP4_Given == FALSE) model->DVTP4=0.0;
    if(model->LDVTP4_Given == FALSE) model->LDVTP4=0;
    if(model->WDVTP4_Given == FALSE) model->WDVTP4=0;
    if(model->PDVTP4_Given == FALSE) model->PDVTP4=0;
    if(model->DVTP5_Given == FALSE) model->DVTP5=0.0;
    if(model->LDVTP5_Given == FALSE) model->LDVTP5=0;
    if(model->WDVTP5_Given == FALSE) model->WDVTP5=0;
    if(model->PDVTP5_Given == FALSE) model->PDVTP5=0;
    if(model->PHIN_Given == FALSE) model->PHIN=0.045;
    if(model->LPHIN_Given == FALSE) model->LPHIN=0.0;
    if(model->WPHIN_Given == FALSE) model->WPHIN=0.0;
    if(model->PPHIN_Given == FALSE) model->PPHIN=0.0;
    if(model->ETA0_Given == FALSE) model->ETA0=0.08;
    if(model->LETA0_Given == FALSE) model->LETA0=0.0;
    if(model->WETA0_Given == FALSE) model->WETA0=0.0;
    if(model->PETA0_Given == FALSE) model->PETA0=0.0;
    if(model->ETA0R_Given == FALSE) model->ETA0R=model->ETA0;
    if(model->LETA0R_Given == FALSE) model->LETA0R=model->LETA0;
    if(model->WETA0R_Given == FALSE) model->WETA0R=model->WETA0;
    if(model->PETA0R_Given == FALSE) model->PETA0R=model->PETA0;
    if(model->DSUB_Given == FALSE) model->DSUB=1.0;
    if(model->ETAB_Given == FALSE) model->ETAB=(-0.07);
    if(model->ETABEXP_Given == FALSE) model->ETABEXP=1.0;
    if(model->LETAB_Given == FALSE) model->LETAB=0.0;
    if(model->WETAB_Given == FALSE) model->WETAB=0.0;
    if(model->PETAB_Given == FALSE) model->PETAB=0.0;
    if(model->K1_Given == FALSE) model->K1=0.0;
    if(model->K1L_Given == FALSE) model->K1L=0.0;
    if(model->K1LEXP_Given == FALSE) model->K1LEXP=1.0;
    if(model->K1W_Given == FALSE) model->K1W=0.0;
    if(model->K1WEXP_Given == FALSE) model->K1WEXP=1.0;
    if(model->K1WL_Given == FALSE) model->K1WL=0.0;
    if(model->K1WLEXP_Given == FALSE) model->K1WLEXP=1.0;
    if(model->LK1_Given == FALSE) model->LK1=0.0;
    if(model->WK1_Given == FALSE) model->WK1=0.0;
    if(model->PK1_Given == FALSE) model->PK1=0.0;
    if(model->K2_Given == FALSE) model->K2=0.0;
    if(model->K2L_Given == FALSE) model->K2L=0.0;
    if(model->K2LEXP_Given == FALSE) model->K2LEXP=1.0;
    if(model->K2W_Given == FALSE) model->K2W=0.0;
    if(model->K2WEXP_Given == FALSE) model->K2WEXP=1.0;
    if(model->K2WL_Given == FALSE) model->K2WL=0.0;
    if(model->K2WLEXP_Given == FALSE) model->K2WLEXP=1.0;
    if(model->LK2_Given == FALSE) model->LK2=0.0;
    if(model->WK2_Given == FALSE) model->WK2=0.0;
    if(model->PK2_Given == FALSE) model->PK2=0.0;
    if(model->ADOS_Given == FALSE) model->ADOS=0.0;
    if(model->BDOS_Given == FALSE) model->BDOS=1.0;
    if(model->QM0_Given == FALSE) model->QM0=1.0e-3;
    if(model->ETAQM_Given == FALSE) model->ETAQM=0.54;
    if(model->CIT_Given == FALSE) model->CIT=0.0;
    if(model->LCIT_Given == FALSE) model->LCIT=0.0;
    if(model->WCIT_Given == FALSE) model->WCIT=0.0;
    if(model->PCIT_Given == FALSE) model->PCIT=0.0;
    if(model->NFACTOR_Given == FALSE) model->NFACTOR=0.0;
    if(model->NFACTORL_Given == FALSE) model->NFACTORL=0.0;
    if(model->NFACTORLEXP_Given == FALSE) model->NFACTORLEXP=1.0;
    if(model->NFACTORW_Given == FALSE) model->NFACTORW=0.0;
    if(model->NFACTORWEXP_Given == FALSE) model->NFACTORWEXP=1.0;
    if(model->NFACTORWL_Given == FALSE) model->NFACTORWL=0.0;
    if(model->NFACTORWLEXP_Given == FALSE) model->NFACTORWLEXP=1.0;
    if(model->LNFACTOR_Given == FALSE) model->LNFACTOR=0.0;
    if(model->WNFACTOR_Given == FALSE) model->WNFACTOR=0.0;
    if(model->PNFACTOR_Given == FALSE) model->PNFACTOR=0.0;
    if(model->CDSCD_Given == FALSE) model->CDSCD=1e-9;
    if(model->CDSCDL_Given == FALSE) model->CDSCDL=0.0;
    if(model->CDSCDLEXP_Given == FALSE) model->CDSCDLEXP=1.0;
    if(model->LCDSCD_Given == FALSE) model->LCDSCD=0.0;
    if(model->WCDSCD_Given == FALSE) model->WCDSCD=0.0;
    if(model->PCDSCD_Given == FALSE) model->PCDSCD=0.0;
    if(model->CDSCDR_Given == FALSE) model->CDSCDR=model->CDSCD;
    if(model->CDSCDLR_Given == FALSE) model->CDSCDLR=model->CDSCDL;
    if(model->LCDSCDR_Given == FALSE) model->LCDSCDR=model->LCDSCD;
    if(model->WCDSCDR_Given == FALSE) model->WCDSCDR=model->WCDSCD;
    if(model->PCDSCDR_Given == FALSE) model->PCDSCDR=model->PCDSCD;
    if(model->CDSCB_Given == FALSE) model->CDSCB=0.0;
    if(model->CDSCBL_Given == FALSE) model->CDSCBL=0.0;
    if(model->CDSCBLEXP_Given == FALSE) model->CDSCBLEXP=1.0;
    if(model->LCDSCB_Given == FALSE) model->LCDSCB=0.0;
    if(model->WCDSCB_Given == FALSE) model->WCDSCB=0.0;
    if(model->PCDSCB_Given == FALSE) model->PCDSCB=0.0;
    if(model->VSAT_Given == FALSE) model->VSAT=1e5;
    if(model->LVSAT_Given == FALSE) model->LVSAT=0.0;
    if(model->WVSAT_Given == FALSE) model->WVSAT=0.0;
    if(model->PVSAT_Given == FALSE) model->PVSAT=0.0;
    if(model->VSATL_Given == FALSE) model->VSATL=0.0;
    if(model->VSATLEXP_Given == FALSE) model->VSATLEXP=1.0;
    if(model->VSATW_Given == FALSE) model->VSATW=0.0;
    if(model->VSATWEXP_Given == FALSE) model->VSATWEXP=1.0;
    if(model->VSATWL_Given == FALSE) model->VSATWL=0.0;
    if(model->VSATWLEXP_Given == FALSE) model->VSATWLEXP=1.0;
    if(model->VSATR_Given == FALSE) model->VSATR=model->VSAT;
    if(model->LVSATR_Given == FALSE) model->LVSATR=model->LVSAT;
    if(model->WVSATR_Given == FALSE) model->WVSATR=model->WVSAT;
    if(model->PVSATR_Given == FALSE) model->PVSATR=model->PVSAT;
    if(model->DELTA_Given == FALSE) model->DELTA=0.125;
    if(model->LDELTA_Given == FALSE) model->LDELTA=0.0;
    if(model->WDELTA_Given == FALSE) model->WDELTA=0.0;
    if(model->PDELTA_Given == FALSE) model->PDELTA=0.0;
    if(model->DELTAL_Given == FALSE) model->DELTAL=0.0;
    if(model->DELTALEXP_Given == FALSE) model->DELTALEXP=1.0;
    if(model->VSATCV_Given == FALSE) model->VSATCV=model->VSAT;
    if(model->LVSATCV_Given == FALSE) model->LVSATCV=model->LVSAT;
    if(model->WVSATCV_Given == FALSE) model->WVSATCV=model->WVSAT;
    if(model->PVSATCV_Given == FALSE) model->PVSATCV=model->PVSAT;
    if(model->VSATCVL_Given == FALSE) model->VSATCVL=model->VSATL;
    if(model->VSATCVLEXP_Given == FALSE) model->VSATCVLEXP=model->VSATLEXP;
    if(model->VSATCVW_Given == FALSE) model->VSATCVW=model->VSATW;
    if(model->VSATCVWEXP_Given == FALSE) model->VSATCVWEXP=model->VSATWEXP;
    if(model->VSATCVWL_Given == FALSE) model->VSATCVWL=model->VSATWL;
    if(model->VSATCVWLEXP_Given == FALSE) model->VSATCVWLEXP=model->VSATWLEXP;
    if(model->UP1_Given == FALSE) model->UP1=0.0;
    if(model->LP1_Given == FALSE) model->LP1=1.0e-8;
    if(model->UP2_Given == FALSE) model->UP2=0.0;
    if(model->LP2_Given == FALSE) model->LP2=1.0e-8;
    if(model->U0_Given == FALSE) model->U0=67.0e-3;
    if(model->U0L_Given == FALSE) model->U0L=0.0;
    if(model->U0LEXP_Given == FALSE) model->U0LEXP=1.0;
    if(model->LU0_Given == FALSE) model->LU0=0.0;
    if(model->WU0_Given == FALSE) model->WU0=0.0;
    if(model->PU0_Given == FALSE) model->PU0=0.0;
    if(model->U0R_Given == FALSE) model->U0R=model->U0;
    if(model->LU0R_Given == FALSE) model->LU0R=model->LU0;
    if(model->WU0R_Given == FALSE) model->WU0R=model->WU0;
    if(model->PU0R_Given == FALSE) model->PU0R=model->PU0;
    if(model->ETAMOB_Given == FALSE) model->ETAMOB=1.0;
    if(model->UA_Given == FALSE) model->UA=0.001;
    if(model->UAL_Given == FALSE) model->UAL=0.0;
    if(model->UALEXP_Given == FALSE) model->UALEXP=1.0;
    if(model->UAW_Given == FALSE) model->UAW=0.0;
    if(model->UAWEXP_Given == FALSE) model->UAWEXP=1.0;
    if(model->UAWL_Given == FALSE) model->UAWL=0.0;
    if(model->UAWLEXP_Given == FALSE) model->UAWLEXP=1.0;
    if(model->LUA_Given == FALSE) model->LUA=0.0;
    if(model->WUA_Given == FALSE) model->WUA=0.0;
    if(model->PUA_Given == FALSE) model->PUA=0.0;
    if(model->UAR_Given == FALSE) model->UAR=model->UA;
    if(model->LUAR_Given == FALSE) model->LUAR=model->LUA;
    if(model->WUAR_Given == FALSE) model->WUAR=model->WUA;
    if(model->PUAR_Given == FALSE) model->PUAR=model->PUA;
    if(model->EU_Given == FALSE) model->EU=1.5;
    if(model->LEU_Given == FALSE) model->LEU=0.0;
    if(model->WEU_Given == FALSE) model->WEU=0.0;
    if(model->PEU_Given == FALSE) model->PEU=0.0;
    if(model->EUL_Given == FALSE) model->EUL=0.0;
    if(model->EULEXP_Given == FALSE) model->EULEXP=1.0;
    if(model->EUW_Given == FALSE) model->EUW=0.0;
    if(model->EUWEXP_Given == FALSE) model->EUWEXP=1.0;
    if(model->EUWL_Given == FALSE) model->EUWL=0.0;
    if(model->EUWLEXP_Given == FALSE) model->EUWLEXP=1.0;
    if(model->UD_Given == FALSE) model->UD=0.001;
    if(model->UDL_Given == FALSE) model->UDL=0.0;
    if(model->UDLEXP_Given == FALSE) model->UDLEXP=1.0;
    if(model->LUD_Given == FALSE) model->LUD=0.0;
    if(model->WUD_Given == FALSE) model->WUD=0.0;
    if(model->PUD_Given == FALSE) model->PUD=0.0;
    if(model->UDR_Given == FALSE) model->UDR=model->UD;
    if(model->LUDR_Given == FALSE) model->LUDR=model->LUD;
    if(model->WUDR_Given == FALSE) model->WUDR=model->WUD;
    if(model->PUDR_Given == FALSE) model->PUDR=model->PUD;
    if(model->UCS_Given == FALSE) model->UCS=2.0;
    if(model->LUCS_Given == FALSE) model->LUCS=0.0;
    if(model->WUCS_Given == FALSE) model->WUCS=0.0;
    if(model->PUCS_Given == FALSE) model->PUCS=0.0;
    if(model->UCSR_Given == FALSE) model->UCSR=model->UCS;
    if(model->LUCSR_Given == FALSE) model->LUCSR=model->LUCS;
    if(model->WUCSR_Given == FALSE) model->WUCSR=model->WUCS;
    if(model->PUCSR_Given == FALSE) model->PUCSR=model->PUCS;
    if(model->UC_Given == FALSE) model->UC=0.0;
    if(model->UCL_Given == FALSE) model->UCL=0.0;
    if(model->UCLEXP_Given == FALSE) model->UCLEXP=1.0;
    if(model->UCW_Given == FALSE) model->UCW=0.0;
    if(model->UCWEXP_Given == FALSE) model->UCWEXP=1.0;
    if(model->UCWL_Given == FALSE) model->UCWL=0.0;
    if(model->UCWLEXP_Given == FALSE) model->UCWLEXP=1.0;
    if(model->LUC_Given == FALSE) model->LUC=0.0;
    if(model->WUC_Given == FALSE) model->WUC=0.0;
    if(model->PUC_Given == FALSE) model->PUC=0.0;
    if(model->UCR_Given == FALSE) model->UCR=model->UC;
    if(model->LUCR_Given == FALSE) model->LUCR=model->LUC;
    if(model->WUCR_Given == FALSE) model->WUCR=model->WUC;
    if(model->PUCR_Given == FALSE) model->PUCR=model->PUC;
    if(model->PCLM_Given == FALSE) model->PCLM=0.0;
    if(model->PCLML_Given == FALSE) model->PCLML=0.0;
    if(model->PCLMLEXP_Given == FALSE) model->PCLMLEXP=1.0;
    if(model->LPCLM_Given == FALSE) model->LPCLM=0.0;
    if(model->WPCLM_Given == FALSE) model->WPCLM=0.0;
    if(model->PPCLM_Given == FALSE) model->PPCLM=0.0;
    if(model->PCLMR_Given == FALSE) model->PCLMR=model->PCLM;
    if(model->LPCLMR_Given == FALSE) model->LPCLMR=model->LPCLM;
    if(model->WPCLMR_Given == FALSE) model->WPCLMR=model->WPCLM;
    if(model->PPCLMR_Given == FALSE) model->PPCLMR=model->PPCLM;
    if(model->PCLMG_Given == FALSE) model->PCLMG=0.0;
    if(model->PCLMCV_Given == FALSE) model->PCLMCV=model->PCLM;
    if(model->PCLMCVL_Given == FALSE) model->PCLMCVL=model->PCLML;
    if(model->PCLMCVLEXP_Given == FALSE) model->PCLMCVLEXP=model->PCLMLEXP;
    if(model->LPCLMCV_Given == FALSE) model->LPCLMCV=model->LPCLM;
    if(model->WPCLMCV_Given == FALSE) model->WPCLMCV=model->WPCLM;
    if(model->PPCLMCV_Given == FALSE) model->PPCLMCV=model->PPCLM;
    if(model->PSCBE1_Given == FALSE) model->PSCBE1=4.24e8;
    if(model->LPSCBE1_Given == FALSE) model->LPSCBE1=0.0;
    if(model->WPSCBE1_Given == FALSE) model->WPSCBE1=0.0;
    if(model->PPSCBE1_Given == FALSE) model->PPSCBE1=0.0;
    if(model->PSCBE2_Given == FALSE) model->PSCBE2=1.0e-8;
    if(model->LPSCBE2_Given == FALSE) model->LPSCBE2=0.0;
    if(model->WPSCBE2_Given == FALSE) model->WPSCBE2=0.0;
    if(model->PPSCBE2_Given == FALSE) model->PPSCBE2=0.0;
    if(model->PDITS_Given == FALSE) model->PDITS=0.0;
    if(model->LPDITS_Given == FALSE) model->LPDITS=0.0;
    if(model->WPDITS_Given == FALSE) model->WPDITS=0.0;
    if(model->PPDITS_Given == FALSE) model->PPDITS=0.0;
    if(model->PDITSL_Given == FALSE) model->PDITSL=0.0;
    if(model->PDITSD_Given == FALSE) model->PDITSD=0.0;
    if(model->LPDITSD_Given == FALSE) model->LPDITSD=0.0;
    if(model->WPDITSD_Given == FALSE) model->WPDITSD=0.0;
    if(model->PPDITSD_Given == FALSE) model->PPDITSD=0.0;
    if(model->RSH_Given == FALSE) model->RSH=0.0;
    if(model->PRWG_Given == FALSE) model->PRWG=1.0;
    if(model->LPRWG_Given == FALSE) model->LPRWG=0.0;
    if(model->WPRWG_Given == FALSE) model->WPRWG=0.0;
    if(model->PPRWG_Given == FALSE) model->PPRWG=0.0;
    if(model->PRWB_Given == FALSE) model->PRWB=0.0;
    if(model->LPRWB_Given == FALSE) model->LPRWB=0.0;
    if(model->WPRWB_Given == FALSE) model->WPRWB=0.0;
    if(model->PPRWB_Given == FALSE) model->PPRWB=0.0;
    if(model->PRWBL_Given == FALSE) model->PRWBL=0.0;
    if(model->PRWBLEXP_Given == FALSE) model->PRWBLEXP=1.0;
    if(model->WR_Given == FALSE) model->WR=1.0;
    if(model->LWR_Given == FALSE) model->LWR=0.0;
    if(model->WWR_Given == FALSE) model->WWR=0.0;
    if(model->PWR_Given == FALSE) model->PWR=0.0;
    if(model->RSWMIN_Given == FALSE) model->RSWMIN=0.0;
    if(model->LRSWMIN_Given == FALSE) model->LRSWMIN=0.0;
    if(model->WRSWMIN_Given == FALSE) model->WRSWMIN=0.0;
    if(model->PRSWMIN_Given == FALSE) model->PRSWMIN=0.0;
    if(model->RSW_Given == FALSE) model->RSW=10.0;
    if(model->LRSW_Given == FALSE) model->LRSW=0.0;
    if(model->WRSW_Given == FALSE) model->WRSW=0.0;
    if(model->PRSW_Given == FALSE) model->PRSW=0.0;
    if(model->RSWL_Given == FALSE) model->RSWL=0.0;
    if(model->RSWLEXP_Given == FALSE) model->RSWLEXP=1.0;
    if(model->RDWMIN_Given == FALSE) model->RDWMIN=model->RSWMIN;
    if(model->LRDWMIN_Given == FALSE) model->LRDWMIN=model->LRSWMIN;
    if(model->WRDWMIN_Given == FALSE) model->WRDWMIN=model->WRSWMIN;
    if(model->PRDWMIN_Given == FALSE) model->PRDWMIN=model->PRSWMIN;
    if(model->RDW_Given == FALSE) model->RDW=model->RSW;
    if(model->LRDW_Given == FALSE) model->LRDW=model->LRSW;
    if(model->WRDW_Given == FALSE) model->WRDW=model->WRSW;
    if(model->PRDW_Given == FALSE) model->PRDW=model->PRSW;
    if(model->RDWL_Given == FALSE) model->RDWL=model->RSWL;
    if(model->RDWLEXP_Given == FALSE) model->RDWLEXP=model->RSWLEXP;
    if(model->RDSWMIN_Given == FALSE) model->RDSWMIN=0.0;
    if(model->LRDSWMIN_Given == FALSE) model->LRDSWMIN=0.0;
    if(model->WRDSWMIN_Given == FALSE) model->WRDSWMIN=0.0;
    if(model->PRDSWMIN_Given == FALSE) model->PRDSWMIN=0.0;
    if(model->RDSW_Given == FALSE) model->RDSW=20.0;
    if(model->RDSWL_Given == FALSE) model->RDSWL=0.0;
    if(model->RDSWLEXP_Given == FALSE) model->RDSWLEXP=1.0;
    if(model->LRDSW_Given == FALSE) model->LRDSW=0.0;
    if(model->WRDSW_Given == FALSE) model->WRDSW=0.0;
    if(model->PRDSW_Given == FALSE) model->PRDSW=0.0;
    if(model->PSAT_Given == FALSE) model->PSAT=1.0;
    if(model->LPSAT_Given == FALSE) model->LPSAT=0.0;
    if(model->WPSAT_Given == FALSE) model->WPSAT=0.0;
    if(model->PPSAT_Given == FALSE) model->PPSAT=0.0;
    if(model->PSATL_Given == FALSE) model->PSATL=0.0;
    if(model->PSATLEXP_Given == FALSE) model->PSATLEXP=1.0;
    if(model->PSATB_Given == FALSE) model->PSATB=0.0;
    if(model->PSATR_Given == FALSE) model->PSATR=model->PSAT;
    if(model->LPSATR_Given == FALSE) model->LPSATR=model->LPSAT;
    if(model->WPSATR_Given == FALSE) model->WPSATR=model->WPSAT;
    if(model->PPSATR_Given == FALSE) model->PPSATR=model->PPSAT;
    if(model->LPSATB_Given == FALSE) model->LPSATB=0.0;
    if(model->WPSATB_Given == FALSE) model->WPSATB=0.0;
    if(model->PPSATB_Given == FALSE) model->PPSATB=0.0;
    if(model->PSATX_Given == FALSE) model->PSATX=1.0;
    if(model->PTWG_Given == FALSE) model->PTWG=0.0;
    if(model->LPTWG_Given == FALSE) model->LPTWG=0.0;
    if(model->WPTWG_Given == FALSE) model->WPTWG=0.0;
    if(model->PPTWG_Given == FALSE) model->PPTWG=0.0;
    if(model->PTWGL_Given == FALSE) model->PTWGL=0.0;
    if(model->PTWGLEXP_Given == FALSE) model->PTWGLEXP=1.0;
    if(model->PTWGR_Given == FALSE) model->PTWGR=model->PTWG;
    if(model->LPTWGR_Given == FALSE) model->LPTWGR=model->LPTWG;
    if(model->WPTWGR_Given == FALSE) model->WPTWGR=model->WPTWG;
    if(model->PPTWGR_Given == FALSE) model->PPTWGR=model->PPTWG;
    if(model->PTWGLR_Given == FALSE) model->PTWGLR=model->PTWGL;
    if(model->PTWGLEXPR_Given == FALSE) model->PTWGLEXPR=model->PTWGLEXP;
    if(model->A1_Given == FALSE) model->A1=0.0;
    if(model->LA1_Given == FALSE) model->LA1=0.0;
    if(model->WA1_Given == FALSE) model->WA1=0.0;
    if(model->PA1_Given == FALSE) model->PA1=0.0;
    if(model->A11_Given == FALSE) model->A11=0.0;
    if(model->LA11_Given == FALSE) model->LA11=0.0;
    if(model->WA11_Given == FALSE) model->WA11=0.0;
    if(model->PA11_Given == FALSE) model->PA11=0.0;
    if(model->A2_Given == FALSE) model->A2=0.0;
    if(model->LA2_Given == FALSE) model->LA2=0.0;
    if(model->WA2_Given == FALSE) model->WA2=0.0;
    if(model->PA2_Given == FALSE) model->PA2=0.0;
    if(model->A21_Given == FALSE) model->A21=0.0;
    if(model->LA21_Given == FALSE) model->LA21=0.0;
    if(model->WA21_Given == FALSE) model->WA21=0.0;
    if(model->PA21_Given == FALSE) model->PA21=0.0;
    if(model->PDIBLC_Given == FALSE) model->PDIBLC=0.0;
    if(model->PDIBLCL_Given == FALSE) model->PDIBLCL=0.0;
    if(model->PDIBLCLEXP_Given == FALSE) model->PDIBLCLEXP=1.0;
    if(model->LPDIBLC_Given == FALSE) model->LPDIBLC=0.0;
    if(model->WPDIBLC_Given == FALSE) model->WPDIBLC=0.0;
    if(model->PPDIBLC_Given == FALSE) model->PPDIBLC=0.0;
    if(model->PDIBLCR_Given == FALSE) model->PDIBLCR=model->PDIBLC;
    if(model->PDIBLCLR_Given == FALSE) model->PDIBLCLR=model->PDIBLCL;
    if(model->PDIBLCLEXPR_Given == FALSE) model->PDIBLCLEXPR=model->PDIBLCLEXP;
    if(model->LPDIBLCR_Given == FALSE) model->LPDIBLCR=model->LPDIBLC;
    if(model->WPDIBLCR_Given == FALSE) model->WPDIBLCR=model->WPDIBLC;
    if(model->PPDIBLCR_Given == FALSE) model->PPDIBLCR=model->PPDIBLC;
    if(model->PDIBLCB_Given == FALSE) model->PDIBLCB=0.0;
    if(model->LPDIBLCB_Given == FALSE) model->LPDIBLCB=0.0;
    if(model->WPDIBLCB_Given == FALSE) model->WPDIBLCB=0.0;
    if(model->PPDIBLCB_Given == FALSE) model->PPDIBLCB=0.0;
    if(model->PVAG_Given == FALSE) model->PVAG=1.0;
    if(model->LPVAG_Given == FALSE) model->LPVAG=0.0;
    if(model->WPVAG_Given == FALSE) model->WPVAG=0.0;
    if(model->PPVAG_Given == FALSE) model->PPVAG=0.0;
    if(model->FPROUT_Given == FALSE) model->FPROUT=0.0;
    if(model->FPROUTL_Given == FALSE) model->FPROUTL=0.0;
    if(model->FPROUTLEXP_Given == FALSE) model->FPROUTLEXP=1.0;
    if(model->LFPROUT_Given == FALSE) model->LFPROUT=0.0;
    if(model->WFPROUT_Given == FALSE) model->WFPROUT=0.0;
    if(model->PFPROUT_Given == FALSE) model->PFPROUT=0.0;
    if(model->ALPHA0_Given == FALSE) model->ALPHA0=0.0;
    if(model->ALPHA0L_Given == FALSE) model->ALPHA0L=0.0;
    if(model->ALPHA0LEXP_Given == FALSE) model->ALPHA0LEXP=1.0;
    if(model->LALPHA0_Given == FALSE) model->LALPHA0=0.0;
    if(model->WALPHA0_Given == FALSE) model->WALPHA0=0.0;
    if(model->PALPHA0_Given == FALSE) model->PALPHA0=0.0;
    if(model->BETA0_Given == FALSE) model->BETA0=0.0;
    if(model->LBETA0_Given == FALSE) model->LBETA0=0.0;
    if(model->WBETA0_Given == FALSE) model->WBETA0=0.0;
    if(model->PBETA0_Given == FALSE) model->PBETA0=0.0;
    if(model->AIGBACC_Given == FALSE) model->AIGBACC=1.36e-2;
    if(model->BIGBACC_Given == FALSE) model->BIGBACC=1.71e-3;
    if(model->CIGBACC_Given == FALSE) model->CIGBACC=0.075;
    if(model->NIGBACC_Given == FALSE) model->NIGBACC=1.0;
    if(model->AIGBINV_Given == FALSE) model->AIGBINV=1.11e-2;
    if(model->BIGBINV_Given == FALSE) model->BIGBINV=9.49e-4;
    if(model->CIGBINV_Given == FALSE) model->CIGBINV=0.006;
    if(model->EIGBINV_Given == FALSE) model->EIGBINV=1.1;
    if(model->NIGBINV_Given == FALSE) model->NIGBINV=3.0;
    if(model->AIGC_Given == FALSE) model->AIGC=((model->TYPE==1)?1.36e-2:9.8e-3);
    if(model->BIGC_Given == FALSE) model->BIGC=((model->TYPE==1)?1.71e-3:7.59e-4);
    if(model->CIGC_Given == FALSE) model->CIGC=((model->TYPE==1)?0.075:0.03);
    if(model->AIGS_Given == FALSE) model->AIGS=((model->TYPE==1)?1.36e-2:9.8e-3);
    if(model->BIGS_Given == FALSE) model->BIGS=((model->TYPE==1)?1.71e-3:7.59e-4);
    if(model->CIGS_Given == FALSE) model->CIGS=((model->TYPE==1)?0.075:0.03);
    if(model->AIGD_Given == FALSE) model->AIGD=((model->TYPE==1)?1.36e-2:9.8e-3);
    if(model->BIGD_Given == FALSE) model->BIGD=((model->TYPE==1)?1.71e-3:7.59e-4);
    if(model->CIGD_Given == FALSE) model->CIGD=((model->TYPE==1)?0.075:0.03);
    if(model->DLCIG_Given == FALSE) model->DLCIG=model->LINT;
    if(model->DLCIGD_Given == FALSE) model->DLCIGD=model->DLCIG;
    if(model->POXEDGE_Given == FALSE) model->POXEDGE=1.0;
    if(model->NTOX_Given == FALSE) model->NTOX=1.0;
    if(model->TOXREF_Given == FALSE) model->TOXREF=3.0e-9;
    if(model->PIGCD_Given == FALSE) model->PIGCD=1.0;
    if(model->AIGCL_Given == FALSE) model->AIGCL=0.0;
    if(model->AIGCW_Given == FALSE) model->AIGCW=0.0;
    if(model->AIGSL_Given == FALSE) model->AIGSL=0.0;
    if(model->AIGSW_Given == FALSE) model->AIGSW=0.0;
    if(model->AIGDL_Given == FALSE) model->AIGDL=0.0;
    if(model->AIGDW_Given == FALSE) model->AIGDW=0.0;
    if(model->PIGCDL_Given == FALSE) model->PIGCDL=0.0;
    if(model->LAIGBINV_Given == FALSE) model->LAIGBINV=0.0;
    if(model->WAIGBINV_Given == FALSE) model->WAIGBINV=0.0;
    if(model->PAIGBINV_Given == FALSE) model->PAIGBINV=0.0;
    if(model->LBIGBINV_Given == FALSE) model->LBIGBINV=0.0;
    if(model->WBIGBINV_Given == FALSE) model->WBIGBINV=0.0;
    if(model->PBIGBINV_Given == FALSE) model->PBIGBINV=0.0;
    if(model->LCIGBINV_Given == FALSE) model->LCIGBINV=0.0;
    if(model->WCIGBINV_Given == FALSE) model->WCIGBINV=0.0;
    if(model->PCIGBINV_Given == FALSE) model->PCIGBINV=0.0;
    if(model->LEIGBINV_Given == FALSE) model->LEIGBINV=0.0;
    if(model->WEIGBINV_Given == FALSE) model->WEIGBINV=0.0;
    if(model->PEIGBINV_Given == FALSE) model->PEIGBINV=0.0;
    if(model->LNIGBINV_Given == FALSE) model->LNIGBINV=0.0;
    if(model->WNIGBINV_Given == FALSE) model->WNIGBINV=0.0;
    if(model->PNIGBINV_Given == FALSE) model->PNIGBINV=0.0;
    if(model->LAIGBACC_Given == FALSE) model->LAIGBACC=0.0;
    if(model->WAIGBACC_Given == FALSE) model->WAIGBACC=0.0;
    if(model->PAIGBACC_Given == FALSE) model->PAIGBACC=0.0;
    if(model->LBIGBACC_Given == FALSE) model->LBIGBACC=0.0;
    if(model->WBIGBACC_Given == FALSE) model->WBIGBACC=0.0;
    if(model->PBIGBACC_Given == FALSE) model->PBIGBACC=0.0;
    if(model->LCIGBACC_Given == FALSE) model->LCIGBACC=0.0;
    if(model->WCIGBACC_Given == FALSE) model->WCIGBACC=0.0;
    if(model->PCIGBACC_Given == FALSE) model->PCIGBACC=0.0;
    if(model->LNIGBACC_Given == FALSE) model->LNIGBACC=0.0;
    if(model->WNIGBACC_Given == FALSE) model->WNIGBACC=0.0;
    if(model->PNIGBACC_Given == FALSE) model->PNIGBACC=0.0;
    if(model->LAIGC_Given == FALSE) model->LAIGC=0.0;
    if(model->WAIGC_Given == FALSE) model->WAIGC=0.0;
    if(model->PAIGC_Given == FALSE) model->PAIGC=0.0;
    if(model->LBIGC_Given == FALSE) model->LBIGC=0.0;
    if(model->WBIGC_Given == FALSE) model->WBIGC=0.0;
    if(model->PBIGC_Given == FALSE) model->PBIGC=0.0;
    if(model->LCIGC_Given == FALSE) model->LCIGC=0.0;
    if(model->WCIGC_Given == FALSE) model->WCIGC=0.0;
    if(model->PCIGC_Given == FALSE) model->PCIGC=0.0;
    if(model->LAIGS_Given == FALSE) model->LAIGS=0.0;
    if(model->WAIGS_Given == FALSE) model->WAIGS=0.0;
    if(model->PAIGS_Given == FALSE) model->PAIGS=0.0;
    if(model->LBIGS_Given == FALSE) model->LBIGS=0.0;
    if(model->WBIGS_Given == FALSE) model->WBIGS=0.0;
    if(model->PBIGS_Given == FALSE) model->PBIGS=0.0;
    if(model->LCIGS_Given == FALSE) model->LCIGS=0.0;
    if(model->WCIGS_Given == FALSE) model->WCIGS=0.0;
    if(model->PCIGS_Given == FALSE) model->PCIGS=0.0;
    if(model->LAIGD_Given == FALSE) model->LAIGD=0.0;
    if(model->WAIGD_Given == FALSE) model->WAIGD=0.0;
    if(model->PAIGD_Given == FALSE) model->PAIGD=0.0;
    if(model->LBIGD_Given == FALSE) model->LBIGD=0.0;
    if(model->WBIGD_Given == FALSE) model->WBIGD=0.0;
    if(model->PBIGD_Given == FALSE) model->PBIGD=0.0;
    if(model->LCIGD_Given == FALSE) model->LCIGD=0.0;
    if(model->WCIGD_Given == FALSE) model->WCIGD=0.0;
    if(model->PCIGD_Given == FALSE) model->PCIGD=0.0;
    if(model->LPOXEDGE_Given == FALSE) model->LPOXEDGE=0.0;
    if(model->WPOXEDGE_Given == FALSE) model->WPOXEDGE=0.0;
    if(model->PPOXEDGE_Given == FALSE) model->PPOXEDGE=0.0;
    if(model->LDLCIG_Given == FALSE) model->LDLCIG=0.0;
    if(model->WDLCIG_Given == FALSE) model->WDLCIG=0.0;
    if(model->PDLCIG_Given == FALSE) model->PDLCIG=0.0;
    if(model->LDLCIGD_Given == FALSE) model->LDLCIGD=0.0;
    if(model->WDLCIGD_Given == FALSE) model->WDLCIGD=0.0;
    if(model->PDLCIGD_Given == FALSE) model->PDLCIGD=0.0;
    if(model->LNTOX_Given == FALSE) model->LNTOX=0.0;
    if(model->WNTOX_Given == FALSE) model->WNTOX=0.0;
    if(model->PNTOX_Given == FALSE) model->PNTOX=0.0;
    if(model->AGIDL_Given == FALSE) model->AGIDL=0.0;
    if(model->AGIDLL_Given == FALSE) model->AGIDLL=0.0;
    if(model->AGIDLW_Given == FALSE) model->AGIDLW=0.0;
    if(model->LAGIDL_Given == FALSE) model->LAGIDL=0.0;
    if(model->WAGIDL_Given == FALSE) model->WAGIDL=0.0;
    if(model->PAGIDL_Given == FALSE) model->PAGIDL=0.0;
    if(model->BGIDL_Given == FALSE) model->BGIDL=2.3e9;
    if(model->LBGIDL_Given == FALSE) model->LBGIDL=0.0;
    if(model->WBGIDL_Given == FALSE) model->WBGIDL=0.0;
    if(model->PBGIDL_Given == FALSE) model->PBGIDL=0.0;
    if(model->CGIDL_Given == FALSE) model->CGIDL=0.5;
    if(model->LCGIDL_Given == FALSE) model->LCGIDL=0.0;
    if(model->WCGIDL_Given == FALSE) model->WCGIDL=0.0;
    if(model->PCGIDL_Given == FALSE) model->PCGIDL=0.0;
    if(model->EGIDL_Given == FALSE) model->EGIDL=0.8;
    if(model->LEGIDL_Given == FALSE) model->LEGIDL=0.0;
    if(model->WEGIDL_Given == FALSE) model->WEGIDL=0.0;
    if(model->PEGIDL_Given == FALSE) model->PEGIDL=0.0;
    if(model->AGISL_Given == FALSE) model->AGISL=model->AGIDL;
    if(model->AGISLL_Given == FALSE) model->AGISLL=model->AGIDLL;
    if(model->AGISLW_Given == FALSE) model->AGISLW=model->AGIDLW;
    if(model->LAGISL_Given == FALSE) model->LAGISL=model->LAGIDL;
    if(model->WAGISL_Given == FALSE) model->WAGISL=model->WAGIDL;
    if(model->PAGISL_Given == FALSE) model->PAGISL=model->PAGIDL;
    if(model->BGISL_Given == FALSE) model->BGISL=model->BGIDL;
    if(model->LBGISL_Given == FALSE) model->LBGISL=model->LBGIDL;
    if(model->WBGISL_Given == FALSE) model->WBGISL=model->WBGIDL;
    if(model->PBGISL_Given == FALSE) model->PBGISL=model->PBGIDL;
    if(model->CGISL_Given == FALSE) model->CGISL=model->CGIDL;
    if(model->LCGISL_Given == FALSE) model->LCGISL=model->LCGIDL;
    if(model->WCGISL_Given == FALSE) model->WCGISL=model->WCGIDL;
    if(model->PCGISL_Given == FALSE) model->PCGISL=model->PCGIDL;
    if(model->EGISL_Given == FALSE) model->EGISL=model->EGIDL;
    if(model->LEGISL_Given == FALSE) model->LEGISL=model->LEGIDL;
    if(model->WEGISL_Given == FALSE) model->WEGISL=model->WEGIDL;
    if(model->PEGISL_Given == FALSE) model->PEGISL=model->PEGIDL;
    if(model->CF_Given == FALSE) model->CF=0.0;
    if(model->LCF_Given == FALSE) model->LCF=0.0;
    if(model->WCF_Given == FALSE) model->WCF=0.0;
    if(model->PCF_Given == FALSE) model->PCF=0.0;
    if(model->CFRCOEFF_Given == FALSE) model->CFRCOEFF=1.0;
    if(model->CGSO_Given == FALSE) model->CGSO=0.0;
    if(model->CGDO_Given == FALSE) model->CGDO=0.0;
    if(model->CGBO_Given == FALSE) model->CGBO=0.0;
    if(model->CGSL_Given == FALSE) model->CGSL=0.0;
    if(model->LCGSL_Given == FALSE) model->LCGSL=0.0;
    if(model->WCGSL_Given == FALSE) model->WCGSL=0.0;
    if(model->PCGSL_Given == FALSE) model->PCGSL=0.0;
    if(model->CGDL_Given == FALSE) model->CGDL=0.0;
    if(model->LCGDL_Given == FALSE) model->LCGDL=0.0;
    if(model->WCGDL_Given == FALSE) model->WCGDL=0.0;
    if(model->PCGDL_Given == FALSE) model->PCGDL=0.0;
    if(model->CKAPPAS_Given == FALSE) model->CKAPPAS=0.6;
    if(model->LCKAPPAS_Given == FALSE) model->LCKAPPAS=0.0;
    if(model->WCKAPPAS_Given == FALSE) model->WCKAPPAS=0.0;
    if(model->PCKAPPAS_Given == FALSE) model->PCKAPPAS=0.0;
    if(model->CKAPPAD_Given == FALSE) model->CKAPPAD=0.6;
    if(model->LCKAPPAD_Given == FALSE) model->LCKAPPAD=0.0;
    if(model->WCKAPPAD_Given == FALSE) model->WCKAPPAD=0.0;
    if(model->PCKAPPAD_Given == FALSE) model->PCKAPPAD=0.0;
    if(model->DMCG_Given == FALSE) model->DMCG=0.0;
    if(model->DMCI_Given == FALSE) model->DMCI=model->DMCG;
    if(model->DMDG_Given == FALSE) model->DMDG=0.0;
    if(model->DMCGT_Given == FALSE) model->DMCGT=0.0;
    if(model->XGL_Given == FALSE) model->XGL=0.0;
    if(model->RSHG_Given == FALSE) model->RSHG=0.1;
    if(model->CJS_Given == FALSE) model->CJS=5.0e-4;
    if(model->CJD_Given == FALSE) model->CJD=model->CJS;
    if(model->CJSWS_Given == FALSE) model->CJSWS=5.0e-10;
    if(model->CJSWD_Given == FALSE) model->CJSWD=model->CJSWS;
    if(model->CJSWGS_Given == FALSE) model->CJSWGS=0.0;
    if(model->CJSWGD_Given == FALSE) model->CJSWGD=model->CJSWGS;
    if(model->PBS_Given == FALSE) model->PBS=1.0;
    if(model->PBD_Given == FALSE) model->PBD=model->PBS;
    if(model->PBSWS_Given == FALSE) model->PBSWS=1.0;
    if(model->PBSWD_Given == FALSE) model->PBSWD=model->PBSWS;
    if(model->PBSWGS_Given == FALSE) model->PBSWGS=model->PBSWS;
    if(model->PBSWGD_Given == FALSE) model->PBSWGD=model->PBSWGS;
    if(model->MJS_Given == FALSE) model->MJS=0.5;
    if(model->MJD_Given == FALSE) model->MJD=model->MJS;
    if(model->MJSWS_Given == FALSE) model->MJSWS=0.33;
    if(model->MJSWD_Given == FALSE) model->MJSWD=model->MJSWS;
    if(model->MJSWGS_Given == FALSE) model->MJSWGS=model->MJSWS;
    if(model->MJSWGD_Given == FALSE) model->MJSWGD=model->MJSWGS;
    if(model->JSS_Given == FALSE) model->JSS=1.0e-4;
    if(model->JSD_Given == FALSE) model->JSD=model->JSS;
    if(model->JSWS_Given == FALSE) model->JSWS=0.0;
    if(model->JSWD_Given == FALSE) model->JSWD=model->JSWS;
    if(model->JSWGS_Given == FALSE) model->JSWGS=0.0;
    if(model->JSWGD_Given == FALSE) model->JSWGD=model->JSWGS;
    if(model->NJS_Given == FALSE) model->NJS=1.0;
    if(model->NJD_Given == FALSE) model->NJD=model->NJS;
    if(model->IJTHSFWD_Given == FALSE) model->IJTHSFWD=0.1;
    if(model->IJTHDFWD_Given == FALSE) model->IJTHDFWD=model->IJTHSFWD;
    if(model->IJTHSREV_Given == FALSE) model->IJTHSREV=0.1;
    if(model->IJTHDREV_Given == FALSE) model->IJTHDREV=model->IJTHSREV;
    if(model->BVS_Given == FALSE) model->BVS=10.0;
    if(model->BVD_Given == FALSE) model->BVD=model->BVS;
    if(model->XJBVS_Given == FALSE) model->XJBVS=1.0;
    if(model->XJBVD_Given == FALSE) model->XJBVD=model->XJBVS;
    if(model->JTSS_Given == FALSE) model->JTSS=0.0;
    if(model->JTSD_Given == FALSE) model->JTSD=model->JTSS;
    if(model->JTSSWS_Given == FALSE) model->JTSSWS=0.0;
    if(model->JTSSWD_Given == FALSE) model->JTSSWD=model->JTSSWS;
    if(model->JTSSWGS_Given == FALSE) model->JTSSWGS=0.0;
    if(model->JTSSWGD_Given == FALSE) model->JTSSWGD=model->JTSSWGS;
    if(model->JTWEFF_Given == FALSE) model->JTWEFF=0.0;
    if(model->NJTS_Given == FALSE) model->NJTS=20.0;
    if(model->NJTSD_Given == FALSE) model->NJTSD=model->NJTS;
    if(model->NJTSSW_Given == FALSE) model->NJTSSW=20.0;
    if(model->NJTSSWD_Given == FALSE) model->NJTSSWD=model->NJTSSW;
    if(model->NJTSSWG_Given == FALSE) model->NJTSSWG=20.0;
    if(model->NJTSSWGD_Given == FALSE) model->NJTSSWGD=model->NJTSSWG;
    if(model->VTSS_Given == FALSE) model->VTSS=10.0;
    if(model->VTSD_Given == FALSE) model->VTSD=model->VTSS;
    if(model->VTSSWS_Given == FALSE) model->VTSSWS=10.0;
    if(model->VTSSWD_Given == FALSE) model->VTSSWD=model->VTSSWS;
    if(model->VTSSWGS_Given == FALSE) model->VTSSWGS=10.0;
    if(model->VTSSWGD_Given == FALSE) model->VTSSWGD=model->VTSSWGS;
    if(model->XRCRG1_Given == FALSE) model->XRCRG1=12.0;
    if(model->XRCRG2_Given == FALSE) model->XRCRG2=1.0;
    if(model->GBMIN_Given == FALSE) model->GBMIN=1.0e-12;
    if(model->RBPS0_Given == FALSE) model->RBPS0=50.0;
    if(model->RBPSL_Given == FALSE) model->RBPSL=0.0;
    if(model->RBPSW_Given == FALSE) model->RBPSW=0.0;
    if(model->RBPSNF_Given == FALSE) model->RBPSNF=0.0;
    if(model->RBPD0_Given == FALSE) model->RBPD0=50.0;
    if(model->RBPDL_Given == FALSE) model->RBPDL=0.0;
    if(model->RBPDW_Given == FALSE) model->RBPDW=0.0;
    if(model->RBPDNF_Given == FALSE) model->RBPDNF=0.0;
    if(model->RBPBX0_Given == FALSE) model->RBPBX0=100.0;
    if(model->RBPBXL_Given == FALSE) model->RBPBXL=0.0;
    if(model->RBPBXW_Given == FALSE) model->RBPBXW=0.0;
    if(model->RBPBXNF_Given == FALSE) model->RBPBXNF=0.0;
    if(model->RBPBY0_Given == FALSE) model->RBPBY0=100.0;
    if(model->RBPBYL_Given == FALSE) model->RBPBYL=0.0;
    if(model->RBPBYW_Given == FALSE) model->RBPBYW=0.0;
    if(model->RBPBYNF_Given == FALSE) model->RBPBYNF=0.0;
    if(model->RBSBX0_Given == FALSE) model->RBSBX0=100.0;
    if(model->RBSBY0_Given == FALSE) model->RBSBY0=100.0;
    if(model->RBDBX0_Given == FALSE) model->RBDBX0=100.0;
    if(model->RBDBY0_Given == FALSE) model->RBDBY0=100.0;
    if(model->RBSDBXL_Given == FALSE) model->RBSDBXL=0.0;
    if(model->RBSDBXW_Given == FALSE) model->RBSDBXW=0.0;
    if(model->RBSDBXNF_Given == FALSE) model->RBSDBXNF=0.0;
    if(model->RBSDBYL_Given == FALSE) model->RBSDBYL=0.0;
    if(model->RBSDBYW_Given == FALSE) model->RBSDBYW=0.0;
    if(model->RBSDBYNF_Given == FALSE) model->RBSDBYNF=0.0;
    if(model->EF_Given == FALSE) model->EF=1.0;
    if(model->EM_Given == FALSE) model->EM=4.1e7;
    if(model->NOIA_Given == FALSE) model->NOIA=6.250e+40;
    if(model->NOIB_Given == FALSE) model->NOIB=3.125e+25;
    if(model->NOIC_Given == FALSE) model->NOIC=8.750e+8;
    if(model->LINTNOI_Given == FALSE) model->LINTNOI=0.0;
    if(model->NTNOI_Given == FALSE) model->NTNOI=1.0;
    if(model->RNOIA_Given == FALSE) model->RNOIA=0.577;
    if(model->RNOIB_Given == FALSE) model->RNOIB=0.5164;
    if(model->RNOIC_Given == FALSE) model->RNOIC=0.395;
    if(model->TNOIA_Given == FALSE) model->TNOIA=0.0;
    if(model->TNOIB_Given == FALSE) model->TNOIB=0.0;
    if(model->TNOIC_Given == FALSE) model->TNOIC=0.0;
    if(model->BINUNIT_Given == FALSE) model->BINUNIT=1;
    if(model->DLBIN_Given == FALSE) model->DLBIN=0.0;
    if(model->DWBIN_Given == FALSE) model->DWBIN=0.0;
    if(model->TNOM_Given == FALSE) model->TNOM=27.0;
    if(model->TBGASUB_Given == FALSE) model->TBGASUB=4.73e-4;
    if(model->TBGBSUB_Given == FALSE) model->TBGBSUB=636.0;
    if(model->TNFACTOR_Given == FALSE) model->TNFACTOR=0.0;
    if(model->UTE_Given == FALSE) model->UTE=(-1.5);
    if(model->LUTE_Given == FALSE) model->LUTE=0.0;
    if(model->WUTE_Given == FALSE) model->WUTE=0.0;
    if(model->PUTE_Given == FALSE) model->PUTE=0.0;
    if(model->UTEL_Given == FALSE) model->UTEL=0.0;
    if(model->UA1_Given == FALSE) model->UA1=1.0e-3;
    if(model->LUA1_Given == FALSE) model->LUA1=0.0;
    if(model->WUA1_Given == FALSE) model->WUA1=0.0;
    if(model->PUA1_Given == FALSE) model->PUA1=0.0;
    if(model->UA1L_Given == FALSE) model->UA1L=0.0;
    if(model->UC1_Given == FALSE) model->UC1=0.056e-9;
    if(model->LUC1_Given == FALSE) model->LUC1=0.0;
    if(model->WUC1_Given == FALSE) model->WUC1=0.0;
    if(model->PUC1_Given == FALSE) model->PUC1=0.0;
    if(model->UD1_Given == FALSE) model->UD1=0.0;
    if(model->LUD1_Given == FALSE) model->LUD1=0.0;
    if(model->WUD1_Given == FALSE) model->WUD1=0.0;
    if(model->PUD1_Given == FALSE) model->PUD1=0.0;
    if(model->UD1L_Given == FALSE) model->UD1L=0.0;
    if(model->UCSTE_Given == FALSE) model->UCSTE=(-4.775e-3);
    if(model->LUCSTE_Given == FALSE) model->LUCSTE=0.0;
    if(model->WUCSTE_Given == FALSE) model->WUCSTE=0.0;
    if(model->PUCSTE_Given == FALSE) model->PUCSTE=0.0;
    if(model->TETA0_Given == FALSE) model->TETA0=0.0;
    if(model->PRT_Given == FALSE) model->PRT=0.0;
    if(model->LPRT_Given == FALSE) model->LPRT=0.0;
    if(model->WPRT_Given == FALSE) model->WPRT=0.0;
    if(model->PPRT_Given == FALSE) model->PPRT=0.0;
    if(model->AT_Given == FALSE) model->AT=(-1.56e-3);
    if(model->LAT_Given == FALSE) model->LAT=0.0;
    if(model->WAT_Given == FALSE) model->WAT=0.0;
    if(model->PAT_Given == FALSE) model->PAT=0.0;
    if(model->ATL_Given == FALSE) model->ATL=0.0;
    if(model->TDELTA_Given == FALSE) model->TDELTA=0.0;
    if(model->PTWGT_Given == FALSE) model->PTWGT=0.0;
    if(model->LPTWGT_Given == FALSE) model->LPTWGT=0.0;
    if(model->WPTWGT_Given == FALSE) model->WPTWGT=0.0;
    if(model->PPTWGT_Given == FALSE) model->PPTWGT=0.0;
    if(model->PTWGTL_Given == FALSE) model->PTWGTL=0.0;
    if(model->KT1_Given == FALSE) model->KT1=(-0.11);
    if(model->KT1EXP_Given == FALSE) model->KT1EXP=1.0;
    if(model->KT1L_Given == FALSE) model->KT1L=0.0;
    if(model->LKT1_Given == FALSE) model->LKT1=0.0;
    if(model->WKT1_Given == FALSE) model->WKT1=0.0;
    if(model->PKT1_Given == FALSE) model->PKT1=0.0;
    if(model->KT2_Given == FALSE) model->KT2=0.022;
    if(model->LKT2_Given == FALSE) model->LKT2=0.0;
    if(model->WKT2_Given == FALSE) model->WKT2=0.0;
    if(model->PKT2_Given == FALSE) model->PKT2=0.0;
    if(model->IIT_Given == FALSE) model->IIT=0.0;
    if(model->LIIT_Given == FALSE) model->LIIT=0.0;
    if(model->WIIT_Given == FALSE) model->WIIT=0.0;
    if(model->PIIT_Given == FALSE) model->PIIT=0.0;
    if(model->IGT_Given == FALSE) model->IGT=2.5;
    if(model->LIGT_Given == FALSE) model->LIGT=0.0;
    if(model->WIGT_Given == FALSE) model->WIGT=0.0;
    if(model->PIGT_Given == FALSE) model->PIGT=0.0;
    if(model->TGIDL_Given == FALSE) model->TGIDL=0.0;
    if(model->LTGIDL_Given == FALSE) model->LTGIDL=0.0;
    if(model->WTGIDL_Given == FALSE) model->WTGIDL=0.0;
    if(model->PTGIDL_Given == FALSE) model->PTGIDL=0.0;
    if(model->TCJ_Given == FALSE) model->TCJ=0.0;
    if(model->TCJSW_Given == FALSE) model->TCJSW=0.0;
    if(model->TCJSWG_Given == FALSE) model->TCJSWG=0.0;
    if(model->TPB_Given == FALSE) model->TPB=0.0;
    if(model->TPBSW_Given == FALSE) model->TPBSW=0.0;
    if(model->TPBSWG_Given == FALSE) model->TPBSWG=0.0;
    if(model->XTIS_Given == FALSE) model->XTIS=3.0;
    if(model->XTID_Given == FALSE) model->XTID=model->XTIS;
    if(model->XTSS_Given == FALSE) model->XTSS=0.02;
    if(model->XTSD_Given == FALSE) model->XTSD=model->XTSS;
    if(model->XTSSWS_Given == FALSE) model->XTSSWS=0.02;
    if(model->XTSSWD_Given == FALSE) model->XTSSWD=model->XTSSWS;
    if(model->XTSSWGS_Given == FALSE) model->XTSSWGS=0.02;
    if(model->XTSSWGD_Given == FALSE) model->XTSSWGD=model->XTSSWGS;
    if(model->TNJTS_Given == FALSE) model->TNJTS=0.0;
    if(model->TNJTSD_Given == FALSE) model->TNJTSD=model->TNJTS;
    if(model->TNJTSSW_Given == FALSE) model->TNJTSSW=0.0;
    if(model->TNJTSSWD_Given == FALSE) model->TNJTSSWD=model->TNJTSSW;
    if(model->TNJTSSWG_Given == FALSE) model->TNJTSSWG=0.0;
    if(model->TNJTSSWGD_Given == FALSE) model->TNJTSSWGD=model->TNJTSSWG;
    if(model->RTH0_Given == FALSE) model->RTH0=0.0;
    if(model->CTH0_Given == FALSE) model->CTH0=1.0E-05;
    if(model->WTH0_Given == FALSE) model->WTH0=0.0;
    if(model->SAREF_Given == FALSE) model->SAREF=1.0e-6;
    if(model->SBREF_Given == FALSE) model->SBREF=1.0e-6;
    if(model->WLOD_Given == FALSE) model->WLOD=0.0;
    if(model->KU0_Given == FALSE) model->KU0=0.0;
    if(model->KVSAT_Given == FALSE) model->KVSAT=0.0;
    if(model->TKU0_Given == FALSE) model->TKU0=0.0;
    if(model->LKU0_Given == FALSE) model->LKU0=0.0;
    if(model->WKU0_Given == FALSE) model->WKU0=0.0;
    if(model->PKU0_Given == FALSE) model->PKU0=0.0;
    if(model->LLODKU0_Given == FALSE) model->LLODKU0=0.0;
    if(model->WLODKU0_Given == FALSE) model->WLODKU0=0.0;
    if(model->KVTH0_Given == FALSE) model->KVTH0=0.0;
    if(model->LKVTH0_Given == FALSE) model->LKVTH0=0.0;
    if(model->WKVTH0_Given == FALSE) model->WKVTH0=0.0;
    if(model->PKVTH0_Given == FALSE) model->PKVTH0=0.0;
    if(model->LLODVTH_Given == FALSE) model->LLODVTH=0.0;
    if(model->WLODVTH_Given == FALSE) model->WLODVTH=0.0;
    if(model->STK2_Given == FALSE) model->STK2=0.0;
    if(model->LODK2_Given == FALSE) model->LODK2=0.0;
    if(model->STETA0_Given == FALSE) model->STETA0=0.0;
    if(model->LODETA0_Given == FALSE) model->LODETA0=0.0;
    if(model->WEB_Given == FALSE) model->WEB=0.0;
    if(model->WEC_Given == FALSE) model->WEC=0.0;
    if(model->KVTH0WE_Given == FALSE) model->KVTH0WE=0.0;
    if(model->LKVTH0WE_Given == FALSE) model->LKVTH0WE=0.0;
    if(model->WKVTH0WE_Given == FALSE) model->WKVTH0WE=0.0;
    if(model->PKVTH0WE_Given == FALSE) model->PKVTH0WE=0.0;
    if(model->K2WE_Given == FALSE) model->K2WE=0.0;
    if(model->LK2WE_Given == FALSE) model->LK2WE=0.0;
    if(model->WK2WE_Given == FALSE) model->WK2WE=0.0;
    if(model->PK2WE_Given == FALSE) model->PK2WE=0.0;
    if(model->KU0WE_Given == FALSE) model->KU0WE=0.0;
    if(model->LKU0WE_Given == FALSE) model->LKU0WE=0.0;
    if(model->WKU0WE_Given == FALSE) model->WKU0WE=0.0;
    if(model->PKU0WE_Given == FALSE) model->PKU0WE=0.0;
    if(model->SCREF_Given == FALSE) model->SCREF=1.0e-6;
    if(model->SSL0_Given == FALSE) model->SSL0=4.0e2;
    if(model->SSL1_Given == FALSE) model->SSL1=3.36e8;
    if(model->SSL2_Given == FALSE) model->SSL2=0.185;
    if(model->SSL3_Given == FALSE) model->SSL3=0.3;
    if(model->SSL4_Given == FALSE) model->SSL4=1.4;
    if(model->SSLEXP1_Given == FALSE) model->SSLEXP1=0.490;
    if(model->SSLEXP2_Given == FALSE) model->SSLEXP2=1.42;
    if(model->AVDSX_Given == FALSE) model->AVDSX=20;
    if(model->WEDGE_Given == FALSE) model->WEDGE=10.0e-9;
    if(model->DGAMMAEDGE_Given == FALSE) model->DGAMMAEDGE=0.0;
    if(model->DGAMMAEDGEL_Given == FALSE) model->DGAMMAEDGEL=0.0;
    if(model->DGAMMAEDGELEXP_Given == FALSE) model->DGAMMAEDGELEXP=1.0;
    if(model->DVTEDGE_Given == FALSE) model->DVTEDGE=0.0;
    if(model->NFACTOREDGE_Given == FALSE) model->NFACTOREDGE=model->NFACTOR;
    if(model->LNFACTOREDGE_Given == FALSE) model->LNFACTOREDGE=model->LNFACTOR;
    if(model->WNFACTOREDGE_Given == FALSE) model->WNFACTOREDGE=model->WNFACTOR;
    if(model->PNFACTOREDGE_Given == FALSE) model->PNFACTOREDGE=model->PNFACTOR;
    if(model->CITEDGE_Given == FALSE) model->CITEDGE=model->CIT;
    if(model->LCITEDGE_Given == FALSE) model->LCITEDGE=model->LCIT;
    if(model->WCITEDGE_Given == FALSE) model->WCITEDGE=model->WCIT;
    if(model->PCITEDGE_Given == FALSE) model->PCITEDGE=model->PCIT;
    if(model->CDSCDEDGE_Given == FALSE) model->CDSCDEDGE=model->CDSCD;
    if(model->LCDSCDEDGE_Given == FALSE) model->LCDSCDEDGE=model->LCDSCD;
    if(model->WCDSCDEDGE_Given == FALSE) model->WCDSCDEDGE=model->WCDSCD;
    if(model->PCDSCDEDGE_Given == FALSE) model->PCDSCDEDGE=model->PCDSCD;
    if(model->CDSCBEDGE_Given == FALSE) model->CDSCBEDGE=model->CDSCB;
    if(model->LCDSCBEDGE_Given == FALSE) model->LCDSCBEDGE=model->LCDSCB;
    if(model->WCDSCBEDGE_Given == FALSE) model->WCDSCBEDGE=model->WCDSCB;
    if(model->PCDSCBEDGE_Given == FALSE) model->PCDSCBEDGE=model->PCDSCB;
    if(model->ETA0EDGE_Given == FALSE) model->ETA0EDGE=model->ETA0;
    if(model->LETA0EDGE_Given == FALSE) model->LETA0EDGE=model->LETA0;
    if(model->WETA0EDGE_Given == FALSE) model->WETA0EDGE=model->WETA0;
    if(model->PETA0EDGE_Given == FALSE) model->PETA0EDGE=model->PETA0;
    if(model->ETABEDGE_Given == FALSE) model->ETABEDGE=model->ETAB;
    if(model->LETABEDGE_Given == FALSE) model->LETABEDGE=model->LETAB;
    if(model->WETABEDGE_Given == FALSE) model->WETABEDGE=model->WETAB;
    if(model->PETABEDGE_Given == FALSE) model->PETABEDGE=model->PETAB;
    if(model->KT1EDGE_Given == FALSE) model->KT1EDGE=model->KT1;
    if(model->LKT1EDGE_Given == FALSE) model->LKT1EDGE=model->LKT1;
    if(model->WKT1EDGE_Given == FALSE) model->WKT1EDGE=model->WKT1;
    if(model->PKT1EDGE_Given == FALSE) model->PKT1EDGE=model->PKT1;
    if(model->KT1LEDGE_Given == FALSE) model->KT1LEDGE=model->KT1L;
    if(model->LKT1LEDGE_Given == FALSE) model->LKT1LEDGE=0.0;
    if(model->WKT1LEDGE_Given == FALSE) model->WKT1LEDGE=0.0;
    if(model->PKT1LEDGE_Given == FALSE) model->PKT1LEDGE=0.0;
    if(model->KT2EDGE_Given == FALSE) model->KT2EDGE=model->KT2;
    if(model->LKT2EDGE_Given == FALSE) model->LKT2EDGE=model->LKT2;
    if(model->WKT2EDGE_Given == FALSE) model->WKT2EDGE=model->WKT2;
    if(model->PKT2EDGE_Given == FALSE) model->PKT2EDGE=model->PKT2;
    if(model->KT1EXPEDGE_Given == FALSE) model->KT1EXPEDGE=model->KT1EXP;
    if(model->LKT1EXPEDGE_Given == FALSE) model->LKT1EXPEDGE=0.0;
    if(model->WKT1EXPEDGE_Given == FALSE) model->WKT1EXPEDGE=0.0;
    if(model->PKT1EXPEDGE_Given == FALSE) model->PKT1EXPEDGE=0.0;
    if(model->TNFACTOREDGE_Given == FALSE) model->TNFACTOREDGE=model->TNFACTOR;
    if(model->LTNFACTOREDGE_Given == FALSE) model->LTNFACTOREDGE=0.0;
    if(model->WTNFACTOREDGE_Given == FALSE) model->WTNFACTOREDGE=0.0;
    if(model->PTNFACTOREDGE_Given == FALSE) model->PTNFACTOREDGE=0.0;
    if(model->TETA0EDGE_Given == FALSE) model->TETA0EDGE=model->TETA0;
    if(model->LTETA0EDGE_Given == FALSE) model->LTETA0EDGE=0.0;
    if(model->WTETA0EDGE_Given == FALSE) model->WTETA0EDGE=0.0;
    if(model->PTETA0EDGE_Given == FALSE) model->PTETA0EDGE=0.0;
    if(model->DVT0EDGE_Given == FALSE) model->DVT0EDGE=2.2;
    if(model->DVT1EDGE_Given == FALSE) model->DVT1EDGE=0.53;
    if(model->DVT2EDGE_Given == FALSE) model->DVT2EDGE=0.0;
    if(model->K2EDGE_Given == FALSE) model->K2EDGE=model->K2;
    if(model->LK2EDGE_Given == FALSE) model->LK2EDGE=model->LK2;
    if(model->WK2EDGE_Given == FALSE) model->WK2EDGE=model->WK2;
    if(model->PK2EDGE_Given == FALSE) model->PK2EDGE=model->PK2;
    if(model->KVTH0EDGE_Given == FALSE) model->KVTH0EDGE=model->KVTH0;
    if(model->LKVTH0EDGE_Given == FALSE) model->LKVTH0EDGE=model->LKVTH0;
    if(model->WKVTH0EDGE_Given == FALSE) model->WKVTH0EDGE=model->WKVTH0;
    if(model->PKVTH0EDGE_Given == FALSE) model->PKVTH0EDGE=model->PKVTH0;
    if(model->STK2EDGE_Given == FALSE) model->STK2EDGE=model->STK2;
    if(model->LSTK2EDGE_Given == FALSE) model->LSTK2EDGE=0.0;
    if(model->WSTK2EDGE_Given == FALSE) model->WSTK2EDGE=0.0;
    if(model->PSTK2EDGE_Given == FALSE) model->PSTK2EDGE=0.0;
    if(model->STETA0EDGE_Given == FALSE) model->STETA0EDGE=model->STETA0;
    if(model->LSTETA0EDGE_Given == FALSE) model->LSTETA0EDGE=0.0;
    if(model->WSTETA0EDGE_Given == FALSE) model->WSTETA0EDGE=0.0;
    if(model->PSTETA0EDGE_Given == FALSE) model->PSTETA0EDGE=0.0;
    if(model->IGCLAMP_Given == FALSE) model->IGCLAMP=1;
    if(model->LP_Given == FALSE) model->LP=(10*1.0e-6);
    if(model->RNOIK_Given == FALSE) model->RNOIK=0.0;
    if(model->TNOIK_Given == FALSE) model->TNOIK=0.0;
    if(model->TNOIK2_Given == FALSE) model->TNOIK2=0.1;
    if(model->K0_Given == FALSE) model->K0=0.0;
    if(model->LK0_Given == FALSE) model->LK0=0.0;
    if(model->WK0_Given == FALSE) model->WK0=0.0;
    if(model->PK0_Given == FALSE) model->PK0=0.0;
    if(model->K01_Given == FALSE) model->K01=0.0;
    if(model->LK01_Given == FALSE) model->LK01=0.0;
    if(model->WK01_Given == FALSE) model->WK01=0.0;
    if(model->PK01_Given == FALSE) model->PK01=0.0;
    if(model->M0_Given == FALSE) model->M0=1.0;
    if(model->LM0_Given == FALSE) model->LM0=0.0;
    if(model->WM0_Given == FALSE) model->WM0=0.0;
    if(model->PM0_Given == FALSE) model->PM0=0.0;
    if(model->M01_Given == FALSE) model->M01=0.0;
    if(model->LM01_Given == FALSE) model->LM01=0.0;
    if(model->WM01_Given == FALSE) model->WM01=0.0;
    if(model->PM01_Given == FALSE) model->PM01=0.0;
    if(model->FNOIMOD_Given == FALSE) model->FNOIMOD=0;
    if(model->LH_Given == FALSE) model->LH=(30*1.0e-9);
    if(model->NOIA2_Given == FALSE) model->NOIA2=model->NOIA;
    if(model->HNDEP_Given == FALSE) model->HNDEP=model->NDEP;
    for ( here = bsimbulkinstances(model) ;here != NULL ; here = bsimbulknextInstance(here) )
    {
    if(here->L_Given == FALSE) here->L=1.0e-5;
    if(here->W_Given == FALSE) here->W=1.0e-5;
    if(here->NF_Given == FALSE) here->NF=1;
    if(here->NRS_Given == FALSE) here->NRS=1.0;
    if(here->NRD_Given == FALSE) here->NRD=1.0;
    if(here->VFBSDOFF_Given == FALSE) here->VFBSDOFF=0.0;
    if(here->MINZ_Given == FALSE) here->MINZ=0;
    if(here->XGW_Given == FALSE) here->XGW=0.0;
    if(here->NGCON_Given == FALSE) here->NGCON=1;
    if(here->RGATEMOD_Given == FALSE) here->RGATEMOD=0;
    if(here->RBODYMOD_Given == FALSE) here->RBODYMOD=0;
    if(here->GEOMOD_Given == FALSE) here->GEOMOD=0;
    if(here->RGEOMOD_Given == FALSE) here->RGEOMOD=0;
    if(here->EDGEFET_Given == FALSE) here->EDGEFET=0;
    if(here->SSLMOD_Given == FALSE) here->SSLMOD=0;
    if(here->RBPB_Given == FALSE) here->RBPB=50.0;
    if(here->RBPD_Given == FALSE) here->RBPD=50.0;
    if(here->RBPS_Given == FALSE) here->RBPS=50.0;
    if(here->RBDB_Given == FALSE) here->RBDB=50.0;
    if(here->RBSB_Given == FALSE) here->RBSB=50.0;
    if(here->SA_Given == FALSE) here->SA=0.0;
    if(here->SB_Given == FALSE) here->SB=0.0;
    if(here->SD_Given == FALSE) here->SD=0.0;
    if(here->SCA_Given == FALSE) here->SCA=0.0;
    if(here->SCB_Given == FALSE) here->SCB=0.0;
    if(here->SCC_Given == FALSE) here->SCC=0.0;
    if(here->SC_Given == FALSE) here->SC=0.0;
    if(here->AS_Given == FALSE) here->AS=0.0;
    if(here->AD_Given == FALSE) here->AD=0.0;
    if(here->PS_Given == FALSE) here->PS=0.0;
    if(here->PD_Given == FALSE) here->PD=0.0;
    if(here->DTEMP_Given == FALSE) here->DTEMP=0.0;
    if(here->MULU0_Given == FALSE) here->MULU0=1.0;
    if(here->DELVTO_Given == FALSE) here->DELVTO=0.0;
    if(here->IDS0MULT_Given == FALSE) here->IDS0MULT=1.0;
      /* External Nodes, connected ? */
      here->dNode_connected = (here->dNode >= 0);
      here->gNode_connected = (here->gNode >= 0);
      here->sNode_connected = (here->sNode >= 0);
      here->bNode_connected = (here->bNode >= 0);
      here->tNode_connected = (here->tNode >= 0);
      /* Internal Nodes */
      {
        here->diNode = -1;
        here->diNode_mine = 0;
        here->siNode = -1;
        here->siNode_mine = 0;
        here->giNode = -1;
        here->giNode_mine = 0;
        here->gmNode = -1;
        here->gmNode_mine = 0;
        here->biNode = -1;
        here->biNode_mine = 0;
        here->sbulkNode = -1;
        here->sbulkNode_mine = 0;
        here->dbulkNode = -1;
        here->dbulkNode_mine = 0;
        here->N1Node = -1;
        here->N1Node_mine = 0;
        here->N2Node = -1;
        here->N2Node_mine = 0;
      }
       ((GENinstance*)here)->GENstate = *states;
       *states += bsimbulknumStates;
      /* set states */
      here->state_bi_di = *states; *states += 2;
      here->state_bi_si = *states; *states += 2;
      here->state_dbulk_di = *states; *states += 2;
      here->state_sbulk_si = *states; *states += 2;
      here->state_t_GND = *states; *states += 2;
      here->state_gm_bi = *states; *states += 2;
      here->state_gm_di = *states; *states += 2;
      here->state_gm_si = *states; *states += 2;
      here->state_di_bi = *states; *states += 2;
      here->state_si_bi = *states; *states += 2;
      here->state_gi_bi = *states; *states += 2;
      here->state_gi_di = *states; *states += 2;
      here->state_gi_si = *states; *states += 2;
      here->state_N1_GND = *states; *states += 2;
      /* set Sparse Matrix Pointers */
      here->PTR_J_di_g_required=0;
      here->PTR_J_di_b_required=0;
      here->PTR_J_si_g_required=0;
      here->PTR_J_si_b_required=0;
      here->PTR_J_di_t_required=0;
      here->PTR_J_si_t_required=0;
      here->PTR_J_di_si_required=0;
      here->PTR_J_di_bi_required=0;
      here->PTR_J_si_si_required=0;
      here->PTR_J_si_bi_required=0;
      here->PTR_J_di_di_required=0;
      here->PTR_J_si_di_required=0;
      here->PTR_J_di_gi_required=0;
      here->PTR_J_si_gi_required=0;
      here->PTR_J_di_sbulk_required=0;
      here->PTR_J_si_sbulk_required=0;
      here->PTR_J_di_dbulk_required=0;
      here->PTR_J_si_dbulk_required=0;
      here->PTR_J_N2_t_required=0;
      here->PTR_J_N2_si_required=0;
      here->PTR_J_N2_bi_required=0;
      here->PTR_J_N2_di_required=0;
      here->PTR_J_N2_gi_required=0;
      here->PTR_J_N2_sbulk_required=0;
      here->PTR_J_N2_dbulk_required=0;
      here->PTR_J_N1_sbulk_required=0;
      here->PTR_J_N1_si_required=0;
      here->PTR_J_N1_dbulk_required=0;
      here->PTR_J_N1_di_required=0;
      here->PTR_J_N1_bi_required=0;
      here->PTR_J_N1_gi_required=0;
      here->PTR_J_N1_t_required=0;
      here->PTR_J_N1_N2_required=0;
      here->PTR_J_N1_N1_required=0;
      here->PTR_J_di_N2_required=0;
      here->PTR_J_si_N2_required=0;
      here->PTR_J_gi_N1_required=0;
      here->PTR_J_si_N1_required=0;
      here->PTR_J_gi_sbulk_required=0;
      here->PTR_J_gi_si_required=0;
      here->PTR_J_gi_dbulk_required=0;
      here->PTR_J_gi_di_required=0;
      here->PTR_J_gi_t_required=0;
      here->PTR_J_gi_bi_required=0;
      here->PTR_J_gi_gi_required=0;
      here->PTR_J_di_N1_required=0;
      here->PTR_J_N2_N2_required=0;
      here->PTR_J_bi_t_required=0;
      here->PTR_J_bi_si_required=0;
      here->PTR_J_bi_bi_required=0;
      here->PTR_J_bi_di_required=0;
      here->PTR_J_bi_gi_required=0;
      here->PTR_J_bi_sbulk_required=0;
      here->PTR_J_bi_dbulk_required=0;
      here->PTR_J_gm_gm_required=0;
      here->PTR_J_gm_si_required=0;
      here->PTR_J_si_gm_required=0;
      here->PTR_J_gm_bi_required=0;
      here->PTR_J_gm_di_required=0;
      here->PTR_J_gm_gi_required=0;
      here->PTR_J_gm_sbulk_required=0;
      here->PTR_J_gm_dbulk_required=0;
      here->PTR_J_gm_t_required=0;
      here->PTR_J_di_gm_required=0;
      here->PTR_J_bi_gm_required=0;
      here->PTR_J_d_si_required=0;
      here->PTR_J_d_bi_required=0;
      here->PTR_J_d_di_required=0;
      here->PTR_J_d_gi_required=0;
      here->PTR_J_d_t_required=0;
      here->PTR_J_d_d_required=0;
      here->PTR_J_di_d_required=0;
      here->PTR_J_s_si_required=0;
      here->PTR_J_s_bi_required=0;
      here->PTR_J_s_di_required=0;
      here->PTR_J_s_gi_required=0;
      here->PTR_J_s_t_required=0;
      here->PTR_J_s_s_required=0;
      here->PTR_J_si_s_required=0;
      here->PTR_J_g_t_required=0;
      here->PTR_J_g_si_required=0;
      here->PTR_J_g_bi_required=0;
      here->PTR_J_g_di_required=0;
      here->PTR_J_g_gi_required=0;
      here->PTR_J_g_g_required=0;
      here->PTR_J_g_gm_required=0;
      here->PTR_J_gm_g_required=0;
      here->PTR_J_gi_gm_required=0;
      here->PTR_J_t_s_required=0;
      here->PTR_J_t_si_required=0;
      here->PTR_J_t_d_required=0;
      here->PTR_J_t_di_required=0;
      here->PTR_J_t_bi_required=0;
      here->PTR_J_t_t_required=0;
      here->PTR_J_t_gi_required=0;
      here->PTR_J_t_sbulk_required=0;
      here->PTR_J_t_dbulk_required=0;
      here->PTR_J_t_gm_required=0;
      here->PTR_J_sbulk_bi_required=0;
      here->PTR_J_sbulk_sbulk_required=0;
      here->PTR_J_b_b_required=0;
      here->PTR_J_b_sbulk_required=0;
      here->PTR_J_sbulk_b_required=0;
      here->PTR_J_b_bi_required=0;
      here->PTR_J_bi_b_required=0;
      here->PTR_J_b_dbulk_required=0;
      here->PTR_J_dbulk_b_required=0;
      here->PTR_J_dbulk_dbulk_required=0;
      here->PTR_J_dbulk_bi_required=0;
      here->PTR_J_sbulk_t_required=0;
      here->PTR_J_b_t_required=0;
      here->PTR_J_dbulk_t_required=0;
      here->PTR_J_sbulk_si_required=0;
      here->PTR_J_sbulk_di_required=0;
      here->PTR_J_sbulk_gi_required=0;
      here->PTR_J_dbulk_si_required=0;
      here->PTR_J_dbulk_di_required=0;
      here->PTR_J_dbulk_gi_required=0;
      here->PTR_J_dbulk_sbulk_required=0;
      here->PTR_J_sbulk_dbulk_required=0;

      bsimbulkguesstopology(matrix,ckt,model,here);

      /* Internal Nodes */
      {
        int error;
        CKTnode *tmp;
        if(here->dNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XdX");
          if(error) return(error);
          here->dNode = tmp->number;
          here->dNode_mine = 1;
        }
        if(here->gNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XgX");
          if(error) return(error);
          here->gNode = tmp->number;
          here->gNode_mine = 1;
        }
        if(here->sNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XsX");
          if(error) return(error);
          here->sNode = tmp->number;
          here->sNode_mine = 1;
        }
        if(here->bNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XbX");
          if(error) return(error);
          here->bNode = tmp->number;
          here->bNode_mine = 1;
        }
        if(here->tNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XtX");
          if(error) return(error);
          here->tNode = tmp->number;
          here->tNode_mine = 1;
        }
        if(here->diNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XdiX");
          if(error) return(error);
          here->diNode = tmp->number;
          here->diNode_mine = 1;
        }
        if(here->siNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XsiX");
          if(error) return(error);
          here->siNode = tmp->number;
          here->siNode_mine = 1;
        }
        if(here->giNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XgiX");
          if(error) return(error);
          here->giNode = tmp->number;
          here->giNode_mine = 1;
        }
        if(here->gmNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XgmX");
          if(error) return(error);
          here->gmNode = tmp->number;
          here->gmNode_mine = 1;
        }
        if(here->biNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XbiX");
          if(error) return(error);
          here->biNode = tmp->number;
          here->biNode_mine = 1;
        }
        if(here->sbulkNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XsbulkX");
          if(error) return(error);
          here->sbulkNode = tmp->number;
          here->sbulkNode_mine = 1;
        }
        if(here->dbulkNode == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XdbulkX");
          if(error) return(error);
          here->dbulkNode = tmp->number;
          here->dbulkNode_mine = 1;
        }
        if(here->N1Node == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XN1X");
          if(error) return(error);
          here->N1Node = tmp->number;
          here->N1Node_mine = 1;
        }
        if(here->N2Node == -1)
        {
          error=CKTmkVolt(ckt,&tmp,here->bsimbulkname,"XN2X");
          if(error) return(error);
          here->N2Node = tmp->number;
          here->N2Node_mine = 1;
        }
      }
        if(here->PTR_J_di_g_required==1)
        {
          here->PTR_J_di_g=SMPmakeElt(matrix,here->diNode,here->gNode);
        }
        if(here->PTR_J_di_b_required==1)
        {
          here->PTR_J_di_b=SMPmakeElt(matrix,here->diNode,here->bNode);
        }
        if(here->PTR_J_si_g_required==1)
        {
          here->PTR_J_si_g=SMPmakeElt(matrix,here->siNode,here->gNode);
        }
        if(here->PTR_J_si_b_required==1)
        {
          here->PTR_J_si_b=SMPmakeElt(matrix,here->siNode,here->bNode);
        }
        if(here->PTR_J_di_t_required==1)
        {
          here->PTR_J_di_t=SMPmakeElt(matrix,here->diNode,here->tNode);
        }
        if(here->PTR_J_si_t_required==1)
        {
          here->PTR_J_si_t=SMPmakeElt(matrix,here->siNode,here->tNode);
        }
        if(here->PTR_J_di_si_required==1)
        {
          here->PTR_J_di_si=SMPmakeElt(matrix,here->diNode,here->siNode);
        }
        if(here->PTR_J_di_bi_required==1)
        {
          here->PTR_J_di_bi=SMPmakeElt(matrix,here->diNode,here->biNode);
        }
        if(here->PTR_J_si_si_required==1)
        {
          here->PTR_J_si_si=SMPmakeElt(matrix,here->siNode,here->siNode);
        }
        if(here->PTR_J_si_bi_required==1)
        {
          here->PTR_J_si_bi=SMPmakeElt(matrix,here->siNode,here->biNode);
        }
        if(here->PTR_J_di_di_required==1)
        {
          here->PTR_J_di_di=SMPmakeElt(matrix,here->diNode,here->diNode);
        }
        if(here->PTR_J_si_di_required==1)
        {
          here->PTR_J_si_di=SMPmakeElt(matrix,here->siNode,here->diNode);
        }
        if(here->PTR_J_di_gi_required==1)
        {
          here->PTR_J_di_gi=SMPmakeElt(matrix,here->diNode,here->giNode);
        }
        if(here->PTR_J_si_gi_required==1)
        {
          here->PTR_J_si_gi=SMPmakeElt(matrix,here->siNode,here->giNode);
        }
        if(here->PTR_J_di_sbulk_required==1)
        {
          here->PTR_J_di_sbulk=SMPmakeElt(matrix,here->diNode,here->sbulkNode);
        }
        if(here->PTR_J_si_sbulk_required==1)
        {
          here->PTR_J_si_sbulk=SMPmakeElt(matrix,here->siNode,here->sbulkNode);
        }
        if(here->PTR_J_di_dbulk_required==1)
        {
          here->PTR_J_di_dbulk=SMPmakeElt(matrix,here->diNode,here->dbulkNode);
        }
        if(here->PTR_J_si_dbulk_required==1)
        {
          here->PTR_J_si_dbulk=SMPmakeElt(matrix,here->siNode,here->dbulkNode);
        }
        if(here->PTR_J_N2_t_required==1)
        {
          here->PTR_J_N2_t=SMPmakeElt(matrix,here->N2Node,here->tNode);
        }
        if(here->PTR_J_N2_si_required==1)
        {
          here->PTR_J_N2_si=SMPmakeElt(matrix,here->N2Node,here->siNode);
        }
        if(here->PTR_J_N2_bi_required==1)
        {
          here->PTR_J_N2_bi=SMPmakeElt(matrix,here->N2Node,here->biNode);
        }
        if(here->PTR_J_N2_di_required==1)
        {
          here->PTR_J_N2_di=SMPmakeElt(matrix,here->N2Node,here->diNode);
        }
        if(here->PTR_J_N2_gi_required==1)
        {
          here->PTR_J_N2_gi=SMPmakeElt(matrix,here->N2Node,here->giNode);
        }
        if(here->PTR_J_N2_sbulk_required==1)
        {
          here->PTR_J_N2_sbulk=SMPmakeElt(matrix,here->N2Node,here->sbulkNode);
        }
        if(here->PTR_J_N2_dbulk_required==1)
        {
          here->PTR_J_N2_dbulk=SMPmakeElt(matrix,here->N2Node,here->dbulkNode);
        }
        if(here->PTR_J_N1_sbulk_required==1)
        {
          here->PTR_J_N1_sbulk=SMPmakeElt(matrix,here->N1Node,here->sbulkNode);
        }
        if(here->PTR_J_N1_si_required==1)
        {
          here->PTR_J_N1_si=SMPmakeElt(matrix,here->N1Node,here->siNode);
        }
        if(here->PTR_J_N1_dbulk_required==1)
        {
          here->PTR_J_N1_dbulk=SMPmakeElt(matrix,here->N1Node,here->dbulkNode);
        }
        if(here->PTR_J_N1_di_required==1)
        {
          here->PTR_J_N1_di=SMPmakeElt(matrix,here->N1Node,here->diNode);
        }
        if(here->PTR_J_N1_bi_required==1)
        {
          here->PTR_J_N1_bi=SMPmakeElt(matrix,here->N1Node,here->biNode);
        }
        if(here->PTR_J_N1_gi_required==1)
        {
          here->PTR_J_N1_gi=SMPmakeElt(matrix,here->N1Node,here->giNode);
        }
        if(here->PTR_J_N1_t_required==1)
        {
          here->PTR_J_N1_t=SMPmakeElt(matrix,here->N1Node,here->tNode);
        }
        if(here->PTR_J_N1_N2_required==1)
        {
          here->PTR_J_N1_N2=SMPmakeElt(matrix,here->N1Node,here->N2Node);
        }
        if(here->PTR_J_N1_N1_required==1)
        {
          here->PTR_J_N1_N1=SMPmakeElt(matrix,here->N1Node,here->N1Node);
        }
        if(here->PTR_J_di_N2_required==1)
        {
          here->PTR_J_di_N2=SMPmakeElt(matrix,here->diNode,here->N2Node);
        }
        if(here->PTR_J_si_N2_required==1)
        {
          here->PTR_J_si_N2=SMPmakeElt(matrix,here->siNode,here->N2Node);
        }
        if(here->PTR_J_gi_N1_required==1)
        {
          here->PTR_J_gi_N1=SMPmakeElt(matrix,here->giNode,here->N1Node);
        }
        if(here->PTR_J_si_N1_required==1)
        {
          here->PTR_J_si_N1=SMPmakeElt(matrix,here->siNode,here->N1Node);
        }
        if(here->PTR_J_gi_sbulk_required==1)
        {
          here->PTR_J_gi_sbulk=SMPmakeElt(matrix,here->giNode,here->sbulkNode);
        }
        if(here->PTR_J_gi_si_required==1)
        {
          here->PTR_J_gi_si=SMPmakeElt(matrix,here->giNode,here->siNode);
        }
        if(here->PTR_J_gi_dbulk_required==1)
        {
          here->PTR_J_gi_dbulk=SMPmakeElt(matrix,here->giNode,here->dbulkNode);
        }
        if(here->PTR_J_gi_di_required==1)
        {
          here->PTR_J_gi_di=SMPmakeElt(matrix,here->giNode,here->diNode);
        }
        if(here->PTR_J_gi_t_required==1)
        {
          here->PTR_J_gi_t=SMPmakeElt(matrix,here->giNode,here->tNode);
        }
        if(here->PTR_J_gi_bi_required==1)
        {
          here->PTR_J_gi_bi=SMPmakeElt(matrix,here->giNode,here->biNode);
        }
        if(here->PTR_J_gi_gi_required==1)
        {
          here->PTR_J_gi_gi=SMPmakeElt(matrix,here->giNode,here->giNode);
        }
        if(here->PTR_J_di_N1_required==1)
        {
          here->PTR_J_di_N1=SMPmakeElt(matrix,here->diNode,here->N1Node);
        }
        if(here->PTR_J_N2_N2_required==1)
        {
          here->PTR_J_N2_N2=SMPmakeElt(matrix,here->N2Node,here->N2Node);
        }
        if(here->PTR_J_bi_t_required==1)
        {
          here->PTR_J_bi_t=SMPmakeElt(matrix,here->biNode,here->tNode);
        }
        if(here->PTR_J_bi_si_required==1)
        {
          here->PTR_J_bi_si=SMPmakeElt(matrix,here->biNode,here->siNode);
        }
        if(here->PTR_J_bi_bi_required==1)
        {
          here->PTR_J_bi_bi=SMPmakeElt(matrix,here->biNode,here->biNode);
        }
        if(here->PTR_J_bi_di_required==1)
        {
          here->PTR_J_bi_di=SMPmakeElt(matrix,here->biNode,here->diNode);
        }
        if(here->PTR_J_bi_gi_required==1)
        {
          here->PTR_J_bi_gi=SMPmakeElt(matrix,here->biNode,here->giNode);
        }
        if(here->PTR_J_bi_sbulk_required==1)
        {
          here->PTR_J_bi_sbulk=SMPmakeElt(matrix,here->biNode,here->sbulkNode);
        }
        if(here->PTR_J_bi_dbulk_required==1)
        {
          here->PTR_J_bi_dbulk=SMPmakeElt(matrix,here->biNode,here->dbulkNode);
        }
        if(here->PTR_J_gm_gm_required==1)
        {
          here->PTR_J_gm_gm=SMPmakeElt(matrix,here->gmNode,here->gmNode);
        }
        if(here->PTR_J_gm_si_required==1)
        {
          here->PTR_J_gm_si=SMPmakeElt(matrix,here->gmNode,here->siNode);
        }
        if(here->PTR_J_si_gm_required==1)
        {
          here->PTR_J_si_gm=SMPmakeElt(matrix,here->siNode,here->gmNode);
        }
        if(here->PTR_J_gm_bi_required==1)
        {
          here->PTR_J_gm_bi=SMPmakeElt(matrix,here->gmNode,here->biNode);
        }
        if(here->PTR_J_gm_di_required==1)
        {
          here->PTR_J_gm_di=SMPmakeElt(matrix,here->gmNode,here->diNode);
        }
        if(here->PTR_J_gm_gi_required==1)
        {
          here->PTR_J_gm_gi=SMPmakeElt(matrix,here->gmNode,here->giNode);
        }
        if(here->PTR_J_gm_sbulk_required==1)
        {
          here->PTR_J_gm_sbulk=SMPmakeElt(matrix,here->gmNode,here->sbulkNode);
        }
        if(here->PTR_J_gm_dbulk_required==1)
        {
          here->PTR_J_gm_dbulk=SMPmakeElt(matrix,here->gmNode,here->dbulkNode);
        }
        if(here->PTR_J_gm_t_required==1)
        {
          here->PTR_J_gm_t=SMPmakeElt(matrix,here->gmNode,here->tNode);
        }
        if(here->PTR_J_di_gm_required==1)
        {
          here->PTR_J_di_gm=SMPmakeElt(matrix,here->diNode,here->gmNode);
        }
        if(here->PTR_J_bi_gm_required==1)
        {
          here->PTR_J_bi_gm=SMPmakeElt(matrix,here->biNode,here->gmNode);
        }
        if(here->PTR_J_d_si_required==1)
        {
          here->PTR_J_d_si=SMPmakeElt(matrix,here->dNode,here->siNode);
        }
        if(here->PTR_J_d_bi_required==1)
        {
          here->PTR_J_d_bi=SMPmakeElt(matrix,here->dNode,here->biNode);
        }
        if(here->PTR_J_d_di_required==1)
        {
          here->PTR_J_d_di=SMPmakeElt(matrix,here->dNode,here->diNode);
        }
        if(here->PTR_J_d_gi_required==1)
        {
          here->PTR_J_d_gi=SMPmakeElt(matrix,here->dNode,here->giNode);
        }
        if(here->PTR_J_d_t_required==1)
        {
          here->PTR_J_d_t=SMPmakeElt(matrix,here->dNode,here->tNode);
        }
        if(here->PTR_J_d_d_required==1)
        {
          here->PTR_J_d_d=SMPmakeElt(matrix,here->dNode,here->dNode);
        }
        if(here->PTR_J_di_d_required==1)
        {
          here->PTR_J_di_d=SMPmakeElt(matrix,here->diNode,here->dNode);
        }
        if(here->PTR_J_s_si_required==1)
        {
          here->PTR_J_s_si=SMPmakeElt(matrix,here->sNode,here->siNode);
        }
        if(here->PTR_J_s_bi_required==1)
        {
          here->PTR_J_s_bi=SMPmakeElt(matrix,here->sNode,here->biNode);
        }
        if(here->PTR_J_s_di_required==1)
        {
          here->PTR_J_s_di=SMPmakeElt(matrix,here->sNode,here->diNode);
        }
        if(here->PTR_J_s_gi_required==1)
        {
          here->PTR_J_s_gi=SMPmakeElt(matrix,here->sNode,here->giNode);
        }
        if(here->PTR_J_s_t_required==1)
        {
          here->PTR_J_s_t=SMPmakeElt(matrix,here->sNode,here->tNode);
        }
        if(here->PTR_J_s_s_required==1)
        {
          here->PTR_J_s_s=SMPmakeElt(matrix,here->sNode,here->sNode);
        }
        if(here->PTR_J_si_s_required==1)
        {
          here->PTR_J_si_s=SMPmakeElt(matrix,here->siNode,here->sNode);
        }
        if(here->PTR_J_g_t_required==1)
        {
          here->PTR_J_g_t=SMPmakeElt(matrix,here->gNode,here->tNode);
        }
        if(here->PTR_J_g_si_required==1)
        {
          here->PTR_J_g_si=SMPmakeElt(matrix,here->gNode,here->siNode);
        }
        if(here->PTR_J_g_bi_required==1)
        {
          here->PTR_J_g_bi=SMPmakeElt(matrix,here->gNode,here->biNode);
        }
        if(here->PTR_J_g_di_required==1)
        {
          here->PTR_J_g_di=SMPmakeElt(matrix,here->gNode,here->diNode);
        }
        if(here->PTR_J_g_gi_required==1)
        {
          here->PTR_J_g_gi=SMPmakeElt(matrix,here->gNode,here->giNode);
        }
        if(here->PTR_J_g_g_required==1)
        {
          here->PTR_J_g_g=SMPmakeElt(matrix,here->gNode,here->gNode);
        }
        if(here->PTR_J_g_gm_required==1)
        {
          here->PTR_J_g_gm=SMPmakeElt(matrix,here->gNode,here->gmNode);
        }
        if(here->PTR_J_gm_g_required==1)
        {
          here->PTR_J_gm_g=SMPmakeElt(matrix,here->gmNode,here->gNode);
        }
        if(here->PTR_J_gi_gm_required==1)
        {
          here->PTR_J_gi_gm=SMPmakeElt(matrix,here->giNode,here->gmNode);
        }
        if(here->PTR_J_t_s_required==1)
        {
          here->PTR_J_t_s=SMPmakeElt(matrix,here->tNode,here->sNode);
        }
        if(here->PTR_J_t_si_required==1)
        {
          here->PTR_J_t_si=SMPmakeElt(matrix,here->tNode,here->siNode);
        }
        if(here->PTR_J_t_d_required==1)
        {
          here->PTR_J_t_d=SMPmakeElt(matrix,here->tNode,here->dNode);
        }
        if(here->PTR_J_t_di_required==1)
        {
          here->PTR_J_t_di=SMPmakeElt(matrix,here->tNode,here->diNode);
        }
        if(here->PTR_J_t_bi_required==1)
        {
          here->PTR_J_t_bi=SMPmakeElt(matrix,here->tNode,here->biNode);
        }
        if(here->PTR_J_t_t_required==1)
        {
          here->PTR_J_t_t=SMPmakeElt(matrix,here->tNode,here->tNode);
        }
        if(here->PTR_J_t_gi_required==1)
        {
          here->PTR_J_t_gi=SMPmakeElt(matrix,here->tNode,here->giNode);
        }
        if(here->PTR_J_t_sbulk_required==1)
        {
          here->PTR_J_t_sbulk=SMPmakeElt(matrix,here->tNode,here->sbulkNode);
        }
        if(here->PTR_J_t_dbulk_required==1)
        {
          here->PTR_J_t_dbulk=SMPmakeElt(matrix,here->tNode,here->dbulkNode);
        }
        if(here->PTR_J_t_gm_required==1)
        {
          here->PTR_J_t_gm=SMPmakeElt(matrix,here->tNode,here->gmNode);
        }
        if(here->PTR_J_sbulk_bi_required==1)
        {
          here->PTR_J_sbulk_bi=SMPmakeElt(matrix,here->sbulkNode,here->biNode);
        }
        if(here->PTR_J_sbulk_sbulk_required==1)
        {
          here->PTR_J_sbulk_sbulk=SMPmakeElt(matrix,here->sbulkNode,here->sbulkNode);
        }
        if(here->PTR_J_b_b_required==1)
        {
          here->PTR_J_b_b=SMPmakeElt(matrix,here->bNode,here->bNode);
        }
        if(here->PTR_J_b_sbulk_required==1)
        {
          here->PTR_J_b_sbulk=SMPmakeElt(matrix,here->bNode,here->sbulkNode);
        }
        if(here->PTR_J_sbulk_b_required==1)
        {
          here->PTR_J_sbulk_b=SMPmakeElt(matrix,here->sbulkNode,here->bNode);
        }
        if(here->PTR_J_b_bi_required==1)
        {
          here->PTR_J_b_bi=SMPmakeElt(matrix,here->bNode,here->biNode);
        }
        if(here->PTR_J_bi_b_required==1)
        {
          here->PTR_J_bi_b=SMPmakeElt(matrix,here->biNode,here->bNode);
        }
        if(here->PTR_J_b_dbulk_required==1)
        {
          here->PTR_J_b_dbulk=SMPmakeElt(matrix,here->bNode,here->dbulkNode);
        }
        if(here->PTR_J_dbulk_b_required==1)
        {
          here->PTR_J_dbulk_b=SMPmakeElt(matrix,here->dbulkNode,here->bNode);
        }
        if(here->PTR_J_dbulk_dbulk_required==1)
        {
          here->PTR_J_dbulk_dbulk=SMPmakeElt(matrix,here->dbulkNode,here->dbulkNode);
        }
        if(here->PTR_J_dbulk_bi_required==1)
        {
          here->PTR_J_dbulk_bi=SMPmakeElt(matrix,here->dbulkNode,here->biNode);
        }
        if(here->PTR_J_sbulk_t_required==1)
        {
          here->PTR_J_sbulk_t=SMPmakeElt(matrix,here->sbulkNode,here->tNode);
        }
        if(here->PTR_J_b_t_required==1)
        {
          here->PTR_J_b_t=SMPmakeElt(matrix,here->bNode,here->tNode);
        }
        if(here->PTR_J_dbulk_t_required==1)
        {
          here->PTR_J_dbulk_t=SMPmakeElt(matrix,here->dbulkNode,here->tNode);
        }
        if(here->PTR_J_sbulk_si_required==1)
        {
          here->PTR_J_sbulk_si=SMPmakeElt(matrix,here->sbulkNode,here->siNode);
        }
        if(here->PTR_J_sbulk_di_required==1)
        {
          here->PTR_J_sbulk_di=SMPmakeElt(matrix,here->sbulkNode,here->diNode);
        }
        if(here->PTR_J_sbulk_gi_required==1)
        {
          here->PTR_J_sbulk_gi=SMPmakeElt(matrix,here->sbulkNode,here->giNode);
        }
        if(here->PTR_J_dbulk_si_required==1)
        {
          here->PTR_J_dbulk_si=SMPmakeElt(matrix,here->dbulkNode,here->siNode);
        }
        if(here->PTR_J_dbulk_di_required==1)
        {
          here->PTR_J_dbulk_di=SMPmakeElt(matrix,here->dbulkNode,here->diNode);
        }
        if(here->PTR_J_dbulk_gi_required==1)
        {
          here->PTR_J_dbulk_gi=SMPmakeElt(matrix,here->dbulkNode,here->giNode);
        }
        if(here->PTR_J_dbulk_sbulk_required==1)
        {
          here->PTR_J_dbulk_sbulk=SMPmakeElt(matrix,here->dbulkNode,here->sbulkNode);
        }
        if(here->PTR_J_sbulk_dbulk_required==1)
        {
          here->PTR_J_sbulk_dbulk=SMPmakeElt(matrix,here->sbulkNode,here->dbulkNode);
        }

    }
  }
  return(OK);
}


int
bsimbulkunsetup(GENmodel *inModel, CKTcircuit *ckt)
{
  bsimbulkmodel *model = (bsimbulkmodel*)inModel;
  bsimbulkinstance *here;

  /*  loop through all the bsimbulk device models */
  for ( ;model != NULL ;model = bsimbulknextModel(model) )
  {
    for ( here = bsimbulkinstances(model) ;here != NULL ; here = bsimbulknextInstance(here) )
    {
        if (here->dNode_mine) {
            if (here->dNode > 0)
                CKTdltNNum(ckt, here->dNode);
            here->dNode_mine = 0;
        }
        if (!here->dNode_connected)
            here->dNode = -1;
        if (here->gNode_mine) {
            if (here->gNode > 0)
                CKTdltNNum(ckt, here->gNode);
            here->gNode_mine = 0;
        }
        if (!here->gNode_connected)
            here->gNode = -1;
        if (here->sNode_mine) {
            if (here->sNode > 0)
                CKTdltNNum(ckt, here->sNode);
            here->sNode_mine = 0;
        }
        if (!here->sNode_connected)
            here->sNode = -1;
        if (here->bNode_mine) {
            if (here->bNode > 0)
                CKTdltNNum(ckt, here->bNode);
            here->bNode_mine = 0;
        }
        if (!here->bNode_connected)
            here->bNode = -1;
        if (here->tNode_mine) {
            if (here->tNode > 0)
                CKTdltNNum(ckt, here->tNode);
            here->tNode_mine = 0;
        }
        if (!here->tNode_connected)
            here->tNode = -1;
        if (here->N2Node_mine)
            if (here->N2Node > 0)
                CKTdltNNum(ckt, here->N2Node);
        here->N2Node = -1;
        here->N2Node_mine = 0;
        if (here->N1Node_mine)
            if (here->N1Node > 0)
                CKTdltNNum(ckt, here->N1Node);
        here->N1Node = -1;
        here->N1Node_mine = 0;
        if (here->dbulkNode_mine)
            if (here->dbulkNode > 0)
                CKTdltNNum(ckt, here->dbulkNode);
        here->dbulkNode = -1;
        here->dbulkNode_mine = 0;
        if (here->sbulkNode_mine)
            if (here->sbulkNode > 0)
                CKTdltNNum(ckt, here->sbulkNode);
        here->sbulkNode = -1;
        here->sbulkNode_mine = 0;
        if (here->biNode_mine)
            if (here->biNode > 0)
                CKTdltNNum(ckt, here->biNode);
        here->biNode = -1;
        here->biNode_mine = 0;
        if (here->gmNode_mine)
            if (here->gmNode > 0)
                CKTdltNNum(ckt, here->gmNode);
        here->gmNode = -1;
        here->gmNode_mine = 0;
        if (here->giNode_mine)
            if (here->giNode > 0)
                CKTdltNNum(ckt, here->giNode);
        here->giNode = -1;
        here->giNode_mine = 0;
        if (here->siNode_mine)
            if (here->siNode > 0)
                CKTdltNNum(ckt, here->siNode);
        here->siNode = -1;
        here->siNode_mine = 0;
        if (here->diNode_mine)
            if (here->diNode > 0)
                CKTdltNNum(ckt, here->diNode);
        here->diNode = -1;
        here->diNode_mine = 0;
    }
  }
  return OK;
}
