/***
*** Interface: ads2002 2.2.0.0
 *** created by: admsXml-2.3.7 ***/


#include "ngspice/ngspice.h"
#include "ngspice/devdefs.h"
#include "psp103defs.h"
#include "ngspice/suffix.h"

IFparm psp103pTable[] = {
  IOP("l",psp103_instance_L,IF_REAL,"L"),
  IOP("w",psp103_instance_W,IF_REAL,"W"),
  IOP("sa",psp103_instance_SA,IF_REAL,"SA"),
  IOP("sb",psp103_instance_SB,IF_REAL,"SB"),
  IOP("sd",psp103_instance_SD,IF_REAL,"SD"),
  IOP("sca",psp103_instance_SCA,IF_REAL,"SCA"),
  IOP("scb",psp103_instance_SCB,IF_REAL,"SCB"),
  IOP("scc",psp103_instance_SCC,IF_REAL,"SCC"),
  IOP("sc",psp103_instance_SC,IF_REAL,"SC"),
  IOP("nf",psp103_instance_NF,IF_REAL,"NF"),
  IOP("ngcon",psp103_instance_NGCON,IF_REAL,"NGCON"),
  IOP("xgw",psp103_instance_XGW,IF_REAL,"XGW"),
  IOP("nrs",psp103_instance_NRS,IF_REAL,"NRS"),
  IOP("nrd",psp103_instance_NRD,IF_REAL,"NRD"),
  IOP("jw",psp103_instance_JW,IF_REAL,"JW"),
  IOP("delvto",psp103_instance_DELVTO,IF_REAL,"DELVTO"),
  IOP("factuo",psp103_instance_FACTUO,IF_REAL,"FACTUO"),
  IOP("delvtoedge",psp103_instance_DELVTOEDGE,IF_REAL,"DELVTOEDGE"),
  IOP("factuoedge",psp103_instance_FACTUOEDGE,IF_REAL,"FACTUOEDGE"),
  IOP("absource",psp103_instance_ABSOURCE,IF_REAL,"ABSOURCE"),
  IOP("lssource",psp103_instance_LSSOURCE,IF_REAL,"LSSOURCE"),
  IOP("lgsource",psp103_instance_LGSOURCE,IF_REAL,"LGSOURCE"),
  IOP("abdrain",psp103_instance_ABDRAIN,IF_REAL,"ABDRAIN"),
  IOP("lsdrain",psp103_instance_LSDRAIN,IF_REAL,"LSDRAIN"),
  IOP("lgdrain",psp103_instance_LGDRAIN,IF_REAL,"LGDRAIN"),
  IOP("as",psp103_instance_AS,IF_REAL,"AS"),
  IOP("ps",psp103_instance_PS,IF_REAL,"PS"),
  IOP("ad",psp103_instance_AD,IF_REAL,"AD"),
  IOP("pd",psp103_instance_PD,IF_REAL,"PD"),
  IOP("mult",psp103_instance_MULT,IF_REAL,"MULT"),
  IOP("ifactor",psp103_instance_IFACTOR,IF_REAL,"IFACTOR"),
  IOP("cfactor",psp103_instance_CFACTOR,IF_REAL,"CFACTOR"),
  OP("ctype",psp103_ask_ctype,IF_REAL,"Flag for channel type"),
  OP("sdint",psp103_ask_sdint,IF_REAL,"Flag for source-drain interchange"),
  OP("ise",psp103_ask_ise,IF_REAL,"Total source current"),
  OP("ige",psp103_ask_ige,IF_REAL,"Total gate current"),
  OP("ide",psp103_ask_ide,IF_REAL,"Total drain current"),
  OP("ibe",psp103_ask_ibe,IF_REAL,"Total bulk current"),
  OP("ids",psp103_ask_ids,IF_REAL,"Drain current, excl. edge transistor currents, avalanche, tunnel, GISL, GIDL, and junction currents"),
  OP("idb",psp103_ask_idb,IF_REAL,"Drain to bulk current"),
  OP("isb",psp103_ask_isb,IF_REAL,"Source to bulk current"),
  OP("igs",psp103_ask_igs,IF_REAL,"Gate-source tunneling current"),
  OP("igd",psp103_ask_igd,IF_REAL,"Gate-drain tunneling current"),
  OP("igb",psp103_ask_igb,IF_REAL,"Gate-bulk tunneling current"),
  OP("idedge",psp103_ask_idedge,IF_REAL,"Drain current of edge transistors"),
  OP("igcs",psp103_ask_igcs,IF_REAL,"Gate-channel tunneling current (source component)"),
  OP("igcd",psp103_ask_igcd,IF_REAL,"Gate-channel tunneling current (drain component)"),
  OP("iavl",psp103_ask_iavl,IF_REAL,"Substrate current due to weak avelanche"),
  OP("igisl",psp103_ask_igisl,IF_REAL,"Gate-induced source leakage current"),
  OP("igidl",psp103_ask_igidl,IF_REAL,"Gate-induced drain leakage current"),
  OP("ijs",psp103_ask_ijs,IF_REAL,"Total source junction current"),
  OP("ijsbot",psp103_ask_ijsbot,IF_REAL,"Source junction current (bottom component)"),
  OP("ijsgat",psp103_ask_ijsgat,IF_REAL,"Source junction current (gate-edge component)"),
  OP("ijssti",psp103_ask_ijssti,IF_REAL,"Source junction current (STI-edge component)"),
  OP("ijd",psp103_ask_ijd,IF_REAL,"Total drain junction current"),
  OP("ijdbot",psp103_ask_ijdbot,IF_REAL,"Drain junction current (bottom component)"),
  OP("ijdgat",psp103_ask_ijdgat,IF_REAL,"Drain junction current (gate-edge component)"),
  OP("ijdsti",psp103_ask_ijdsti,IF_REAL,"Drain junction current (STI-edge component)"),
  OP("vds",psp103_ask_vds,IF_REAL,"Drain-source voltage"),
  OP("vgs",psp103_ask_vgs,IF_REAL,"Gate-source voltage"),
  OP("vsb",psp103_ask_vsb,IF_REAL,"Source-bulk voltage"),
  OP("vto",psp103_ask_vto,IF_REAL,"Zero-bias threshold voltage"),
  OP("vts",psp103_ask_vts,IF_REAL,"Threshold voltage including back bias effects"),
  OP("vth",psp103_ask_vth,IF_REAL,"Threshold voltage including back bias and drain bias effects"),
  OP("vgt",psp103_ask_vgt,IF_REAL,"Effective gate drive voltage including back bias and drain bias effects"),
  OP("vdss",psp103_ask_vdss,IF_REAL,"Drain saturation voltage at actual bias"),
  OP("vsat",psp103_ask_vsat,IF_REAL,"Saturation limit"),
  OP("gm",psp103_ask_gm,IF_REAL,"Transconductance"),
  OP("gmb",psp103_ask_gmb,IF_REAL,"Substrate transconductance"),
  OP("gds",psp103_ask_gds,IF_REAL,"Output conductance"),
  OP("gjs",psp103_ask_gjs,IF_REAL,"Source junction conductance"),
  OP("gjd",psp103_ask_gjd,IF_REAL,"Drain junction conductance"),
  OP("cdd",psp103_ask_cdd,IF_REAL,"Drain capacitance"),
  OP("cdg",psp103_ask_cdg,IF_REAL,"Drain-gate capacitance"),
  OP("cds",psp103_ask_cds,IF_REAL,"Drain-source capacitance"),
  OP("cdb",psp103_ask_cdb,IF_REAL,"Drain-bulk capacitance"),
  OP("cgd",psp103_ask_cgd,IF_REAL,"Gate-drain capacitance"),
  OP("cgg",psp103_ask_cgg,IF_REAL,"Gate capacitance"),
  OP("cgs",psp103_ask_cgs,IF_REAL,"Gate-source capacitance"),
  OP("cgb",psp103_ask_cgb,IF_REAL,"Gate-bulk capacitance"),
  OP("csd",psp103_ask_csd,IF_REAL,"Source-drain capacitance"),
  OP("csg",psp103_ask_csg,IF_REAL,"Source-gate capacitance"),
  OP("css",psp103_ask_css,IF_REAL,"Source capacitance"),
  OP("csb",psp103_ask_csb,IF_REAL,"Source-bulk capacitance"),
  OP("cbd",psp103_ask_cbd,IF_REAL,"Bulk-drain capacitance"),
  OP("cbg",psp103_ask_cbg,IF_REAL,"Bulk-gate capacitance"),
  OP("cbs",psp103_ask_cbs,IF_REAL,"Bulk-source capacitance"),
  OP("cbb",psp103_ask_cbb,IF_REAL,"Bulk capacitance"),
  OP("cgsol",psp103_ask_cgsol,IF_REAL,"Total gate-source overlap capacitance"),
  OP("cgdol",psp103_ask_cgdol,IF_REAL,"Total gate-drain overlap capacitance"),
  OP("cjs",psp103_ask_cjs,IF_REAL,"Total source junction capacitance"),
  OP("cjsbot",psp103_ask_cjsbot,IF_REAL,"Source junction capacitance (bottom component)"),
  OP("cjsgat",psp103_ask_cjsgat,IF_REAL,"Source junction capacitance (gate-edge component)"),
  OP("cjssti",psp103_ask_cjssti,IF_REAL,"Source junction capacitance (STI-edge component)"),
  OP("cjd",psp103_ask_cjd,IF_REAL,"Total drain junction capacitance"),
  OP("cjdbot",psp103_ask_cjdbot,IF_REAL,"Drain junction capacitance (bottom component)"),
  OP("cjdgat",psp103_ask_cjdgat,IF_REAL,"Drain junction capacitance (gate-edge component)"),
  OP("cjdsti",psp103_ask_cjdsti,IF_REAL,"Drain junction capacitance (STI-edge component)"),
  OP("weff",psp103_ask_weff,IF_REAL,"Effective channel width for geometrical models"),
  OP("leff",psp103_ask_leff,IF_REAL,"Effective channel length for geometrical models"),
  OP("u",psp103_ask_u,IF_REAL,"Transistor gain"),
  OP("rout",psp103_ask_rout,IF_REAL,"Small-signal output resistance"),
  OP("vearly",psp103_ask_vearly,IF_REAL,"Equivalent Early voltage"),
  OP("beff",psp103_ask_beff,IF_REAL,"Gain factor"),
  OP("fug",psp103_ask_fug,IF_REAL,"Unity gain frequency at actual bias"),
  OP("rg_op",psp103_ask_rg_op,IF_REAL,"Gate resistance"),
  OP("sfl",psp103_ask_sfl,IF_REAL,"Flicker noise current spectral density at 1 Hz"),
  OP("sqrtsff",psp103_ask_sqrtsff,IF_REAL,"Input-referred RMS white noise voltage spectral density at 1 kHz"),
  OP("sqrtsfw",psp103_ask_sqrtsfw,IF_REAL,"Input-referred RMS white noise voltage spectral density"),
  OP("sid",psp103_ask_sid,IF_REAL,"White noise current spectral density"),
  OP("sig",psp103_ask_sig,IF_REAL,"Induced gate noise current spectral density at 1 Hz"),
  OP("cigid",psp103_ask_cigid,IF_REAL,"Imaginary part of correlation coefficient between Sig and Sid"),
  OP("fknee",psp103_ask_fknee,IF_REAL,"Cross-over frequency above which white noise is dominant"),
  OP("sigs",psp103_ask_sigs,IF_REAL,"Gate-source current noise spectral density"),
  OP("sigd",psp103_ask_sigd,IF_REAL,"Gate-drain current noise spectral density"),
  OP("siavl",psp103_ask_siavl,IF_REAL,"Impact ionization current noise spectral density"),
  OP("ssi",psp103_ask_ssi,IF_REAL,"Total source junction current noise spectral density"),
  OP("sdi",psp103_ask_sdi,IF_REAL,"Total drain junction current noise spectral density"),
  OP("sfledge",psp103_ask_sfledge,IF_REAL,"Flicker noise current spectral density at 1 Hz of edge transistors"),
  OP("sidedge",psp103_ask_sidedge,IF_REAL,"White noise current spectral density of edge transistors"),
  OP("lp_vfb",psp103_ask_lp_vfb,IF_REAL,"Local parameter VFB after T-scaling and clipping"),
  OP("lp_stvfb",psp103_ask_lp_stvfb,IF_REAL,"Local parameter STVFB after clipping"),
  OP("lp_st2vfb",psp103_ask_lp_st2vfb,IF_REAL,"Local parameter ST2VFB after clipping"),
  OP("lp_tox",psp103_ask_lp_tox,IF_REAL,"Local parameter TOX after clipping"),
  OP("lp_epsrox",psp103_ask_lp_epsrox,IF_REAL,"Local parameter EPSROX after clipping"),
  OP("lp_neff",psp103_ask_lp_neff,IF_REAL,"Local parameter NEFF after clipping"),
  OP("lp_facneffac",psp103_ask_lp_facneffac,IF_REAL,"Local parameter FACNEFFAC after clipping"),
  OP("lp_gfacnud",psp103_ask_lp_gfacnud,IF_REAL,"Local parameter GFACNUD after clipping"),
  OP("lp_vsbnud",psp103_ask_lp_vsbnud,IF_REAL,"Local parameter VSBNUD after clipping"),
  OP("lp_dvsbnud",psp103_ask_lp_dvsbnud,IF_REAL,"Local parameter DVSBNUD after clipping"),
  OP("lp_vnsub",psp103_ask_lp_vnsub,IF_REAL,"Local parameter VNSUB after clipping"),
  OP("lp_nslp",psp103_ask_lp_nslp,IF_REAL,"Local parameter NSLP after clipping"),
  OP("lp_dnsub",psp103_ask_lp_dnsub,IF_REAL,"Local parameter DNSUB after clipping"),
  OP("lp_dphib",psp103_ask_lp_dphib,IF_REAL,"Local parameter DPHIB after clipping"),
  OP("lp_delvtac",psp103_ask_lp_delvtac,IF_REAL,"Local parameter DELVTAC after clipping"),
  OP("lp_np",psp103_ask_lp_np,IF_REAL,"Local parameter NP after clipping"),
  OP("lp_toxov",psp103_ask_lp_toxov,IF_REAL,"Local parameter TOXOV after clipping"),
  OP("lp_toxovd",psp103_ask_lp_toxovd,IF_REAL,"Local parameter TOXOVD after clipping"),
  OP("lp_nov",psp103_ask_lp_nov,IF_REAL,"Local parameter NOV after clipping"),
  OP("lp_novd",psp103_ask_lp_novd,IF_REAL,"Local parameter NOVD after clipping"),
  OP("lp_ct",psp103_ask_lp_ct,IF_REAL,"Local parameter CT after clipping"),
  OP("lp_ctg",psp103_ask_lp_ctg,IF_REAL,"Local parameter CTG after clipping"),
  OP("lp_ctb",psp103_ask_lp_ctb,IF_REAL,"Local parameter CTB after clipping"),
  OP("lp_stct",psp103_ask_lp_stct,IF_REAL,"Local parameter STCT after clipping"),
  OP("lp_cf",psp103_ask_lp_cf,IF_REAL,"Local parameter CF after clipping"),
  OP("lp_cfac",psp103_ask_lp_cfac,IF_REAL,"Local parameter CFAC after clipping"),
  OP("lp_cfd",psp103_ask_lp_cfd,IF_REAL,"Local parameter CFD after clipping"),
  OP("lp_cfb",psp103_ask_lp_cfb,IF_REAL,"Local parameter CFB after clipping"),
  OP("lp_psce",psp103_ask_lp_psce,IF_REAL,"Local parameter PSCE after clipping"),
  OP("lp_psceb",psp103_ask_lp_psceb,IF_REAL,"Local parameter PSCEB after clipping"),
  OP("lp_psced",psp103_ask_lp_psced,IF_REAL,"Local parameter PSCED after clipping"),
  OP("lp_betn",psp103_ask_lp_betn,IF_REAL,"Local parameter BETN after T-scaling and clipping"),
  OP("lp_stbet",psp103_ask_lp_stbet,IF_REAL,"Local parameter STBET after clipping"),
  OP("lp_mue",psp103_ask_lp_mue,IF_REAL,"Local parameter MUE after T-scaling and clipping"),
  OP("lp_stmue",psp103_ask_lp_stmue,IF_REAL,"Local parameter STMUE after clipping"),
  OP("lp_themu",psp103_ask_lp_themu,IF_REAL,"Local parameter THEMU after T-scaling and clipping"),
  OP("lp_stthemu",psp103_ask_lp_stthemu,IF_REAL,"Local parameter STTHEMU after clipping"),
  OP("lp_cs",psp103_ask_lp_cs,IF_REAL,"Local parameter CS after T-scaling and clipping"),
  OP("lp_stcs",psp103_ask_lp_stcs,IF_REAL,"Local parameter STCS after clipping"),
  OP("lp_thecs",psp103_ask_lp_thecs,IF_REAL,"Local parameter THECS after T-scaling and clipping"),
  OP("lp_stthecs",psp103_ask_lp_stthecs,IF_REAL,"Local parameter STTHECS after clipping"),
  OP("lp_xcor",psp103_ask_lp_xcor,IF_REAL,"Local parameter XCOR after T-scaling and clipping"),
  OP("lp_stxcor",psp103_ask_lp_stxcor,IF_REAL,"Local parameter STXCOR after clipping"),
  OP("lp_feta",psp103_ask_lp_feta,IF_REAL,"Local parameter FETA after clipping"),
  OP("lp_rs",psp103_ask_lp_rs,IF_REAL,"Local parameter RS after T-scaling and clipping"),
  OP("lp_strs",psp103_ask_lp_strs,IF_REAL,"Local parameter STRS after clipping"),
  OP("lp_rsb",psp103_ask_lp_rsb,IF_REAL,"Local parameter RSB after clipping"),
  OP("lp_rsg",psp103_ask_lp_rsg,IF_REAL,"Local parameter RSG after clipping"),
  OP("lp_thesat",psp103_ask_lp_thesat,IF_REAL,"Local parameter THESAT after T-scaling and clipping"),
  OP("lp_thesatac",psp103_ask_lp_thesatac,IF_REAL,"Local parameter THESATAC after T-scaling and clipping"),
  OP("lp_stthesat",psp103_ask_lp_stthesat,IF_REAL,"Local parameter STTHESAT after clipping"),
  OP("lp_thesatb",psp103_ask_lp_thesatb,IF_REAL,"Local parameter THESATB after clipping"),
  OP("lp_thesatg",psp103_ask_lp_thesatg,IF_REAL,"Local parameter THESATG after clipping"),
  OP("lp_ax",psp103_ask_lp_ax,IF_REAL,"Local parameter AX after clipping"),
  OP("lp_axac",psp103_ask_lp_axac,IF_REAL,"Local parameter AXAC after clipping"),
  OP("lp_alp",psp103_ask_lp_alp,IF_REAL,"Local parameter ALP after clipping"),
  OP("lp_alpac",psp103_ask_lp_alpac,IF_REAL,"Local parameter ALPAC after clipping"),
  OP("lp_alp1",psp103_ask_lp_alp1,IF_REAL,"Local parameter ALP1 after clipping"),
  OP("lp_alp2",psp103_ask_lp_alp2,IF_REAL,"Local parameter ALP2 after clipping"),
  OP("lp_vp",psp103_ask_lp_vp,IF_REAL,"Local parameter VP after clipping"),
  OP("lp_a1",psp103_ask_lp_a1,IF_REAL,"Local parameter A1 after clipping"),
  OP("lp_a2",psp103_ask_lp_a2,IF_REAL,"Local parameter A2 after T-scaling and clipping"),
  OP("lp_sta2",psp103_ask_lp_sta2,IF_REAL,"Local parameter STA2 after clipping"),
  OP("lp_a3",psp103_ask_lp_a3,IF_REAL,"Local parameter A3 after clipping"),
  OP("lp_a4",psp103_ask_lp_a4,IF_REAL,"Local parameter A4 after clipping"),
  OP("lp_gco",psp103_ask_lp_gco,IF_REAL,"Local parameter GCO after clipping"),
  OP("lp_iginv",psp103_ask_lp_iginv,IF_REAL,"Local parameter IGINV after T-scaling and clipping"),
  OP("lp_igov",psp103_ask_lp_igov,IF_REAL,"Local parameter IGOV after T-scaling and clipping"),
  OP("lp_igovd",psp103_ask_lp_igovd,IF_REAL,"Local parameter IGOVD after T-scaling and clipping"),
  OP("lp_stig",psp103_ask_lp_stig,IF_REAL,"Local parameter STIG after clipping"),
  OP("lp_gc2",psp103_ask_lp_gc2,IF_REAL,"Local parameter GC2 after clipping"),
  OP("lp_gc3",psp103_ask_lp_gc3,IF_REAL,"Local parameter GC3 after clipping"),
  OP("lp_gc2ov",psp103_ask_lp_gc2ov,IF_REAL,"Local parameter GC2OV after clipping"),
  OP("lp_gc3ov",psp103_ask_lp_gc3ov,IF_REAL,"Local parameter GC3OV after clipping"),
  OP("lp_chib",psp103_ask_lp_chib,IF_REAL,"Local parameter CHIB after clipping"),
  OP("lp_agidl",psp103_ask_lp_agidl,IF_REAL,"Local parameter AGIDL after clipping"),
  OP("lp_agidld",psp103_ask_lp_agidld,IF_REAL,"Local parameter AGIDLD after clipping"),
  OP("lp_bgidl",psp103_ask_lp_bgidl,IF_REAL,"Local parameter BGIDL after T-scaling and clipping"),
  OP("lp_bgidld",psp103_ask_lp_bgidld,IF_REAL,"Local parameter BGIDLD after T-scaling and clipping"),
  OP("lp_stbgidl",psp103_ask_lp_stbgidl,IF_REAL,"Local parameter STBGIDL after clipping"),
  OP("lp_stbgidld",psp103_ask_lp_stbgidld,IF_REAL,"Local parameter STBGIDLD after clipping"),
  OP("lp_cgidl",psp103_ask_lp_cgidl,IF_REAL,"Local parameter CGIDL after clipping"),
  OP("lp_cgidld",psp103_ask_lp_cgidld,IF_REAL,"Local parameter CGIDLD after clipping"),
  OP("lp_cox",psp103_ask_lp_cox,IF_REAL,"Local parameter COX after clipping"),
  OP("lp_cgov",psp103_ask_lp_cgov,IF_REAL,"Local parameter CGOV after clipping"),
  OP("lp_cgovd",psp103_ask_lp_cgovd,IF_REAL,"Local parameter CGOVD after clipping"),
  OP("lp_cgbov",psp103_ask_lp_cgbov,IF_REAL,"Local parameter CGBOV after clipping"),
  OP("lp_cfr",psp103_ask_lp_cfr,IF_REAL,"Local parameter CFR after clipping"),
  OP("lp_cfrd",psp103_ask_lp_cfrd,IF_REAL,"Local parameter CFRD after clipping"),
  OP("lp_fnt",psp103_ask_lp_fnt,IF_REAL,"Local parameter FNT after clipping"),
  OP("lp_fntexc",psp103_ask_lp_fntexc,IF_REAL,"Local parameter FNTEXC after clipping"),
  OP("lp_nfa",psp103_ask_lp_nfa,IF_REAL,"Local parameter NFA after clipping"),
  OP("lp_nfb",psp103_ask_lp_nfb,IF_REAL,"Local parameter NFB after clipping"),
  OP("lp_nfc",psp103_ask_lp_nfc,IF_REAL,"Local parameter NFC after clipping"),
  OP("lp_ef",psp103_ask_lp_ef,IF_REAL,"Local parameter EF after clipping"),
  OP("lp_vfbedge",psp103_ask_lp_vfbedge,IF_REAL,"Local parameter VFBEDGE after T-scaling and clipping"),
  OP("lp_stvfbedge",psp103_ask_lp_stvfbedge,IF_REAL,"Local parameter STVFBEDGE after clipping"),
  OP("lp_dphibedge",psp103_ask_lp_dphibedge,IF_REAL,"Local parameter DPHIBEDGE after clipping"),
  OP("lp_neffedge",psp103_ask_lp_neffedge,IF_REAL,"Local parameter NEFFEDGE after clipping"),
  OP("lp_ctedge",psp103_ask_lp_ctedge,IF_REAL,"Local parameter CTEDGE after clipping"),
  OP("lp_betnedge",psp103_ask_lp_betnedge,IF_REAL,"Local parameter BETNEDGE after T-scaling and clipping"),
  OP("lp_stbetedge",psp103_ask_lp_stbetedge,IF_REAL,"Local parameter STBETEDGE after clipping"),
  OP("lp_psceedge",psp103_ask_lp_psceedge,IF_REAL,"Local parameter PSCEEDGE after clipping"),
  OP("lp_pscebedge",psp103_ask_lp_pscebedge,IF_REAL,"Local parameter PSCEBEDGE after clipping"),
  OP("lp_pscededge",psp103_ask_lp_pscededge,IF_REAL,"Local parameter PSCEDEDGE after clipping"),
  OP("lp_cfedge",psp103_ask_lp_cfedge,IF_REAL,"Local parameter CFEDGE after clipping"),
  OP("lp_cfdedge",psp103_ask_lp_cfdedge,IF_REAL,"Local parameter CFDEDGE after clipping"),
  OP("lp_cfbedge",psp103_ask_lp_cfbedge,IF_REAL,"Local parameter CFBEDGE after clipping"),
  OP("lp_fntedge",psp103_ask_lp_fntedge,IF_REAL,"Local parameter FNTEDGE after clipping"),
  OP("lp_nfaedge",psp103_ask_lp_nfaedge,IF_REAL,"Local parameter NFAEDGE after clipping"),
  OP("lp_nfbedge",psp103_ask_lp_nfbedge,IF_REAL,"Local parameter NFBEDGE after clipping"),
  OP("lp_nfcedge",psp103_ask_lp_nfcedge,IF_REAL,"Local parameter NFCEDGE after clipping"),
  OP("lp_efedge",psp103_ask_lp_efedge,IF_REAL,"Local parameter EFEDGE after clipping"),
  OP("lp_rg",psp103_ask_lp_rg,IF_REAL,"Local parameter RG after clipping"),
  OP("lp_rse",psp103_ask_lp_rse,IF_REAL,"Local parameter RSE after clipping"),
  OP("lp_rde",psp103_ask_lp_rde,IF_REAL,"Local parameter RDE after clipping"),
  OP("lp_rbulk",psp103_ask_lp_rbulk,IF_REAL,"Local parameter RBULK after clipping"),
  OP("lp_rwell",psp103_ask_lp_rwell,IF_REAL,"Local parameter RWELL after clipping"),
  OP("lp_rjuns",psp103_ask_lp_rjuns,IF_REAL,"Local parameter RJUNS after clipping"),
  OP("lp_rjund",psp103_ask_lp_rjund,IF_REAL,"Local parameter RJUND after clipping"),
  OP("tk",psp103_ask_tk,IF_REAL,"Device Temperature"),
  OP("cjosbot",psp103_ask_cjosbot,IF_REAL,"Bottom component of total zero-bias source junction capacitance at device temperature"),
  OP("cjossti",psp103_ask_cjossti,IF_REAL,"STI-edge component of total zero-bias source junction capacitance at device temperature"),
  OP("cjosgat",psp103_ask_cjosgat,IF_REAL,"Gate-edge component of total zero-bias source junction capacitance at device temperature"),
  OP("vbisbot",psp103_ask_vbisbot,IF_REAL,"Built-in voltage of source-side bottom junction at device temperature"),
  OP("vbissti",psp103_ask_vbissti,IF_REAL,"Built-in voltage of source-side STI-edge junction at device temperature"),
  OP("vbisgat",psp103_ask_vbisgat,IF_REAL,"Built-in voltage of source-side gate-edge junction at device temperature"),
  OP("idsatsbot",psp103_ask_idsatsbot,IF_REAL,"Total source-side bottom junction saturation current"),
  OP("idsatssti",psp103_ask_idsatssti,IF_REAL,"Total source-side STI-edge junction saturation current"),
  OP("idsatsgat",psp103_ask_idsatsgat,IF_REAL,"Total source-side gate-edge junction saturation current"),
  OP("cjosbotd",psp103_ask_cjosbotd,IF_REAL,"Bottom component of total zero-bias drain junction capacitance at device temperature"),
  OP("cjosstid",psp103_ask_cjosstid,IF_REAL,"STI-edge component of total zero-bias drain junction capacitance at device temperature"),
  OP("cjosgatd",psp103_ask_cjosgatd,IF_REAL,"Gate-edge component of total zero-bias drain junction capacitance at device temperature"),
  OP("vbisbotd",psp103_ask_vbisbotd,IF_REAL,"Built-in voltage of drain-side bottom junction at device temperature"),
  OP("vbisstid",psp103_ask_vbisstid,IF_REAL,"Built-in voltage of drain-side STI-edge junction at device temperature"),
  OP("vbisgatd",psp103_ask_vbisgatd,IF_REAL,"Built-in voltage of drain-side gate-edge junction at device temperature"),
  OP("idsatsbotd",psp103_ask_idsatsbotd,IF_REAL,"Total drain-side bottom junction saturation current"),
  OP("idsatsstid",psp103_ask_idsatsstid,IF_REAL,"Total drain-side STI-edge junction saturation current"),
  OP("idsatsgatd",psp103_ask_idsatsgatd,IF_REAL,"Total drain-side gate-edge junction saturation current"),
};
IFparm psp103mPTable[] = {
 IOP("level",psp103_model_LEVEL,IF_INTEGER,"LEVEL"),
 IOP("type",psp103_model_TYPE,IF_INTEGER,"TYPE"),
 IOP("nmos",psp103_model_nmos,IF_INTEGER,"nmos"),
 IOP("pmos",psp103_model_pmos,IF_INTEGER,"pmos"),
 IOP("tr",psp103_model_TR,IF_REAL,"TR"),
 IOP("swgeo",psp103_model_SWGEO,IF_INTEGER,"SWGEO"),
 IOP("swigate",psp103_model_SWIGATE,IF_INTEGER,"SWIGATE"),
 IOP("swimpact",psp103_model_SWIMPACT,IF_INTEGER,"SWIMPACT"),
 IOP("swgidl",psp103_model_SWGIDL,IF_INTEGER,"SWGIDL"),
 IOP("swjuncap",psp103_model_SWJUNCAP,IF_INTEGER,"SWJUNCAP"),
 IOP("swjunasym",psp103_model_SWJUNASYM,IF_INTEGER,"SWJUNASYM"),
 IOP("swnud",psp103_model_SWNUD,IF_INTEGER,"SWNUD"),
 IOP("swedge",psp103_model_SWEDGE,IF_INTEGER,"SWEDGE"),
 IOP("swdelvtac",psp103_model_SWDELVTAC,IF_INTEGER,"SWDELVTAC"),
 IOP("swqsat",psp103_model_SWQSAT,IF_INTEGER,"SWQSAT"),
 IOP("swqpart",psp103_model_SWQPART,IF_INTEGER,"SWQPART"),
 IOP("swign",psp103_model_SWIGN,IF_INTEGER,"SWIGN"),
 IOP("qmc",psp103_model_QMC,IF_REAL,"QMC"),
 IOP("vfb",psp103_model_VFB,IF_REAL,"VFB"),
 IOP("stvfb",psp103_model_STVFB,IF_REAL,"STVFB"),
 IOP("st2vfb",psp103_model_ST2VFB,IF_REAL,"ST2VFB"),
 IOP("tox",psp103_model_TOX,IF_REAL,"TOX"),
 IOP("epsrox",psp103_model_EPSROX,IF_REAL,"EPSROX"),
 IOP("neff",psp103_model_NEFF,IF_REAL,"NEFF"),
 IOP("facneffac",psp103_model_FACNEFFAC,IF_REAL,"FACNEFFAC"),
 IOP("gfacnud",psp103_model_GFACNUD,IF_REAL,"GFACNUD"),
 IOP("vsbnud",psp103_model_VSBNUD,IF_REAL,"VSBNUD"),
 IOP("dvsbnud",psp103_model_DVSBNUD,IF_REAL,"DVSBNUD"),
 IOP("vnsub",psp103_model_VNSUB,IF_REAL,"VNSUB"),
 IOP("nslp",psp103_model_NSLP,IF_REAL,"NSLP"),
 IOP("dnsub",psp103_model_DNSUB,IF_REAL,"DNSUB"),
 IOP("dphib",psp103_model_DPHIB,IF_REAL,"DPHIB"),
 IOP("delvtac",psp103_model_DELVTAC,IF_REAL,"DELVTAC"),
 IOP("np",psp103_model_NP,IF_REAL,"NP"),
 IOP("toxov",psp103_model_TOXOV,IF_REAL,"TOXOV"),
 IOP("toxovd",psp103_model_TOXOVD,IF_REAL,"TOXOVD"),
 IOP("nov",psp103_model_NOV,IF_REAL,"NOV"),
 IOP("novd",psp103_model_NOVD,IF_REAL,"NOVD"),
 IOP("ct",psp103_model_CT,IF_REAL,"CT"),
 IOP("ctg",psp103_model_CTG,IF_REAL,"CTG"),
 IOP("ctb",psp103_model_CTB,IF_REAL,"CTB"),
 IOP("stct",psp103_model_STCT,IF_REAL,"STCT"),
 IOP("cf",psp103_model_CF,IF_REAL,"CF"),
 IOP("cfac",psp103_model_CFAC,IF_REAL,"CFAC"),
 IOP("cfd",psp103_model_CFD,IF_REAL,"CFD"),
 IOP("cfb",psp103_model_CFB,IF_REAL,"CFB"),
 IOP("psce",psp103_model_PSCE,IF_REAL,"PSCE"),
 IOP("psceb",psp103_model_PSCEB,IF_REAL,"PSCEB"),
 IOP("psced",psp103_model_PSCED,IF_REAL,"PSCED"),
 IOP("betn",psp103_model_BETN,IF_REAL,"BETN"),
 IOP("stbet",psp103_model_STBET,IF_REAL,"STBET"),
 IOP("mue",psp103_model_MUE,IF_REAL,"MUE"),
 IOP("stmue",psp103_model_STMUE,IF_REAL,"STMUE"),
 IOP("themu",psp103_model_THEMU,IF_REAL,"THEMU"),
 IOP("stthemu",psp103_model_STTHEMU,IF_REAL,"STTHEMU"),
 IOP("cs",psp103_model_CS,IF_REAL,"CS"),
 IOP("stcs",psp103_model_STCS,IF_REAL,"STCS"),
 IOP("thecs",psp103_model_THECS,IF_REAL,"THECS"),
 IOP("stthecs",psp103_model_STTHECS,IF_REAL,"STTHECS"),
 IOP("xcor",psp103_model_XCOR,IF_REAL,"XCOR"),
 IOP("stxcor",psp103_model_STXCOR,IF_REAL,"STXCOR"),
 IOP("feta",psp103_model_FETA,IF_REAL,"FETA"),
 IOP("rs",psp103_model_RS,IF_REAL,"RS"),
 IOP("strs",psp103_model_STRS,IF_REAL,"STRS"),
 IOP("rsb",psp103_model_RSB,IF_REAL,"RSB"),
 IOP("rsg",psp103_model_RSG,IF_REAL,"RSG"),
 IOP("thesat",psp103_model_THESAT,IF_REAL,"THESAT"),
 IOP("thesatac",psp103_model_THESATAC,IF_REAL,"THESATAC"),
 IOP("stthesat",psp103_model_STTHESAT,IF_REAL,"STTHESAT"),
 IOP("thesatb",psp103_model_THESATB,IF_REAL,"THESATB"),
 IOP("thesatg",psp103_model_THESATG,IF_REAL,"THESATG"),
 IOP("ax",psp103_model_AX,IF_REAL,"AX"),
 IOP("axac",psp103_model_AXAC,IF_REAL,"AXAC"),
 IOP("alp",psp103_model_ALP,IF_REAL,"ALP"),
 IOP("alpac",psp103_model_ALPAC,IF_REAL,"ALPAC"),
 IOP("alp1",psp103_model_ALP1,IF_REAL,"ALP1"),
 IOP("alp2",psp103_model_ALP2,IF_REAL,"ALP2"),
 IOP("vp",psp103_model_VP,IF_REAL,"VP"),
 IOP("a1",psp103_model_A1,IF_REAL,"A1"),
 IOP("a2",psp103_model_A2,IF_REAL,"A2"),
 IOP("sta2",psp103_model_STA2,IF_REAL,"STA2"),
 IOP("a3",psp103_model_A3,IF_REAL,"A3"),
 IOP("a4",psp103_model_A4,IF_REAL,"A4"),
 IOP("gco",psp103_model_GCO,IF_REAL,"GCO"),
 IOP("iginv",psp103_model_IGINV,IF_REAL,"IGINV"),
 IOP("igov",psp103_model_IGOV,IF_REAL,"IGOV"),
 IOP("igovd",psp103_model_IGOVD,IF_REAL,"IGOVD"),
 IOP("stig",psp103_model_STIG,IF_REAL,"STIG"),
 IOP("gc2",psp103_model_GC2,IF_REAL,"GC2"),
 IOP("gc3",psp103_model_GC3,IF_REAL,"GC3"),
 IOP("gc2ov",psp103_model_GC2OV,IF_REAL,"GC2OV"),
 IOP("gc3ov",psp103_model_GC3OV,IF_REAL,"GC3OV"),
 IOP("chib",psp103_model_CHIB,IF_REAL,"CHIB"),
 IOP("agidl",psp103_model_AGIDL,IF_REAL,"AGIDL"),
 IOP("agidld",psp103_model_AGIDLD,IF_REAL,"AGIDLD"),
 IOP("bgidl",psp103_model_BGIDL,IF_REAL,"BGIDL"),
 IOP("bgidld",psp103_model_BGIDLD,IF_REAL,"BGIDLD"),
 IOP("stbgidl",psp103_model_STBGIDL,IF_REAL,"STBGIDL"),
 IOP("stbgidld",psp103_model_STBGIDLD,IF_REAL,"STBGIDLD"),
 IOP("cgidl",psp103_model_CGIDL,IF_REAL,"CGIDL"),
 IOP("cgidld",psp103_model_CGIDLD,IF_REAL,"CGIDLD"),
 IOP("cox",psp103_model_COX,IF_REAL,"COX"),
 IOP("cgov",psp103_model_CGOV,IF_REAL,"CGOV"),
 IOP("cgovd",psp103_model_CGOVD,IF_REAL,"CGOVD"),
 IOP("cgbov",psp103_model_CGBOV,IF_REAL,"CGBOV"),
 IOP("cfr",psp103_model_CFR,IF_REAL,"CFR"),
 IOP("cfrd",psp103_model_CFRD,IF_REAL,"CFRD"),
 IOP("fnt",psp103_model_FNT,IF_REAL,"FNT"),
 IOP("fntexc",psp103_model_FNTEXC,IF_REAL,"FNTEXC"),
 IOP("nfa",psp103_model_NFA,IF_REAL,"NFA"),
 IOP("nfb",psp103_model_NFB,IF_REAL,"NFB"),
 IOP("nfc",psp103_model_NFC,IF_REAL,"NFC"),
 IOP("ef",psp103_model_EF,IF_REAL,"EF"),
 IOP("vfbedge",psp103_model_VFBEDGE,IF_REAL,"VFBEDGE"),
 IOP("stvfbedge",psp103_model_STVFBEDGE,IF_REAL,"STVFBEDGE"),
 IOP("dphibedge",psp103_model_DPHIBEDGE,IF_REAL,"DPHIBEDGE"),
 IOP("neffedge",psp103_model_NEFFEDGE,IF_REAL,"NEFFEDGE"),
 IOP("ctedge",psp103_model_CTEDGE,IF_REAL,"CTEDGE"),
 IOP("betnedge",psp103_model_BETNEDGE,IF_REAL,"BETNEDGE"),
 IOP("stbetedge",psp103_model_STBETEDGE,IF_REAL,"STBETEDGE"),
 IOP("psceedge",psp103_model_PSCEEDGE,IF_REAL,"PSCEEDGE"),
 IOP("pscebedge",psp103_model_PSCEBEDGE,IF_REAL,"PSCEBEDGE"),
 IOP("pscededge",psp103_model_PSCEDEDGE,IF_REAL,"PSCEDEDGE"),
 IOP("cfedge",psp103_model_CFEDGE,IF_REAL,"CFEDGE"),
 IOP("cfdedge",psp103_model_CFDEDGE,IF_REAL,"CFDEDGE"),
 IOP("cfbedge",psp103_model_CFBEDGE,IF_REAL,"CFBEDGE"),
 IOP("fntedge",psp103_model_FNTEDGE,IF_REAL,"FNTEDGE"),
 IOP("nfaedge",psp103_model_NFAEDGE,IF_REAL,"NFAEDGE"),
 IOP("nfbedge",psp103_model_NFBEDGE,IF_REAL,"NFBEDGE"),
 IOP("nfcedge",psp103_model_NFCEDGE,IF_REAL,"NFCEDGE"),
 IOP("efedge",psp103_model_EFEDGE,IF_REAL,"EFEDGE"),
 IOP("rg",psp103_model_RG,IF_REAL,"RG"),
 IOP("rse",psp103_model_RSE,IF_REAL,"RSE"),
 IOP("rde",psp103_model_RDE,IF_REAL,"RDE"),
 IOP("rbulk",psp103_model_RBULK,IF_REAL,"RBULK"),
 IOP("rwell",psp103_model_RWELL,IF_REAL,"RWELL"),
 IOP("rjuns",psp103_model_RJUNS,IF_REAL,"RJUNS"),
 IOP("rjund",psp103_model_RJUND,IF_REAL,"RJUND"),
 IOP("lvaro",psp103_model_LVARO,IF_REAL,"LVARO"),
 IOP("lvarl",psp103_model_LVARL,IF_REAL,"LVARL"),
 IOP("lvarw",psp103_model_LVARW,IF_REAL,"LVARW"),
 IOP("lap",psp103_model_LAP,IF_REAL,"LAP"),
 IOP("wvaro",psp103_model_WVARO,IF_REAL,"WVARO"),
 IOP("wvarl",psp103_model_WVARL,IF_REAL,"WVARL"),
 IOP("wvarw",psp103_model_WVARW,IF_REAL,"WVARW"),
 IOP("wot",psp103_model_WOT,IF_REAL,"WOT"),
 IOP("dlq",psp103_model_DLQ,IF_REAL,"DLQ"),
 IOP("dwq",psp103_model_DWQ,IF_REAL,"DWQ"),
 IOP("vfbo",psp103_model_VFBO,IF_REAL,"VFBO"),
 IOP("vfbl",psp103_model_VFBL,IF_REAL,"VFBL"),
 IOP("vfbw",psp103_model_VFBW,IF_REAL,"VFBW"),
 IOP("vfblw",psp103_model_VFBLW,IF_REAL,"VFBLW"),
 IOP("stvfbo",psp103_model_STVFBO,IF_REAL,"STVFBO"),
 IOP("stvfbl",psp103_model_STVFBL,IF_REAL,"STVFBL"),
 IOP("stvfbw",psp103_model_STVFBW,IF_REAL,"STVFBW"),
 IOP("stvfblw",psp103_model_STVFBLW,IF_REAL,"STVFBLW"),
 IOP("st2vfbo",psp103_model_ST2VFBO,IF_REAL,"ST2VFBO"),
 IOP("toxo",psp103_model_TOXO,IF_REAL,"TOXO"),
 IOP("epsroxo",psp103_model_EPSROXO,IF_REAL,"EPSROXO"),
 IOP("nsubo",psp103_model_NSUBO,IF_REAL,"NSUBO"),
 IOP("nsubw",psp103_model_NSUBW,IF_REAL,"NSUBW"),
 IOP("wseg",psp103_model_WSEG,IF_REAL,"WSEG"),
 IOP("npck",psp103_model_NPCK,IF_REAL,"NPCK"),
 IOP("npckw",psp103_model_NPCKW,IF_REAL,"NPCKW"),
 IOP("wsegp",psp103_model_WSEGP,IF_REAL,"WSEGP"),
 IOP("lpck",psp103_model_LPCK,IF_REAL,"LPCK"),
 IOP("lpckw",psp103_model_LPCKW,IF_REAL,"LPCKW"),
 IOP("fol1",psp103_model_FOL1,IF_REAL,"FOL1"),
 IOP("fol2",psp103_model_FOL2,IF_REAL,"FOL2"),
 IOP("facneffaco",psp103_model_FACNEFFACO,IF_REAL,"FACNEFFACO"),
 IOP("facneffacl",psp103_model_FACNEFFACL,IF_REAL,"FACNEFFACL"),
 IOP("facneffacw",psp103_model_FACNEFFACW,IF_REAL,"FACNEFFACW"),
 IOP("facneffaclw",psp103_model_FACNEFFACLW,IF_REAL,"FACNEFFACLW"),
 IOP("gfacnudo",psp103_model_GFACNUDO,IF_REAL,"GFACNUDO"),
 IOP("gfacnudl",psp103_model_GFACNUDL,IF_REAL,"GFACNUDL"),
 IOP("gfacnudlexp",psp103_model_GFACNUDLEXP,IF_REAL,"GFACNUDLEXP"),
 IOP("gfacnudw",psp103_model_GFACNUDW,IF_REAL,"GFACNUDW"),
 IOP("gfacnudlw",psp103_model_GFACNUDLW,IF_REAL,"GFACNUDLW"),
 IOP("vsbnudo",psp103_model_VSBNUDO,IF_REAL,"VSBNUDO"),
 IOP("dvsbnudo",psp103_model_DVSBNUDO,IF_REAL,"DVSBNUDO"),
 IOP("vnsubo",psp103_model_VNSUBO,IF_REAL,"VNSUBO"),
 IOP("nslpo",psp103_model_NSLPO,IF_REAL,"NSLPO"),
 IOP("dnsubo",psp103_model_DNSUBO,IF_REAL,"DNSUBO"),
 IOP("dphibo",psp103_model_DPHIBO,IF_REAL,"DPHIBO"),
 IOP("dphibl",psp103_model_DPHIBL,IF_REAL,"DPHIBL"),
 IOP("dphiblexp",psp103_model_DPHIBLEXP,IF_REAL,"DPHIBLEXP"),
 IOP("dphibw",psp103_model_DPHIBW,IF_REAL,"DPHIBW"),
 IOP("dphiblw",psp103_model_DPHIBLW,IF_REAL,"DPHIBLW"),
 IOP("delvtaco",psp103_model_DELVTACO,IF_REAL,"DELVTACO"),
 IOP("delvtacl",psp103_model_DELVTACL,IF_REAL,"DELVTACL"),
 IOP("delvtaclexp",psp103_model_DELVTACLEXP,IF_REAL,"DELVTACLEXP"),
 IOP("delvtacw",psp103_model_DELVTACW,IF_REAL,"DELVTACW"),
 IOP("delvtaclw",psp103_model_DELVTACLW,IF_REAL,"DELVTACLW"),
 IOP("npo",psp103_model_NPO,IF_REAL,"NPO"),
 IOP("npl",psp103_model_NPL,IF_REAL,"NPL"),
 IOP("toxovo",psp103_model_TOXOVO,IF_REAL,"TOXOVO"),
 IOP("toxovdo",psp103_model_TOXOVDO,IF_REAL,"TOXOVDO"),
 IOP("lov",psp103_model_LOV,IF_REAL,"LOV"),
 IOP("lovd",psp103_model_LOVD,IF_REAL,"LOVD"),
 IOP("novo",psp103_model_NOVO,IF_REAL,"NOVO"),
 IOP("novdo",psp103_model_NOVDO,IF_REAL,"NOVDO"),
 IOP("cto",psp103_model_CTO,IF_REAL,"CTO"),
 IOP("ctl",psp103_model_CTL,IF_REAL,"CTL"),
 IOP("ctlexp",psp103_model_CTLEXP,IF_REAL,"CTLEXP"),
 IOP("ctw",psp103_model_CTW,IF_REAL,"CTW"),
 IOP("ctlw",psp103_model_CTLW,IF_REAL,"CTLW"),
 IOP("ctgo",psp103_model_CTGO,IF_REAL,"CTGO"),
 IOP("ctbo",psp103_model_CTBO,IF_REAL,"CTBO"),
 IOP("stcto",psp103_model_STCTO,IF_REAL,"STCTO"),
 IOP("cfl",psp103_model_CFL,IF_REAL,"CFL"),
 IOP("cflexp",psp103_model_CFLEXP,IF_REAL,"CFLEXP"),
 IOP("cfw",psp103_model_CFW,IF_REAL,"CFW"),
 IOP("cfacl",psp103_model_CFACL,IF_REAL,"CFACL"),
 IOP("cfaclexp",psp103_model_CFACLEXP,IF_REAL,"CFACLEXP"),
 IOP("cfacw",psp103_model_CFACW,IF_REAL,"CFACW"),
 IOP("cfdo",psp103_model_CFDO,IF_REAL,"CFDO"),
 IOP("cfbo",psp103_model_CFBO,IF_REAL,"CFBO"),
 IOP("pscel",psp103_model_PSCEL,IF_REAL,"PSCEL"),
 IOP("pscelexp",psp103_model_PSCELEXP,IF_REAL,"PSCELEXP"),
 IOP("pscew",psp103_model_PSCEW,IF_REAL,"PSCEW"),
 IOP("pscebo",psp103_model_PSCEBO,IF_REAL,"PSCEBO"),
 IOP("pscedo",psp103_model_PSCEDO,IF_REAL,"PSCEDO"),
 IOP("uo",psp103_model_UO,IF_REAL,"UO"),
 IOP("fbet1",psp103_model_FBET1,IF_REAL,"FBET1"),
 IOP("fbet1w",psp103_model_FBET1W,IF_REAL,"FBET1W"),
 IOP("lp1",psp103_model_LP1,IF_REAL,"LP1"),
 IOP("lp1w",psp103_model_LP1W,IF_REAL,"LP1W"),
 IOP("fbet2",psp103_model_FBET2,IF_REAL,"FBET2"),
 IOP("lp2",psp103_model_LP2,IF_REAL,"LP2"),
 IOP("betw1",psp103_model_BETW1,IF_REAL,"BETW1"),
 IOP("betw2",psp103_model_BETW2,IF_REAL,"BETW2"),
 IOP("wbet",psp103_model_WBET,IF_REAL,"WBET"),
 IOP("stbeto",psp103_model_STBETO,IF_REAL,"STBETO"),
 IOP("stbetl",psp103_model_STBETL,IF_REAL,"STBETL"),
 IOP("stbetw",psp103_model_STBETW,IF_REAL,"STBETW"),
 IOP("stbetlw",psp103_model_STBETLW,IF_REAL,"STBETLW"),
 IOP("mueo",psp103_model_MUEO,IF_REAL,"MUEO"),
 IOP("muew",psp103_model_MUEW,IF_REAL,"MUEW"),
 IOP("stmueo",psp103_model_STMUEO,IF_REAL,"STMUEO"),
 IOP("themuo",psp103_model_THEMUO,IF_REAL,"THEMUO"),
 IOP("stthemuo",psp103_model_STTHEMUO,IF_REAL,"STTHEMUO"),
 IOP("cso",psp103_model_CSO,IF_REAL,"CSO"),
 IOP("csl",psp103_model_CSL,IF_REAL,"CSL"),
 IOP("cslexp",psp103_model_CSLEXP,IF_REAL,"CSLEXP"),
 IOP("csw",psp103_model_CSW,IF_REAL,"CSW"),
 IOP("cslw",psp103_model_CSLW,IF_REAL,"CSLW"),
 IOP("stcso",psp103_model_STCSO,IF_REAL,"STCSO"),
 IOP("thecso",psp103_model_THECSO,IF_REAL,"THECSO"),
 IOP("stthecso",psp103_model_STTHECSO,IF_REAL,"STTHECSO"),
 IOP("xcoro",psp103_model_XCORO,IF_REAL,"XCORO"),
 IOP("xcorl",psp103_model_XCORL,IF_REAL,"XCORL"),
 IOP("xcorw",psp103_model_XCORW,IF_REAL,"XCORW"),
 IOP("xcorlw",psp103_model_XCORLW,IF_REAL,"XCORLW"),
 IOP("stxcoro",psp103_model_STXCORO,IF_REAL,"STXCORO"),
 IOP("fetao",psp103_model_FETAO,IF_REAL,"FETAO"),
 IOP("rsw1",psp103_model_RSW1,IF_REAL,"RSW1"),
 IOP("rsw2",psp103_model_RSW2,IF_REAL,"RSW2"),
 IOP("strso",psp103_model_STRSO,IF_REAL,"STRSO"),
 IOP("rsbo",psp103_model_RSBO,IF_REAL,"RSBO"),
 IOP("rsgo",psp103_model_RSGO,IF_REAL,"RSGO"),
 IOP("thesato",psp103_model_THESATO,IF_REAL,"THESATO"),
 IOP("thesatl",psp103_model_THESATL,IF_REAL,"THESATL"),
 IOP("thesatlexp",psp103_model_THESATLEXP,IF_REAL,"THESATLEXP"),
 IOP("thesatw",psp103_model_THESATW,IF_REAL,"THESATW"),
 IOP("thesatlw",psp103_model_THESATLW,IF_REAL,"THESATLW"),
 IOP("thesataco",psp103_model_THESATACO,IF_REAL,"THESATACO"),
 IOP("thesatacl",psp103_model_THESATACL,IF_REAL,"THESATACL"),
 IOP("thesataclexp",psp103_model_THESATACLEXP,IF_REAL,"THESATACLEXP"),
 IOP("thesatacw",psp103_model_THESATACW,IF_REAL,"THESATACW"),
 IOP("thesataclw",psp103_model_THESATACLW,IF_REAL,"THESATACLW"),
 IOP("stthesato",psp103_model_STTHESATO,IF_REAL,"STTHESATO"),
 IOP("stthesatl",psp103_model_STTHESATL,IF_REAL,"STTHESATL"),
 IOP("stthesatw",psp103_model_STTHESATW,IF_REAL,"STTHESATW"),
 IOP("stthesatlw",psp103_model_STTHESATLW,IF_REAL,"STTHESATLW"),
 IOP("thesatbo",psp103_model_THESATBO,IF_REAL,"THESATBO"),
 IOP("thesatgo",psp103_model_THESATGO,IF_REAL,"THESATGO"),
 IOP("axo",psp103_model_AXO,IF_REAL,"AXO"),
 IOP("axl",psp103_model_AXL,IF_REAL,"AXL"),
 IOP("axaco",psp103_model_AXACO,IF_REAL,"AXACO"),
 IOP("axacl",psp103_model_AXACL,IF_REAL,"AXACL"),
 IOP("alpl",psp103_model_ALPL,IF_REAL,"ALPL"),
 IOP("alplexp",psp103_model_ALPLEXP,IF_REAL,"ALPLEXP"),
 IOP("alpw",psp103_model_ALPW,IF_REAL,"ALPW"),
 IOP("alpacl",psp103_model_ALPACL,IF_REAL,"ALPACL"),
 IOP("alpaclexp",psp103_model_ALPACLEXP,IF_REAL,"ALPACLEXP"),
 IOP("alpacw",psp103_model_ALPACW,IF_REAL,"ALPACW"),
 IOP("alp1l1",psp103_model_ALP1L1,IF_REAL,"ALP1L1"),
 IOP("alp1lexp",psp103_model_ALP1LEXP,IF_REAL,"ALP1LEXP"),
 IOP("alp1l2",psp103_model_ALP1L2,IF_REAL,"ALP1L2"),
 IOP("alp1w",psp103_model_ALP1W,IF_REAL,"ALP1W"),
 IOP("alp2l1",psp103_model_ALP2L1,IF_REAL,"ALP2L1"),
 IOP("alp2lexp",psp103_model_ALP2LEXP,IF_REAL,"ALP2LEXP"),
 IOP("alp2l2",psp103_model_ALP2L2,IF_REAL,"ALP2L2"),
 IOP("alp2w",psp103_model_ALP2W,IF_REAL,"ALP2W"),
 IOP("vpo",psp103_model_VPO,IF_REAL,"VPO"),
 IOP("a1o",psp103_model_A1O,IF_REAL,"A1O"),
 IOP("a1l",psp103_model_A1L,IF_REAL,"A1L"),
 IOP("a1w",psp103_model_A1W,IF_REAL,"A1W"),
 IOP("a2o",psp103_model_A2O,IF_REAL,"A2O"),
 IOP("sta2o",psp103_model_STA2O,IF_REAL,"STA2O"),
 IOP("a3o",psp103_model_A3O,IF_REAL,"A3O"),
 IOP("a3l",psp103_model_A3L,IF_REAL,"A3L"),
 IOP("a3w",psp103_model_A3W,IF_REAL,"A3W"),
 IOP("a4o",psp103_model_A4O,IF_REAL,"A4O"),
 IOP("a4l",psp103_model_A4L,IF_REAL,"A4L"),
 IOP("a4w",psp103_model_A4W,IF_REAL,"A4W"),
 IOP("gcoo",psp103_model_GCOO,IF_REAL,"GCOO"),
 IOP("iginvlw",psp103_model_IGINVLW,IF_REAL,"IGINVLW"),
 IOP("igovw",psp103_model_IGOVW,IF_REAL,"IGOVW"),
 IOP("igovdw",psp103_model_IGOVDW,IF_REAL,"IGOVDW"),
 IOP("stigo",psp103_model_STIGO,IF_REAL,"STIGO"),
 IOP("gc2o",psp103_model_GC2O,IF_REAL,"GC2O"),
 IOP("gc3o",psp103_model_GC3O,IF_REAL,"GC3O"),
 IOP("gc2ovo",psp103_model_GC2OVO,IF_REAL,"GC2OVO"),
 IOP("gc3ovo",psp103_model_GC3OVO,IF_REAL,"GC3OVO"),
 IOP("chibo",psp103_model_CHIBO,IF_REAL,"CHIBO"),
 IOP("agidlw",psp103_model_AGIDLW,IF_REAL,"AGIDLW"),
 IOP("agidldw",psp103_model_AGIDLDW,IF_REAL,"AGIDLDW"),
 IOP("bgidlo",psp103_model_BGIDLO,IF_REAL,"BGIDLO"),
 IOP("bgidldo",psp103_model_BGIDLDO,IF_REAL,"BGIDLDO"),
 IOP("stbgidlo",psp103_model_STBGIDLO,IF_REAL,"STBGIDLO"),
 IOP("stbgidldo",psp103_model_STBGIDLDO,IF_REAL,"STBGIDLDO"),
 IOP("cgidlo",psp103_model_CGIDLO,IF_REAL,"CGIDLO"),
 IOP("cgidldo",psp103_model_CGIDLDO,IF_REAL,"CGIDLDO"),
 IOP("cgbovl",psp103_model_CGBOVL,IF_REAL,"CGBOVL"),
 IOP("cfrw",psp103_model_CFRW,IF_REAL,"CFRW"),
 IOP("cfrdw",psp103_model_CFRDW,IF_REAL,"CFRDW"),
 IOP("fnto",psp103_model_FNTO,IF_REAL,"FNTO"),
 IOP("fntexcl",psp103_model_FNTEXCL,IF_REAL,"FNTEXCL"),
 IOP("nfalw",psp103_model_NFALW,IF_REAL,"NFALW"),
 IOP("nfblw",psp103_model_NFBLW,IF_REAL,"NFBLW"),
 IOP("nfclw",psp103_model_NFCLW,IF_REAL,"NFCLW"),
 IOP("efo",psp103_model_EFO,IF_REAL,"EFO"),
 IOP("lintnoi",psp103_model_LINTNOI,IF_REAL,"LINTNOI"),
 IOP("alpnoi",psp103_model_ALPNOI,IF_REAL,"ALPNOI"),
 IOP("wedge",psp103_model_WEDGE,IF_REAL,"WEDGE"),
 IOP("wedgew",psp103_model_WEDGEW,IF_REAL,"WEDGEW"),
 IOP("vfbedgeo",psp103_model_VFBEDGEO,IF_REAL,"VFBEDGEO"),
 IOP("stvfbedgeo",psp103_model_STVFBEDGEO,IF_REAL,"STVFBEDGEO"),
 IOP("stvfbedgel",psp103_model_STVFBEDGEL,IF_REAL,"STVFBEDGEL"),
 IOP("stvfbedgew",psp103_model_STVFBEDGEW,IF_REAL,"STVFBEDGEW"),
 IOP("stvfbedgelw",psp103_model_STVFBEDGELW,IF_REAL,"STVFBEDGELW"),
 IOP("dphibedgeo",psp103_model_DPHIBEDGEO,IF_REAL,"DPHIBEDGEO"),
 IOP("dphibedgel",psp103_model_DPHIBEDGEL,IF_REAL,"DPHIBEDGEL"),
 IOP("dphibedgelexp",psp103_model_DPHIBEDGELEXP,IF_REAL,"DPHIBEDGELEXP"),
 IOP("dphibedgew",psp103_model_DPHIBEDGEW,IF_REAL,"DPHIBEDGEW"),
 IOP("dphibedgelw",psp103_model_DPHIBEDGELW,IF_REAL,"DPHIBEDGELW"),
 IOP("nsubedgeo",psp103_model_NSUBEDGEO,IF_REAL,"NSUBEDGEO"),
 IOP("nsubedgel",psp103_model_NSUBEDGEL,IF_REAL,"NSUBEDGEL"),
 IOP("nsubedgelexp",psp103_model_NSUBEDGELEXP,IF_REAL,"NSUBEDGELEXP"),
 IOP("nsubedgew",psp103_model_NSUBEDGEW,IF_REAL,"NSUBEDGEW"),
 IOP("nsubedgelw",psp103_model_NSUBEDGELW,IF_REAL,"NSUBEDGELW"),
 IOP("ctedgeo",psp103_model_CTEDGEO,IF_REAL,"CTEDGEO"),
 IOP("ctedgel",psp103_model_CTEDGEL,IF_REAL,"CTEDGEL"),
 IOP("ctedgelexp",psp103_model_CTEDGELEXP,IF_REAL,"CTEDGELEXP"),
 IOP("fbetedge",psp103_model_FBETEDGE,IF_REAL,"FBETEDGE"),
 IOP("lpedge",psp103_model_LPEDGE,IF_REAL,"LPEDGE"),
 IOP("betedgew",psp103_model_BETEDGEW,IF_REAL,"BETEDGEW"),
 IOP("stbetedgeo",psp103_model_STBETEDGEO,IF_REAL,"STBETEDGEO"),
 IOP("stbetedgel",psp103_model_STBETEDGEL,IF_REAL,"STBETEDGEL"),
 IOP("stbetedgew",psp103_model_STBETEDGEW,IF_REAL,"STBETEDGEW"),
 IOP("stbetedgelw",psp103_model_STBETEDGELW,IF_REAL,"STBETEDGELW"),
 IOP("psceedgel",psp103_model_PSCEEDGEL,IF_REAL,"PSCEEDGEL"),
 IOP("psceedgelexp",psp103_model_PSCEEDGELEXP,IF_REAL,"PSCEEDGELEXP"),
 IOP("psceedgew",psp103_model_PSCEEDGEW,IF_REAL,"PSCEEDGEW"),
 IOP("pscebedgeo",psp103_model_PSCEBEDGEO,IF_REAL,"PSCEBEDGEO"),
 IOP("pscededgeo",psp103_model_PSCEDEDGEO,IF_REAL,"PSCEDEDGEO"),
 IOP("cfedgel",psp103_model_CFEDGEL,IF_REAL,"CFEDGEL"),
 IOP("cfedgelexp",psp103_model_CFEDGELEXP,IF_REAL,"CFEDGELEXP"),
 IOP("cfedgew",psp103_model_CFEDGEW,IF_REAL,"CFEDGEW"),
 IOP("cfdedgeo",psp103_model_CFDEDGEO,IF_REAL,"CFDEDGEO"),
 IOP("cfbedgeo",psp103_model_CFBEDGEO,IF_REAL,"CFBEDGEO"),
 IOP("fntedgeo",psp103_model_FNTEDGEO,IF_REAL,"FNTEDGEO"),
 IOP("nfaedgelw",psp103_model_NFAEDGELW,IF_REAL,"NFAEDGELW"),
 IOP("nfbedgelw",psp103_model_NFBEDGELW,IF_REAL,"NFBEDGELW"),
 IOP("nfcedgelw",psp103_model_NFCEDGELW,IF_REAL,"NFCEDGELW"),
 IOP("efedgeo",psp103_model_EFEDGEO,IF_REAL,"EFEDGEO"),
 IOP("kvthoweo",psp103_model_KVTHOWEO,IF_REAL,"KVTHOWEO"),
 IOP("kvthowel",psp103_model_KVTHOWEL,IF_REAL,"KVTHOWEL"),
 IOP("kvthowew",psp103_model_KVTHOWEW,IF_REAL,"KVTHOWEW"),
 IOP("kvthowelw",psp103_model_KVTHOWELW,IF_REAL,"KVTHOWELW"),
 IOP("kuoweo",psp103_model_KUOWEO,IF_REAL,"KUOWEO"),
 IOP("kuowel",psp103_model_KUOWEL,IF_REAL,"KUOWEL"),
 IOP("kuowew",psp103_model_KUOWEW,IF_REAL,"KUOWEW"),
 IOP("kuowelw",psp103_model_KUOWELW,IF_REAL,"KUOWELW"),
 IOP("povfb",psp103_model_POVFB,IF_REAL,"POVFB"),
 IOP("plvfb",psp103_model_PLVFB,IF_REAL,"PLVFB"),
 IOP("pwvfb",psp103_model_PWVFB,IF_REAL,"PWVFB"),
 IOP("plwvfb",psp103_model_PLWVFB,IF_REAL,"PLWVFB"),
 IOP("postvfb",psp103_model_POSTVFB,IF_REAL,"POSTVFB"),
 IOP("plstvfb",psp103_model_PLSTVFB,IF_REAL,"PLSTVFB"),
 IOP("pwstvfb",psp103_model_PWSTVFB,IF_REAL,"PWSTVFB"),
 IOP("plwstvfb",psp103_model_PLWSTVFB,IF_REAL,"PLWSTVFB"),
 IOP("post2vfb",psp103_model_POST2VFB,IF_REAL,"POST2VFB"),
 IOP("potox",psp103_model_POTOX,IF_REAL,"POTOX"),
 IOP("poepsrox",psp103_model_POEPSROX,IF_REAL,"POEPSROX"),
 IOP("poneff",psp103_model_PONEFF,IF_REAL,"PONEFF"),
 IOP("plneff",psp103_model_PLNEFF,IF_REAL,"PLNEFF"),
 IOP("pwneff",psp103_model_PWNEFF,IF_REAL,"PWNEFF"),
 IOP("plwneff",psp103_model_PLWNEFF,IF_REAL,"PLWNEFF"),
 IOP("pofacneffac",psp103_model_POFACNEFFAC,IF_REAL,"POFACNEFFAC"),
 IOP("plfacneffac",psp103_model_PLFACNEFFAC,IF_REAL,"PLFACNEFFAC"),
 IOP("pwfacneffac",psp103_model_PWFACNEFFAC,IF_REAL,"PWFACNEFFAC"),
 IOP("plwfacneffac",psp103_model_PLWFACNEFFAC,IF_REAL,"PLWFACNEFFAC"),
 IOP("pogfacnud",psp103_model_POGFACNUD,IF_REAL,"POGFACNUD"),
 IOP("plgfacnud",psp103_model_PLGFACNUD,IF_REAL,"PLGFACNUD"),
 IOP("pwgfacnud",psp103_model_PWGFACNUD,IF_REAL,"PWGFACNUD"),
 IOP("plwgfacnud",psp103_model_PLWGFACNUD,IF_REAL,"PLWGFACNUD"),
 IOP("povsbnud",psp103_model_POVSBNUD,IF_REAL,"POVSBNUD"),
 IOP("podvsbnud",psp103_model_PODVSBNUD,IF_REAL,"PODVSBNUD"),
 IOP("povnsub",psp103_model_POVNSUB,IF_REAL,"POVNSUB"),
 IOP("ponslp",psp103_model_PONSLP,IF_REAL,"PONSLP"),
 IOP("podnsub",psp103_model_PODNSUB,IF_REAL,"PODNSUB"),
 IOP("podphib",psp103_model_PODPHIB,IF_REAL,"PODPHIB"),
 IOP("pldphib",psp103_model_PLDPHIB,IF_REAL,"PLDPHIB"),
 IOP("pwdphib",psp103_model_PWDPHIB,IF_REAL,"PWDPHIB"),
 IOP("plwdphib",psp103_model_PLWDPHIB,IF_REAL,"PLWDPHIB"),
 IOP("podelvtac",psp103_model_PODELVTAC,IF_REAL,"PODELVTAC"),
 IOP("pldelvtac",psp103_model_PLDELVTAC,IF_REAL,"PLDELVTAC"),
 IOP("pwdelvtac",psp103_model_PWDELVTAC,IF_REAL,"PWDELVTAC"),
 IOP("plwdelvtac",psp103_model_PLWDELVTAC,IF_REAL,"PLWDELVTAC"),
 IOP("ponp",psp103_model_PONP,IF_REAL,"PONP"),
 IOP("plnp",psp103_model_PLNP,IF_REAL,"PLNP"),
 IOP("pwnp",psp103_model_PWNP,IF_REAL,"PWNP"),
 IOP("plwnp",psp103_model_PLWNP,IF_REAL,"PLWNP"),
 IOP("potoxov",psp103_model_POTOXOV,IF_REAL,"POTOXOV"),
 IOP("potoxovd",psp103_model_POTOXOVD,IF_REAL,"POTOXOVD"),
 IOP("ponov",psp103_model_PONOV,IF_REAL,"PONOV"),
 IOP("plnov",psp103_model_PLNOV,IF_REAL,"PLNOV"),
 IOP("pwnov",psp103_model_PWNOV,IF_REAL,"PWNOV"),
 IOP("plwnov",psp103_model_PLWNOV,IF_REAL,"PLWNOV"),
 IOP("ponovd",psp103_model_PONOVD,IF_REAL,"PONOVD"),
 IOP("plnovd",psp103_model_PLNOVD,IF_REAL,"PLNOVD"),
 IOP("pwnovd",psp103_model_PWNOVD,IF_REAL,"PWNOVD"),
 IOP("plwnovd",psp103_model_PLWNOVD,IF_REAL,"PLWNOVD"),
 IOP("poct",psp103_model_POCT,IF_REAL,"POCT"),
 IOP("plct",psp103_model_PLCT,IF_REAL,"PLCT"),
 IOP("pwct",psp103_model_PWCT,IF_REAL,"PWCT"),
 IOP("plwct",psp103_model_PLWCT,IF_REAL,"PLWCT"),
 IOP("poctg",psp103_model_POCTG,IF_REAL,"POCTG"),
 IOP("poctb",psp103_model_POCTB,IF_REAL,"POCTB"),
 IOP("postct",psp103_model_POSTCT,IF_REAL,"POSTCT"),
 IOP("pocf",psp103_model_POCF,IF_REAL,"POCF"),
 IOP("plcf",psp103_model_PLCF,IF_REAL,"PLCF"),
 IOP("pwcf",psp103_model_PWCF,IF_REAL,"PWCF"),
 IOP("plwcf",psp103_model_PLWCF,IF_REAL,"PLWCF"),
 IOP("pocfac",psp103_model_POCFAC,IF_REAL,"POCFAC"),
 IOP("plcfac",psp103_model_PLCFAC,IF_REAL,"PLCFAC"),
 IOP("pwcfac",psp103_model_PWCFAC,IF_REAL,"PWCFAC"),
 IOP("plwcfac",psp103_model_PLWCFAC,IF_REAL,"PLWCFAC"),
 IOP("pocfd",psp103_model_POCFD,IF_REAL,"POCFD"),
 IOP("pocfb",psp103_model_POCFB,IF_REAL,"POCFB"),
 IOP("popsce",psp103_model_POPSCE,IF_REAL,"POPSCE"),
 IOP("plpsce",psp103_model_PLPSCE,IF_REAL,"PLPSCE"),
 IOP("pwpsce",psp103_model_PWPSCE,IF_REAL,"PWPSCE"),
 IOP("plwpsce",psp103_model_PLWPSCE,IF_REAL,"PLWPSCE"),
 IOP("popsceb",psp103_model_POPSCEB,IF_REAL,"POPSCEB"),
 IOP("popsced",psp103_model_POPSCED,IF_REAL,"POPSCED"),
 IOP("pobetn",psp103_model_POBETN,IF_REAL,"POBETN"),
 IOP("plbetn",psp103_model_PLBETN,IF_REAL,"PLBETN"),
 IOP("pwbetn",psp103_model_PWBETN,IF_REAL,"PWBETN"),
 IOP("plwbetn",psp103_model_PLWBETN,IF_REAL,"PLWBETN"),
 IOP("postbet",psp103_model_POSTBET,IF_REAL,"POSTBET"),
 IOP("plstbet",psp103_model_PLSTBET,IF_REAL,"PLSTBET"),
 IOP("pwstbet",psp103_model_PWSTBET,IF_REAL,"PWSTBET"),
 IOP("plwstbet",psp103_model_PLWSTBET,IF_REAL,"PLWSTBET"),
 IOP("pomue",psp103_model_POMUE,IF_REAL,"POMUE"),
 IOP("plmue",psp103_model_PLMUE,IF_REAL,"PLMUE"),
 IOP("pwmue",psp103_model_PWMUE,IF_REAL,"PWMUE"),
 IOP("plwmue",psp103_model_PLWMUE,IF_REAL,"PLWMUE"),
 IOP("postmue",psp103_model_POSTMUE,IF_REAL,"POSTMUE"),
 IOP("pothemu",psp103_model_POTHEMU,IF_REAL,"POTHEMU"),
 IOP("postthemu",psp103_model_POSTTHEMU,IF_REAL,"POSTTHEMU"),
 IOP("pocs",psp103_model_POCS,IF_REAL,"POCS"),
 IOP("plcs",psp103_model_PLCS,IF_REAL,"PLCS"),
 IOP("pwcs",psp103_model_PWCS,IF_REAL,"PWCS"),
 IOP("plwcs",psp103_model_PLWCS,IF_REAL,"PLWCS"),
 IOP("postcs",psp103_model_POSTCS,IF_REAL,"POSTCS"),
 IOP("pothecs",psp103_model_POTHECS,IF_REAL,"POTHECS"),
 IOP("postthecs",psp103_model_POSTTHECS,IF_REAL,"POSTTHECS"),
 IOP("poxcor",psp103_model_POXCOR,IF_REAL,"POXCOR"),
 IOP("plxcor",psp103_model_PLXCOR,IF_REAL,"PLXCOR"),
 IOP("pwxcor",psp103_model_PWXCOR,IF_REAL,"PWXCOR"),
 IOP("plwxcor",psp103_model_PLWXCOR,IF_REAL,"PLWXCOR"),
 IOP("postxcor",psp103_model_POSTXCOR,IF_REAL,"POSTXCOR"),
 IOP("pofeta",psp103_model_POFETA,IF_REAL,"POFETA"),
 IOP("pors",psp103_model_PORS,IF_REAL,"PORS"),
 IOP("plrs",psp103_model_PLRS,IF_REAL,"PLRS"),
 IOP("pwrs",psp103_model_PWRS,IF_REAL,"PWRS"),
 IOP("plwrs",psp103_model_PLWRS,IF_REAL,"PLWRS"),
 IOP("postrs",psp103_model_POSTRS,IF_REAL,"POSTRS"),
 IOP("porsb",psp103_model_PORSB,IF_REAL,"PORSB"),
 IOP("porsg",psp103_model_PORSG,IF_REAL,"PORSG"),
 IOP("pothesat",psp103_model_POTHESAT,IF_REAL,"POTHESAT"),
 IOP("plthesat",psp103_model_PLTHESAT,IF_REAL,"PLTHESAT"),
 IOP("pwthesat",psp103_model_PWTHESAT,IF_REAL,"PWTHESAT"),
 IOP("plwthesat",psp103_model_PLWTHESAT,IF_REAL,"PLWTHESAT"),
 IOP("pothesatac",psp103_model_POTHESATAC,IF_REAL,"POTHESATAC"),
 IOP("plthesatac",psp103_model_PLTHESATAC,IF_REAL,"PLTHESATAC"),
 IOP("pwthesatac",psp103_model_PWTHESATAC,IF_REAL,"PWTHESATAC"),
 IOP("plwthesatac",psp103_model_PLWTHESATAC,IF_REAL,"PLWTHESATAC"),
 IOP("postthesat",psp103_model_POSTTHESAT,IF_REAL,"POSTTHESAT"),
 IOP("plstthesat",psp103_model_PLSTTHESAT,IF_REAL,"PLSTTHESAT"),
 IOP("pwstthesat",psp103_model_PWSTTHESAT,IF_REAL,"PWSTTHESAT"),
 IOP("plwstthesat",psp103_model_PLWSTTHESAT,IF_REAL,"PLWSTTHESAT"),
 IOP("pothesatb",psp103_model_POTHESATB,IF_REAL,"POTHESATB"),
 IOP("plthesatb",psp103_model_PLTHESATB,IF_REAL,"PLTHESATB"),
 IOP("pwthesatb",psp103_model_PWTHESATB,IF_REAL,"PWTHESATB"),
 IOP("plwthesatb",psp103_model_PLWTHESATB,IF_REAL,"PLWTHESATB"),
 IOP("pothesatg",psp103_model_POTHESATG,IF_REAL,"POTHESATG"),
 IOP("plthesatg",psp103_model_PLTHESATG,IF_REAL,"PLTHESATG"),
 IOP("pwthesatg",psp103_model_PWTHESATG,IF_REAL,"PWTHESATG"),
 IOP("plwthesatg",psp103_model_PLWTHESATG,IF_REAL,"PLWTHESATG"),
 IOP("poax",psp103_model_POAX,IF_REAL,"POAX"),
 IOP("plax",psp103_model_PLAX,IF_REAL,"PLAX"),
 IOP("pwax",psp103_model_PWAX,IF_REAL,"PWAX"),
 IOP("plwax",psp103_model_PLWAX,IF_REAL,"PLWAX"),
 IOP("poaxac",psp103_model_POAXAC,IF_REAL,"POAXAC"),
 IOP("plaxac",psp103_model_PLAXAC,IF_REAL,"PLAXAC"),
 IOP("pwaxac",psp103_model_PWAXAC,IF_REAL,"PWAXAC"),
 IOP("plwaxac",psp103_model_PLWAXAC,IF_REAL,"PLWAXAC"),
 IOP("poalp",psp103_model_POALP,IF_REAL,"POALP"),
 IOP("plalp",psp103_model_PLALP,IF_REAL,"PLALP"),
 IOP("pwalp",psp103_model_PWALP,IF_REAL,"PWALP"),
 IOP("plwalp",psp103_model_PLWALP,IF_REAL,"PLWALP"),
 IOP("poalpac",psp103_model_POALPAC,IF_REAL,"POALPAC"),
 IOP("plalpac",psp103_model_PLALPAC,IF_REAL,"PLALPAC"),
 IOP("pwalpac",psp103_model_PWALPAC,IF_REAL,"PWALPAC"),
 IOP("plwalpac",psp103_model_PLWALPAC,IF_REAL,"PLWALPAC"),
 IOP("poalp1",psp103_model_POALP1,IF_REAL,"POALP1"),
 IOP("plalp1",psp103_model_PLALP1,IF_REAL,"PLALP1"),
 IOP("pwalp1",psp103_model_PWALP1,IF_REAL,"PWALP1"),
 IOP("plwalp1",psp103_model_PLWALP1,IF_REAL,"PLWALP1"),
 IOP("poalp2",psp103_model_POALP2,IF_REAL,"POALP2"),
 IOP("plalp2",psp103_model_PLALP2,IF_REAL,"PLALP2"),
 IOP("pwalp2",psp103_model_PWALP2,IF_REAL,"PWALP2"),
 IOP("plwalp2",psp103_model_PLWALP2,IF_REAL,"PLWALP2"),
 IOP("povp",psp103_model_POVP,IF_REAL,"POVP"),
 IOP("poa1",psp103_model_POA1,IF_REAL,"POA1"),
 IOP("pla1",psp103_model_PLA1,IF_REAL,"PLA1"),
 IOP("pwa1",psp103_model_PWA1,IF_REAL,"PWA1"),
 IOP("plwa1",psp103_model_PLWA1,IF_REAL,"PLWA1"),
 IOP("poa2",psp103_model_POA2,IF_REAL,"POA2"),
 IOP("posta2",psp103_model_POSTA2,IF_REAL,"POSTA2"),
 IOP("poa3",psp103_model_POA3,IF_REAL,"POA3"),
 IOP("pla3",psp103_model_PLA3,IF_REAL,"PLA3"),
 IOP("pwa3",psp103_model_PWA3,IF_REAL,"PWA3"),
 IOP("plwa3",psp103_model_PLWA3,IF_REAL,"PLWA3"),
 IOP("poa4",psp103_model_POA4,IF_REAL,"POA4"),
 IOP("pla4",psp103_model_PLA4,IF_REAL,"PLA4"),
 IOP("pwa4",psp103_model_PWA4,IF_REAL,"PWA4"),
 IOP("plwa4",psp103_model_PLWA4,IF_REAL,"PLWA4"),
 IOP("pogco",psp103_model_POGCO,IF_REAL,"POGCO"),
 IOP("poiginv",psp103_model_POIGINV,IF_REAL,"POIGINV"),
 IOP("pliginv",psp103_model_PLIGINV,IF_REAL,"PLIGINV"),
 IOP("pwiginv",psp103_model_PWIGINV,IF_REAL,"PWIGINV"),
 IOP("plwiginv",psp103_model_PLWIGINV,IF_REAL,"PLWIGINV"),
 IOP("poigov",psp103_model_POIGOV,IF_REAL,"POIGOV"),
 IOP("pligov",psp103_model_PLIGOV,IF_REAL,"PLIGOV"),
 IOP("pwigov",psp103_model_PWIGOV,IF_REAL,"PWIGOV"),
 IOP("plwigov",psp103_model_PLWIGOV,IF_REAL,"PLWIGOV"),
 IOP("poigovd",psp103_model_POIGOVD,IF_REAL,"POIGOVD"),
 IOP("pligovd",psp103_model_PLIGOVD,IF_REAL,"PLIGOVD"),
 IOP("pwigovd",psp103_model_PWIGOVD,IF_REAL,"PWIGOVD"),
 IOP("plwigovd",psp103_model_PLWIGOVD,IF_REAL,"PLWIGOVD"),
 IOP("postig",psp103_model_POSTIG,IF_REAL,"POSTIG"),
 IOP("pogc2",psp103_model_POGC2,IF_REAL,"POGC2"),
 IOP("pogc3",psp103_model_POGC3,IF_REAL,"POGC3"),
 IOP("pogc2ov",psp103_model_POGC2OV,IF_REAL,"POGC2OV"),
 IOP("pogc3ov",psp103_model_POGC3OV,IF_REAL,"POGC3OV"),
 IOP("pochib",psp103_model_POCHIB,IF_REAL,"POCHIB"),
 IOP("poagidl",psp103_model_POAGIDL,IF_REAL,"POAGIDL"),
 IOP("plagidl",psp103_model_PLAGIDL,IF_REAL,"PLAGIDL"),
 IOP("pwagidl",psp103_model_PWAGIDL,IF_REAL,"PWAGIDL"),
 IOP("plwagidl",psp103_model_PLWAGIDL,IF_REAL,"PLWAGIDL"),
 IOP("poagidld",psp103_model_POAGIDLD,IF_REAL,"POAGIDLD"),
 IOP("plagidld",psp103_model_PLAGIDLD,IF_REAL,"PLAGIDLD"),
 IOP("pwagidld",psp103_model_PWAGIDLD,IF_REAL,"PWAGIDLD"),
 IOP("plwagidld",psp103_model_PLWAGIDLD,IF_REAL,"PLWAGIDLD"),
 IOP("pobgidl",psp103_model_POBGIDL,IF_REAL,"POBGIDL"),
 IOP("pobgidld",psp103_model_POBGIDLD,IF_REAL,"POBGIDLD"),
 IOP("postbgidl",psp103_model_POSTBGIDL,IF_REAL,"POSTBGIDL"),
 IOP("postbgidld",psp103_model_POSTBGIDLD,IF_REAL,"POSTBGIDLD"),
 IOP("pocgidl",psp103_model_POCGIDL,IF_REAL,"POCGIDL"),
 IOP("pocgidld",psp103_model_POCGIDLD,IF_REAL,"POCGIDLD"),
 IOP("pocox",psp103_model_POCOX,IF_REAL,"POCOX"),
 IOP("plcox",psp103_model_PLCOX,IF_REAL,"PLCOX"),
 IOP("pwcox",psp103_model_PWCOX,IF_REAL,"PWCOX"),
 IOP("plwcox",psp103_model_PLWCOX,IF_REAL,"PLWCOX"),
 IOP("pocgov",psp103_model_POCGOV,IF_REAL,"POCGOV"),
 IOP("plcgov",psp103_model_PLCGOV,IF_REAL,"PLCGOV"),
 IOP("pwcgov",psp103_model_PWCGOV,IF_REAL,"PWCGOV"),
 IOP("plwcgov",psp103_model_PLWCGOV,IF_REAL,"PLWCGOV"),
 IOP("pocgovd",psp103_model_POCGOVD,IF_REAL,"POCGOVD"),
 IOP("plcgovd",psp103_model_PLCGOVD,IF_REAL,"PLCGOVD"),
 IOP("pwcgovd",psp103_model_PWCGOVD,IF_REAL,"PWCGOVD"),
 IOP("plwcgovd",psp103_model_PLWCGOVD,IF_REAL,"PLWCGOVD"),
 IOP("pocgbov",psp103_model_POCGBOV,IF_REAL,"POCGBOV"),
 IOP("plcgbov",psp103_model_PLCGBOV,IF_REAL,"PLCGBOV"),
 IOP("pwcgbov",psp103_model_PWCGBOV,IF_REAL,"PWCGBOV"),
 IOP("plwcgbov",psp103_model_PLWCGBOV,IF_REAL,"PLWCGBOV"),
 IOP("pocfr",psp103_model_POCFR,IF_REAL,"POCFR"),
 IOP("plcfr",psp103_model_PLCFR,IF_REAL,"PLCFR"),
 IOP("pwcfr",psp103_model_PWCFR,IF_REAL,"PWCFR"),
 IOP("plwcfr",psp103_model_PLWCFR,IF_REAL,"PLWCFR"),
 IOP("pocfrd",psp103_model_POCFRD,IF_REAL,"POCFRD"),
 IOP("plcfrd",psp103_model_PLCFRD,IF_REAL,"PLCFRD"),
 IOP("pwcfrd",psp103_model_PWCFRD,IF_REAL,"PWCFRD"),
 IOP("plwcfrd",psp103_model_PLWCFRD,IF_REAL,"PLWCFRD"),
 IOP("pofnt",psp103_model_POFNT,IF_REAL,"POFNT"),
 IOP("pofntexc",psp103_model_POFNTEXC,IF_REAL,"POFNTEXC"),
 IOP("plfntexc",psp103_model_PLFNTEXC,IF_REAL,"PLFNTEXC"),
 IOP("pwfntexc",psp103_model_PWFNTEXC,IF_REAL,"PWFNTEXC"),
 IOP("plwfntexc",psp103_model_PLWFNTEXC,IF_REAL,"PLWFNTEXC"),
 IOP("ponfa",psp103_model_PONFA,IF_REAL,"PONFA"),
 IOP("plnfa",psp103_model_PLNFA,IF_REAL,"PLNFA"),
 IOP("pwnfa",psp103_model_PWNFA,IF_REAL,"PWNFA"),
 IOP("plwnfa",psp103_model_PLWNFA,IF_REAL,"PLWNFA"),
 IOP("ponfb",psp103_model_PONFB,IF_REAL,"PONFB"),
 IOP("plnfb",psp103_model_PLNFB,IF_REAL,"PLNFB"),
 IOP("pwnfb",psp103_model_PWNFB,IF_REAL,"PWNFB"),
 IOP("plwnfb",psp103_model_PLWNFB,IF_REAL,"PLWNFB"),
 IOP("ponfc",psp103_model_PONFC,IF_REAL,"PONFC"),
 IOP("plnfc",psp103_model_PLNFC,IF_REAL,"PLNFC"),
 IOP("pwnfc",psp103_model_PWNFC,IF_REAL,"PWNFC"),
 IOP("plwnfc",psp103_model_PLWNFC,IF_REAL,"PLWNFC"),
 IOP("poef",psp103_model_POEF,IF_REAL,"POEF"),
 IOP("povfbedge",psp103_model_POVFBEDGE,IF_REAL,"POVFBEDGE"),
 IOP("postvfbedge",psp103_model_POSTVFBEDGE,IF_REAL,"POSTVFBEDGE"),
 IOP("plstvfbedge",psp103_model_PLSTVFBEDGE,IF_REAL,"PLSTVFBEDGE"),
 IOP("pwstvfbedge",psp103_model_PWSTVFBEDGE,IF_REAL,"PWSTVFBEDGE"),
 IOP("plwstvfbedge",psp103_model_PLWSTVFBEDGE,IF_REAL,"PLWSTVFBEDGE"),
 IOP("podphibedge",psp103_model_PODPHIBEDGE,IF_REAL,"PODPHIBEDGE"),
 IOP("pldphibedge",psp103_model_PLDPHIBEDGE,IF_REAL,"PLDPHIBEDGE"),
 IOP("pwdphibedge",psp103_model_PWDPHIBEDGE,IF_REAL,"PWDPHIBEDGE"),
 IOP("plwdphibedge",psp103_model_PLWDPHIBEDGE,IF_REAL,"PLWDPHIBEDGE"),
 IOP("poneffedge",psp103_model_PONEFFEDGE,IF_REAL,"PONEFFEDGE"),
 IOP("plneffedge",psp103_model_PLNEFFEDGE,IF_REAL,"PLNEFFEDGE"),
 IOP("pwneffedge",psp103_model_PWNEFFEDGE,IF_REAL,"PWNEFFEDGE"),
 IOP("plwneffedge",psp103_model_PLWNEFFEDGE,IF_REAL,"PLWNEFFEDGE"),
 IOP("poctedge",psp103_model_POCTEDGE,IF_REAL,"POCTEDGE"),
 IOP("plctedge",psp103_model_PLCTEDGE,IF_REAL,"PLCTEDGE"),
 IOP("pwctedge",psp103_model_PWCTEDGE,IF_REAL,"PWCTEDGE"),
 IOP("plwctedge",psp103_model_PLWCTEDGE,IF_REAL,"PLWCTEDGE"),
 IOP("pobetnedge",psp103_model_POBETNEDGE,IF_REAL,"POBETNEDGE"),
 IOP("plbetnedge",psp103_model_PLBETNEDGE,IF_REAL,"PLBETNEDGE"),
 IOP("pwbetnedge",psp103_model_PWBETNEDGE,IF_REAL,"PWBETNEDGE"),
 IOP("plwbetnedge",psp103_model_PLWBETNEDGE,IF_REAL,"PLWBETNEDGE"),
 IOP("postbetedge",psp103_model_POSTBETEDGE,IF_REAL,"POSTBETEDGE"),
 IOP("plstbetedge",psp103_model_PLSTBETEDGE,IF_REAL,"PLSTBETEDGE"),
 IOP("pwstbetedge",psp103_model_PWSTBETEDGE,IF_REAL,"PWSTBETEDGE"),
 IOP("plwstbetedge",psp103_model_PLWSTBETEDGE,IF_REAL,"PLWSTBETEDGE"),
 IOP("popsceedge",psp103_model_POPSCEEDGE,IF_REAL,"POPSCEEDGE"),
 IOP("plpsceedge",psp103_model_PLPSCEEDGE,IF_REAL,"PLPSCEEDGE"),
 IOP("pwpsceedge",psp103_model_PWPSCEEDGE,IF_REAL,"PWPSCEEDGE"),
 IOP("plwpsceedge",psp103_model_PLWPSCEEDGE,IF_REAL,"PLWPSCEEDGE"),
 IOP("popscebedge",psp103_model_POPSCEBEDGE,IF_REAL,"POPSCEBEDGE"),
 IOP("popscededge",psp103_model_POPSCEDEDGE,IF_REAL,"POPSCEDEDGE"),
 IOP("pocfedge",psp103_model_POCFEDGE,IF_REAL,"POCFEDGE"),
 IOP("plcfedge",psp103_model_PLCFEDGE,IF_REAL,"PLCFEDGE"),
 IOP("pwcfedge",psp103_model_PWCFEDGE,IF_REAL,"PWCFEDGE"),
 IOP("plwcfedge",psp103_model_PLWCFEDGE,IF_REAL,"PLWCFEDGE"),
 IOP("pocfdedge",psp103_model_POCFDEDGE,IF_REAL,"POCFDEDGE"),
 IOP("pocfbedge",psp103_model_POCFBEDGE,IF_REAL,"POCFBEDGE"),
 IOP("pofntedge",psp103_model_POFNTEDGE,IF_REAL,"POFNTEDGE"),
 IOP("ponfaedge",psp103_model_PONFAEDGE,IF_REAL,"PONFAEDGE"),
 IOP("plnfaedge",psp103_model_PLNFAEDGE,IF_REAL,"PLNFAEDGE"),
 IOP("pwnfaedge",psp103_model_PWNFAEDGE,IF_REAL,"PWNFAEDGE"),
 IOP("plwnfaedge",psp103_model_PLWNFAEDGE,IF_REAL,"PLWNFAEDGE"),
 IOP("ponfbedge",psp103_model_PONFBEDGE,IF_REAL,"PONFBEDGE"),
 IOP("plnfbedge",psp103_model_PLNFBEDGE,IF_REAL,"PLNFBEDGE"),
 IOP("pwnfbedge",psp103_model_PWNFBEDGE,IF_REAL,"PWNFBEDGE"),
 IOP("plwnfbedge",psp103_model_PLWNFBEDGE,IF_REAL,"PLWNFBEDGE"),
 IOP("ponfcedge",psp103_model_PONFCEDGE,IF_REAL,"PONFCEDGE"),
 IOP("plnfcedge",psp103_model_PLNFCEDGE,IF_REAL,"PLNFCEDGE"),
 IOP("pwnfcedge",psp103_model_PWNFCEDGE,IF_REAL,"PWNFCEDGE"),
 IOP("plwnfcedge",psp103_model_PLWNFCEDGE,IF_REAL,"PLWNFCEDGE"),
 IOP("poefedge",psp103_model_POEFEDGE,IF_REAL,"POEFEDGE"),
 IOP("pokvthowe",psp103_model_POKVTHOWE,IF_REAL,"POKVTHOWE"),
 IOP("plkvthowe",psp103_model_PLKVTHOWE,IF_REAL,"PLKVTHOWE"),
 IOP("pwkvthowe",psp103_model_PWKVTHOWE,IF_REAL,"PWKVTHOWE"),
 IOP("plwkvthowe",psp103_model_PLWKVTHOWE,IF_REAL,"PLWKVTHOWE"),
 IOP("pokuowe",psp103_model_POKUOWE,IF_REAL,"POKUOWE"),
 IOP("plkuowe",psp103_model_PLKUOWE,IF_REAL,"PLKUOWE"),
 IOP("pwkuowe",psp103_model_PWKUOWE,IF_REAL,"PWKUOWE"),
 IOP("plwkuowe",psp103_model_PLWKUOWE,IF_REAL,"PLWKUOWE"),
 IOP("lmin",psp103_model_LMIN,IF_REAL,"LMIN"),
 IOP("lmax",psp103_model_LMAX,IF_REAL,"LMAX"),
 IOP("wmin",psp103_model_WMIN,IF_REAL,"WMIN"),
 IOP("wmax",psp103_model_WMAX,IF_REAL,"WMAX"),
 IOP("rgo",psp103_model_RGO,IF_REAL,"RGO"),
 IOP("rint",psp103_model_RINT,IF_REAL,"RINT"),
 IOP("rvpoly",psp103_model_RVPOLY,IF_REAL,"RVPOLY"),
 IOP("rshg",psp103_model_RSHG,IF_REAL,"RSHG"),
 IOP("dlsil",psp103_model_DLSIL,IF_REAL,"DLSIL"),
 IOP("rsh",psp103_model_RSH,IF_REAL,"RSH"),
 IOP("rshd",psp103_model_RSHD,IF_REAL,"RSHD"),
 IOP("rbulko",psp103_model_RBULKO,IF_REAL,"RBULKO"),
 IOP("rwello",psp103_model_RWELLO,IF_REAL,"RWELLO"),
 IOP("rjunso",psp103_model_RJUNSO,IF_REAL,"RJUNSO"),
 IOP("rjundo",psp103_model_RJUNDO,IF_REAL,"RJUNDO"),
 IOP("saref",psp103_model_SAREF,IF_REAL,"SAREF"),
 IOP("sbref",psp103_model_SBREF,IF_REAL,"SBREF"),
 IOP("wlod",psp103_model_WLOD,IF_REAL,"WLOD"),
 IOP("kuo",psp103_model_KUO,IF_REAL,"KUO"),
 IOP("kvsat",psp103_model_KVSAT,IF_REAL,"KVSAT"),
 IOP("kvsatac",psp103_model_KVSATAC,IF_REAL,"KVSATAC"),
 IOP("tkuo",psp103_model_TKUO,IF_REAL,"TKUO"),
 IOP("lkuo",psp103_model_LKUO,IF_REAL,"LKUO"),
 IOP("wkuo",psp103_model_WKUO,IF_REAL,"WKUO"),
 IOP("pkuo",psp103_model_PKUO,IF_REAL,"PKUO"),
 IOP("llodkuo",psp103_model_LLODKUO,IF_REAL,"LLODKUO"),
 IOP("wlodkuo",psp103_model_WLODKUO,IF_REAL,"WLODKUO"),
 IOP("kvtho",psp103_model_KVTHO,IF_REAL,"KVTHO"),
 IOP("lkvtho",psp103_model_LKVTHO,IF_REAL,"LKVTHO"),
 IOP("wkvtho",psp103_model_WKVTHO,IF_REAL,"WKVTHO"),
 IOP("pkvtho",psp103_model_PKVTHO,IF_REAL,"PKVTHO"),
 IOP("llodvth",psp103_model_LLODVTH,IF_REAL,"LLODVTH"),
 IOP("wlodvth",psp103_model_WLODVTH,IF_REAL,"WLODVTH"),
 IOP("stetao",psp103_model_STETAO,IF_REAL,"STETAO"),
 IOP("lodetao",psp103_model_LODETAO,IF_REAL,"LODETAO"),
 IOP("scref",psp103_model_SCREF,IF_REAL,"SCREF"),
 IOP("web",psp103_model_WEB,IF_REAL,"WEB"),
 IOP("wec",psp103_model_WEC,IF_REAL,"WEC"),
 IOP("dta",psp103_model_DTA,IF_REAL,"DTA"),
 IOP("imax",psp103_model_IMAX,IF_REAL,"IMAX"),
 IOP("trj",psp103_model_TRJ,IF_REAL,"TRJ"),
 IOP("frev",psp103_model_FREV,IF_REAL,"FREV"),
 IOP("cjorbot",psp103_model_CJORBOT,IF_REAL,"CJORBOT"),
 IOP("cjorsti",psp103_model_CJORSTI,IF_REAL,"CJORSTI"),
 IOP("cjorgat",psp103_model_CJORGAT,IF_REAL,"CJORGAT"),
 IOP("vbirbot",psp103_model_VBIRBOT,IF_REAL,"VBIRBOT"),
 IOP("vbirsti",psp103_model_VBIRSTI,IF_REAL,"VBIRSTI"),
 IOP("vbirgat",psp103_model_VBIRGAT,IF_REAL,"VBIRGAT"),
 IOP("pbot",psp103_model_PBOT,IF_REAL,"PBOT"),
 IOP("psti",psp103_model_PSTI,IF_REAL,"PSTI"),
 IOP("pgat",psp103_model_PGAT,IF_REAL,"PGAT"),
 IOP("phigbot",psp103_model_PHIGBOT,IF_REAL,"PHIGBOT"),
 IOP("phigsti",psp103_model_PHIGSTI,IF_REAL,"PHIGSTI"),
 IOP("phiggat",psp103_model_PHIGGAT,IF_REAL,"PHIGGAT"),
 IOP("idsatrbot",psp103_model_IDSATRBOT,IF_REAL,"IDSATRBOT"),
 IOP("idsatrsti",psp103_model_IDSATRSTI,IF_REAL,"IDSATRSTI"),
 IOP("idsatrgat",psp103_model_IDSATRGAT,IF_REAL,"IDSATRGAT"),
 IOP("csrhbot",psp103_model_CSRHBOT,IF_REAL,"CSRHBOT"),
 IOP("csrhsti",psp103_model_CSRHSTI,IF_REAL,"CSRHSTI"),
 IOP("csrhgat",psp103_model_CSRHGAT,IF_REAL,"CSRHGAT"),
 IOP("xjunsti",psp103_model_XJUNSTI,IF_REAL,"XJUNSTI"),
 IOP("xjungat",psp103_model_XJUNGAT,IF_REAL,"XJUNGAT"),
 IOP("ctatbot",psp103_model_CTATBOT,IF_REAL,"CTATBOT"),
 IOP("ctatsti",psp103_model_CTATSTI,IF_REAL,"CTATSTI"),
 IOP("ctatgat",psp103_model_CTATGAT,IF_REAL,"CTATGAT"),
 IOP("mefftatbot",psp103_model_MEFFTATBOT,IF_REAL,"MEFFTATBOT"),
 IOP("mefftatsti",psp103_model_MEFFTATSTI,IF_REAL,"MEFFTATSTI"),
 IOP("mefftatgat",psp103_model_MEFFTATGAT,IF_REAL,"MEFFTATGAT"),
 IOP("cbbtbot",psp103_model_CBBTBOT,IF_REAL,"CBBTBOT"),
 IOP("cbbtsti",psp103_model_CBBTSTI,IF_REAL,"CBBTSTI"),
 IOP("cbbtgat",psp103_model_CBBTGAT,IF_REAL,"CBBTGAT"),
 IOP("fbbtrbot",psp103_model_FBBTRBOT,IF_REAL,"FBBTRBOT"),
 IOP("fbbtrsti",psp103_model_FBBTRSTI,IF_REAL,"FBBTRSTI"),
 IOP("fbbtrgat",psp103_model_FBBTRGAT,IF_REAL,"FBBTRGAT"),
 IOP("stfbbtbot",psp103_model_STFBBTBOT,IF_REAL,"STFBBTBOT"),
 IOP("stfbbtsti",psp103_model_STFBBTSTI,IF_REAL,"STFBBTSTI"),
 IOP("stfbbtgat",psp103_model_STFBBTGAT,IF_REAL,"STFBBTGAT"),
 IOP("vbrbot",psp103_model_VBRBOT,IF_REAL,"VBRBOT"),
 IOP("vbrsti",psp103_model_VBRSTI,IF_REAL,"VBRSTI"),
 IOP("vbrgat",psp103_model_VBRGAT,IF_REAL,"VBRGAT"),
 IOP("pbrbot",psp103_model_PBRBOT,IF_REAL,"PBRBOT"),
 IOP("pbrsti",psp103_model_PBRSTI,IF_REAL,"PBRSTI"),
 IOP("pbrgat",psp103_model_PBRGAT,IF_REAL,"PBRGAT"),
 IOP("cjorbotd",psp103_model_CJORBOTD,IF_REAL,"CJORBOTD"),
 IOP("cjorstid",psp103_model_CJORSTID,IF_REAL,"CJORSTID"),
 IOP("cjorgatd",psp103_model_CJORGATD,IF_REAL,"CJORGATD"),
 IOP("vbirbotd",psp103_model_VBIRBOTD,IF_REAL,"VBIRBOTD"),
 IOP("vbirstid",psp103_model_VBIRSTID,IF_REAL,"VBIRSTID"),
 IOP("vbirgatd",psp103_model_VBIRGATD,IF_REAL,"VBIRGATD"),
 IOP("pbotd",psp103_model_PBOTD,IF_REAL,"PBOTD"),
 IOP("pstid",psp103_model_PSTID,IF_REAL,"PSTID"),
 IOP("pgatd",psp103_model_PGATD,IF_REAL,"PGATD"),
 IOP("phigbotd",psp103_model_PHIGBOTD,IF_REAL,"PHIGBOTD"),
 IOP("phigstid",psp103_model_PHIGSTID,IF_REAL,"PHIGSTID"),
 IOP("phiggatd",psp103_model_PHIGGATD,IF_REAL,"PHIGGATD"),
 IOP("idsatrbotd",psp103_model_IDSATRBOTD,IF_REAL,"IDSATRBOTD"),
 IOP("idsatrstid",psp103_model_IDSATRSTID,IF_REAL,"IDSATRSTID"),
 IOP("idsatrgatd",psp103_model_IDSATRGATD,IF_REAL,"IDSATRGATD"),
 IOP("csrhbotd",psp103_model_CSRHBOTD,IF_REAL,"CSRHBOTD"),
 IOP("csrhstid",psp103_model_CSRHSTID,IF_REAL,"CSRHSTID"),
 IOP("csrhgatd",psp103_model_CSRHGATD,IF_REAL,"CSRHGATD"),
 IOP("xjunstid",psp103_model_XJUNSTID,IF_REAL,"XJUNSTID"),
 IOP("xjungatd",psp103_model_XJUNGATD,IF_REAL,"XJUNGATD"),
 IOP("ctatbotd",psp103_model_CTATBOTD,IF_REAL,"CTATBOTD"),
 IOP("ctatstid",psp103_model_CTATSTID,IF_REAL,"CTATSTID"),
 IOP("ctatgatd",psp103_model_CTATGATD,IF_REAL,"CTATGATD"),
 IOP("mefftatbotd",psp103_model_MEFFTATBOTD,IF_REAL,"MEFFTATBOTD"),
 IOP("mefftatstid",psp103_model_MEFFTATSTID,IF_REAL,"MEFFTATSTID"),
 IOP("mefftatgatd",psp103_model_MEFFTATGATD,IF_REAL,"MEFFTATGATD"),
 IOP("cbbtbotd",psp103_model_CBBTBOTD,IF_REAL,"CBBTBOTD"),
 IOP("cbbtstid",psp103_model_CBBTSTID,IF_REAL,"CBBTSTID"),
 IOP("cbbtgatd",psp103_model_CBBTGATD,IF_REAL,"CBBTGATD"),
 IOP("fbbtrbotd",psp103_model_FBBTRBOTD,IF_REAL,"FBBTRBOTD"),
 IOP("fbbtrstid",psp103_model_FBBTRSTID,IF_REAL,"FBBTRSTID"),
 IOP("fbbtrgatd",psp103_model_FBBTRGATD,IF_REAL,"FBBTRGATD"),
 IOP("stfbbtbotd",psp103_model_STFBBTBOTD,IF_REAL,"STFBBTBOTD"),
 IOP("stfbbtstid",psp103_model_STFBBTSTID,IF_REAL,"STFBBTSTID"),
 IOP("stfbbtgatd",psp103_model_STFBBTGATD,IF_REAL,"STFBBTGATD"),
 IOP("vbrbotd",psp103_model_VBRBOTD,IF_REAL,"VBRBOTD"),
 IOP("vbrstid",psp103_model_VBRSTID,IF_REAL,"VBRSTID"),
 IOP("vbrgatd",psp103_model_VBRGATD,IF_REAL,"VBRGATD"),
 IOP("pbrbotd",psp103_model_PBRBOTD,IF_REAL,"PBRBOTD"),
 IOP("pbrstid",psp103_model_PBRSTID,IF_REAL,"PBRSTID"),
 IOP("pbrgatd",psp103_model_PBRGATD,IF_REAL,"PBRGATD"),
 IOP("swjunexp",psp103_model_SWJUNEXP,IF_REAL,"SWJUNEXP"),
 IOP("vjunref",psp103_model_VJUNREF,IF_REAL,"VJUNREF"),
 IOP("fjunq",psp103_model_FJUNQ,IF_REAL,"FJUNQ"),
 IOP("vjunrefd",psp103_model_VJUNREFD,IF_REAL,"VJUNREFD"),
 IOP("fjunqd",psp103_model_FJUNQD,IF_REAL,"FJUNQD")
};


char *psp103names[] = { "D",
 "G",
 "S",
 "B"
};

int psp103nSize = NUMELEMS(psp103names);
int psp103pTSize = NUMELEMS(psp103pTable);
int psp103mPTSize = NUMELEMS(psp103mPTable);
int psp103iSize = sizeof(psp103instance);
int psp103mSize = sizeof(psp103model);
